diff -u alsa-lib-1.0.18/debian/rules alsa-lib-1.0.18/debian/rules
--- alsa-lib-1.0.18/debian/rules
+++ alsa-lib-1.0.18/debian/rules
@@ -178,11 +178,15 @@
 
 binary: binary-arch binary-indep
 
-clean: unpatch
+clean::
 	dh_testdir
 	dh_testroot
 	#-$(MAKE) distclean
 	[ ! -f Makefile ] || $(MAKE) distclean
+
+clean:: unpatch
+	dh_testdir
+	dh_testroot
 	-rm -f *-stamp
 	-rm -f config.sub config.guess config.status config.cache
 	-rm -rf doc/doxygen
diff -u alsa-lib-1.0.18/debian/changelog alsa-lib-1.0.18/debian/changelog
--- alsa-lib-1.0.18/debian/changelog
+++ alsa-lib-1.0.18/debian/changelog
@@ -1,3 +1,10 @@
+alsa-lib (1.0.18-2) experimental; urgency=low
+
+  * Enable AM_MAINTAINER_MODE in a way where it actually has effect
+    (closes: #505088)
+
+ -- Lionel Elie Mamane <lmamane@debian.org>  Wed, 19 Nov 2008 00:17:29 +0100
+
 alsa-lib (1.0.18-1) experimental; urgency=low
 
   * New upstream release.
diff -u alsa-lib-1.0.18/debian/patches/series alsa-lib-1.0.18/debian/patches/series
--- alsa-lib-1.0.18/debian/patches/series
+++ alsa-lib-1.0.18/debian/patches/series
@@ -1,3 +1,3 @@
-relibtoolise.patch
 add-maintainer-mode.patch
+relibtoolise.patch
 configure_cross_compile.patch
diff -u alsa-lib-1.0.18/debian/patches/relibtoolise.patch alsa-lib-1.0.18/debian/patches/relibtoolise.patch
--- alsa-lib-1.0.18/debian/patches/relibtoolise.patch
+++ alsa-lib-1.0.18/debian/patches/relibtoolise.patch
@@ -13,8 +13,8 @@
 
 Index: alsa-lib-1.0.18/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/Makefile.in	2008-10-29 13:46:34.000000000 +0100
++++ alsa-lib-1.0.18/Makefile.in	2008-11-19 00:14:52.783779551 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -201,16 +201,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -205,6 +120,8 @@
+@@ -204,7 +119,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -216,6 +133,7 @@
+@@ -216,6 +134,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -218,7 +220,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -224,19 +142,15 @@
+@@ -224,19 +143,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -242,7 +244,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -248,6 +162,7 @@
+@@ -248,6 +163,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -250,7 +252,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -275,12 +190,15 @@
+@@ -275,12 +191,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -266,7 +268,28 @@
  SUBDIRS = doc include src $(am__append_1) $(am__append_2) \
  	$(am__append_3) test utils
  EXTRA_DIST = ChangeLog INSTALL TODO NOTES configure gitcompile libtool depcomp version MEMORY-LEAK
-@@ -331,7 +249,6 @@
+@@ -291,7 +210,7 @@
+ .SUFFIXES:
+ am--refresh:
+ 	@:
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -318,9 +237,9 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	$(SHELL) ./config.status --recheck
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(srcdir) && $(AUTOCONF)
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ 	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
+ 
+ mostlyclean-libtool:
+@@ -331,7 +250,6 @@
  
  distclean-libtool:
  	-rm -f libtool
@@ -274,7 +297,7 @@
  
  # This directory's subdirectories are mostly independent; you can cd
  # into them and run `make' without going through this Makefile.
-@@ -364,8 +281,7 @@
+@@ -364,8 +282,7 @@
  	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  	fi; test -z "$$fail"
  
@@ -284,7 +307,7 @@
  	@failcom='exit 1'; \
  	for f in x $$MAKEFLAGS; do \
  	  case $$f in \
-@@ -409,8 +325,8 @@
+@@ -409,8 +326,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -295,7 +318,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -435,8 +351,8 @@
+@@ -435,8 +352,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -306,7 +329,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -446,13 +362,12 @@
+@@ -446,13 +363,12 @@
  CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -322,7 +345,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -467,24 +382,22 @@
+@@ -467,24 +383,22 @@
  
  distdir: $(DISTFILES)
  	$(am__remove_distdir)
@@ -361,7 +384,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -498,7 +411,7 @@
+@@ -498,7 +412,7 @@
  	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  	  if test "$$subdir" = .; then :; else \
  	    test -d "$(distdir)/$$subdir" \
@@ -370,7 +393,7 @@
  	    || exit 1; \
  	    distdir=`$(am__cd) $(distdir) && pwd`; \
  	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
-@@ -506,6 +419,8 @@
+@@ -506,6 +420,8 @@
  	      $(MAKE) $(AM_MAKEFLAGS) \
  	        top_distdir="$$top_distdir" \
  	        distdir="$$distdir/$$subdir" \
@@ -379,7 +402,7 @@
  	        distdir) \
  	      || exit 1; \
  	  fi; \
-@@ -516,7 +431,7 @@
+@@ -516,7 +432,7 @@
  	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
@@ -388,7 +411,7 @@
  	|| chmod -R a+r $(distdir)
  dist-gzip: distdir
  	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
-@@ -526,6 +441,10 @@
+@@ -526,6 +442,10 @@
  	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
  	$(am__remove_distdir)
  
@@ -399,7 +422,7 @@
  dist-tarZ: distdir
  	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  	$(am__remove_distdir)
-@@ -552,6 +471,8 @@
+@@ -552,6 +472,8 @@
  	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
  	*.tar.bz2*) \
  	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
@@ -408,7 +431,7 @@
  	*.tar.Z*) \
  	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  	*.shar.gz*) \
-@@ -591,7 +512,7 @@
+@@ -591,7 +513,7 @@
  	$(am__remove_distdir)
  	@(echo "$(distdir) archives ready for distribution: "; \
  	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
@@ -417,7 +440,7 @@
  distuninstallcheck:
  	@cd $(distuninstallcheck_dir) \
  	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
-@@ -661,12 +582,20 @@
+@@ -661,12 +583,20 @@
  
  install-data-am:
  
@@ -438,7 +461,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-recursive
-@@ -687,24 +616,26 @@
+@@ -687,24 +617,26 @@
  
  ps-am:
  
@@ -480,8 +503,8 @@
  rpm: dist
 Index: alsa-lib-1.0.18/aclocal.m4
 ===================================================================
---- alsa-lib-1.0.18.orig/aclocal.m4	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/aclocal.m4	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/aclocal.m4	2008-10-29 13:46:29.000000000 +0100
++++ alsa-lib-1.0.18/aclocal.m4	2008-11-19 00:14:45.552784007 +0100
 @@ -1,7 +1,7 @@
 -# generated automatically by aclocal 1.9.6 -*- Autoconf -*-
 +# generated automatically by aclocal 1.10.1 -*- Autoconf -*-
@@ -923,7 +946,7 @@
 -    sys_lib_search_path_spec='/lib /usr/lib /usr/local/lib'
 -  fi
 +  m4_if([$1], [],[
-+  sys_lib_search_path_spec="$sys_lib_search_path_spec /usr/local/lib"])
++  sys_lib_search_path_spec="$sys_lib_search_path_spec /usr/local/lib"]) 
    sys_lib_dlsearch_path_spec='/usr/local/lib /lib /usr/lib'
    ;;
  
@@ -2400,7 +2423,43 @@
  AC_SUBST(install_sh)])
  
  # Copyright (C) 2003, 2005  Free Software Foundation, Inc.
-@@ -6932,14 +7249,14 @@
+@@ -6878,6 +7195,35 @@
+ rmdir .tst 2>/dev/null
+ AC_SUBST([am__leading_dot])])
+ 
++# Add --enable-maintainer-mode option to configure.         -*- Autoconf -*-
++# From Jim Meyering
++
++# Copyright (C) 1996, 1998, 2000, 2001, 2002, 2003, 2004, 2005
++# Free Software Foundation, Inc.
++#
++# This file is free software; the Free Software Foundation
++# gives unlimited permission to copy and/or distribute it,
++# with or without modifications, as long as this notice is preserved.
++
++# serial 4
++
++AC_DEFUN([AM_MAINTAINER_MODE],
++[AC_MSG_CHECKING([whether to enable maintainer-specific portions of Makefiles])
++  dnl maintainer-mode is disabled by default
++  AC_ARG_ENABLE(maintainer-mode,
++[  --enable-maintainer-mode  enable make rules and dependencies not useful
++			  (and sometimes confusing) to the casual installer],
++      USE_MAINTAINER_MODE=$enableval,
++      USE_MAINTAINER_MODE=no)
++  AC_MSG_RESULT([$USE_MAINTAINER_MODE])
++  AM_CONDITIONAL(MAINTAINER_MODE, [test $USE_MAINTAINER_MODE = yes])
++  MAINT=$MAINTAINER_MODE_TRUE
++  AC_SUBST(MAINT)dnl
++]
++)
++
++AU_DEFUN([jm_MAINTAINER_MODE], [AM_MAINTAINER_MODE])
++
+ # Check to see how 'make' treats includes.	            -*- Autoconf -*-
+ 
+ # Copyright (C) 2001, 2002, 2003, 2005  Free Software Foundation, Inc.
+@@ -6932,14 +7278,14 @@
  
  # Fake the existence of programs that GNU maintainers use.  -*- Autoconf -*-
  
@@ -2417,7 +2476,7 @@
  
  # AM_MISSING_PROG(NAME, PROGRAM)
  # ------------------------------
-@@ -6955,6 +7272,7 @@
+@@ -6955,6 +7301,7 @@
  # If it does, set am_missing_run to use it, otherwise, to nothing.
  AC_DEFUN([AM_MISSING_HAS_RUN],
  [AC_REQUIRE([AM_AUX_DIR_EXPAND])dnl
@@ -2425,7 +2484,7 @@
  test x"${MISSING+set}" = xset || MISSING="\${SHELL} $am_aux_dir/missing"
  # Use eval to expand $SHELL
  if eval "$MISSING --run true"; then
-@@ -6965,7 +7283,7 @@
+@@ -6965,7 +7312,7 @@
  fi
  ])
  
@@ -2434,7 +2493,7 @@
  #
  # This file is free software; the Free Software Foundation
  # gives unlimited permission to copy and/or distribute it,
-@@ -6973,60 +7291,23 @@
+@@ -6973,60 +7320,23 @@
  
  # AM_PROG_MKDIR_P
  # ---------------
@@ -2511,7 +2570,7 @@
  
  # Helper functions for option handling.                     -*- Autoconf -*-
  
-@@ -7138,9 +7419,21 @@
+@@ -7138,9 +7448,21 @@
  if test "$cross_compiling" != no; then
    AC_CHECK_TOOL([STRIP], [strip], :)
  fi
@@ -2536,8 +2595,8 @@
  # Copyright (C) 2004, 2005  Free Software Foundation, Inc.
 Index: alsa-lib-1.0.18/alsalisp/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/alsalisp/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/alsalisp/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/alsalisp/Makefile.in	2008-10-29 13:46:32.000000000 +0100
++++ alsa-lib-1.0.18/alsalisp/Makefile.in	2008-11-19 00:14:50.260778285 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -2710,16 +2769,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -197,6 +110,8 @@
+@@ -196,7 +109,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -208,6 +123,7 @@
+@@ -208,6 +124,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -2727,7 +2788,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -216,19 +132,15 @@
+@@ -216,19 +133,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -2751,7 +2812,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -240,6 +152,7 @@
+@@ -240,6 +153,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -2759,7 +2820,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -267,12 +180,15 @@
+@@ -267,12 +181,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -2775,7 +2836,40 @@
  alsalisp_SOURCES = alsalisp.c
  alsalisp_LDADD = ../src/libasound.la
  INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src/alisp
-@@ -318,7 +234,7 @@
+@@ -280,7 +197,7 @@
+ 
+ .SUFFIXES:
+ .SUFFIXES: .c .lo .o .obj
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -289,9 +206,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  alsalisp/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  alsalisp/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  alsalisp/Makefile
++	  $(AUTOMAKE) --gnu  alsalisp/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -305,9 +222,9 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+ clean-noinstPROGRAMS:
+@@ -318,7 +235,7 @@
  	done
  alsalisp$(EXEEXT): $(alsalisp_OBJECTS) $(alsalisp_DEPENDENCIES) 
  	@rm -f alsalisp$(EXEEXT)
@@ -2784,7 +2878,7 @@
  
  mostlyclean-compile:
  	-rm -f *.$(OBJEXT)
-@@ -329,22 +245,22 @@
+@@ -329,22 +246,22 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alsalisp.Po@am__quote@
  
  .c.o:
@@ -2813,7 +2907,7 @@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
-@@ -355,17 +271,13 @@
+@@ -355,17 +272,13 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -2833,7 +2927,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -377,8 +289,8 @@
+@@ -377,8 +290,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -2844,7 +2938,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -388,13 +300,12 @@
+@@ -388,13 +301,12 @@
  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -2860,7 +2954,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -408,22 +319,21 @@
+@@ -408,22 +320,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -2896,7 +2990,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -471,7 +381,7 @@
+@@ -471,7 +382,7 @@
  	-rm -rf ./$(DEPDIR)
  	-rm -f Makefile
  distclean-am: clean-am distclean-compile distclean-generic \
@@ -2905,7 +2999,7 @@
  
  dvi: dvi-am
  
-@@ -485,12 +395,20 @@
+@@ -485,12 +396,20 @@
  
  install-data-am:
  
@@ -2926,7 +3020,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -511,19 +429,22 @@
+@@ -511,19 +430,22 @@
  
  ps-am:
  
@@ -2956,8 +3050,8 @@
  all: alsalisp
 Index: alsa-lib-1.0.18/aserver/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/aserver/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/aserver/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/aserver/Makefile.in	2008-10-29 13:46:32.000000000 +0100
++++ alsa-lib-1.0.18/aserver/Makefile.in	2008-11-19 00:14:50.356778049 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -3130,16 +3224,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -199,6 +112,8 @@
+@@ -198,7 +111,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -210,6 +125,7 @@
+@@ -210,6 +126,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -3147,7 +3243,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -218,19 +134,15 @@
+@@ -218,19 +135,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -3171,7 +3267,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -242,6 +154,7 @@
+@@ -242,6 +155,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -3179,7 +3275,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -269,12 +182,15 @@
+@@ -269,12 +183,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -3195,7 +3291,36 @@
  aserver_SOURCES = aserver.c
  # aserver_LDADD = -lasound
  aserver_LDADD = ../src/libasound.la
-@@ -314,15 +230,15 @@
+@@ -283,7 +200,7 @@
+ 
+ .SUFFIXES:
+ .SUFFIXES: .c .lo .o .obj
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -292,9 +209,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  aserver/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  aserver/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  aserver/Makefile
++	  $(AUTOMAKE) --gnu  aserver/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -308,21 +225,21 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  install-binPROGRAMS: $(bin_PROGRAMS)
  	@$(NORMAL_INSTALL)
@@ -3214,7 +3339,7 @@
  	  else :; fi; \
  	done
  
-@@ -342,7 +258,7 @@
+@@ -342,7 +259,7 @@
  	done
  aserver$(EXEEXT): $(aserver_OBJECTS) $(aserver_DEPENDENCIES) 
  	@rm -f aserver$(EXEEXT)
@@ -3223,7 +3348,7 @@
  
  mostlyclean-compile:
  	-rm -f *.$(OBJEXT)
-@@ -353,22 +269,22 @@
+@@ -353,22 +270,22 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/aserver.Po@am__quote@
  
  .c.o:
@@ -3252,7 +3377,7 @@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
-@@ -379,17 +295,13 @@
+@@ -379,17 +296,13 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -3272,7 +3397,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -401,8 +313,8 @@
+@@ -401,8 +314,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -3283,7 +3408,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -412,13 +324,12 @@
+@@ -412,13 +325,12 @@
  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -3299,7 +3424,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -432,22 +343,21 @@
+@@ -432,22 +344,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -3335,7 +3460,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -463,7 +373,7 @@
+@@ -463,7 +374,7 @@
  all-am: Makefile $(PROGRAMS)
  installdirs:
  	for dir in "$(DESTDIR)$(bindir)"; do \
@@ -3344,7 +3469,7 @@
  	done
  install: install-am
  install-exec: install-exec-am
-@@ -497,7 +407,7 @@
+@@ -497,7 +408,7 @@
  	-rm -rf ./$(DEPDIR)
  	-rm -f Makefile
  distclean-am: clean-am distclean-compile distclean-generic \
@@ -3353,7 +3478,7 @@
  
  dvi: dvi-am
  
-@@ -511,12 +421,20 @@
+@@ -511,12 +422,20 @@
  
  install-data-am:
  
@@ -3374,7 +3499,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -537,19 +455,23 @@
+@@ -537,19 +456,23 @@
  
  ps-am:
  
@@ -3404,8 +3529,8 @@
  all: aserver
 Index: alsa-lib-1.0.18/configure
 ===================================================================
---- alsa-lib-1.0.18.orig/configure	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/configure	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/configure	2008-10-29 13:46:35.000000000 +0100
++++ alsa-lib-1.0.18/configure	2008-11-19 00:14:48.799777214 +0100
 @@ -1,6 +1,6 @@
  #! /bin/sh
  # Guess values for system-dependent variables and create Makefiles.
@@ -3593,7 +3718,17 @@
  CYGPATH_W
  PACKAGE
  VERSION
-@@ -843,11 +859,14 @@
+@@ -825,6 +841,9 @@
+ am__untar
+ INSTALL_M4_TRUE
+ INSTALL_M4_FALSE
++MAINTAINER_MODE_TRUE
++MAINTAINER_MODE_FALSE
++MAINT
+ CC
+ CFLAGS
+ LDFLAGS
+@@ -843,11 +862,14 @@
  am__fastdepCC_FALSE
  CPP
  LN_S
@@ -3608,7 +3743,7 @@
  CXX
  CXXFLAGS
  ac_ct_CXX
-@@ -966,6 +985,7 @@
+@@ -966,6 +988,7 @@
  CC
  CFLAGS
  LDFLAGS
@@ -3616,7 +3751,7 @@
  CPPFLAGS
  CPP
  CXX
-@@ -1079,10 +1099,10 @@
+@@ -1079,10 +1102,10 @@
    -disable-* | --disable-*)
      ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
      # Reject names that are not valid shell variable names.
@@ -3629,7 +3764,7 @@
      eval enable_$ac_feature=no ;;
  
    -docdir | --docdir | --docdi | --doc | --do)
-@@ -1098,10 +1118,10 @@
+@@ -1098,10 +1121,10 @@
    -enable-* | --enable-*)
      ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
      # Reject names that are not valid shell variable names.
@@ -3642,7 +3777,7 @@
      eval enable_$ac_feature=\$ac_optarg ;;
  
    -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
-@@ -1295,19 +1315,19 @@
+@@ -1295,19 +1318,19 @@
    -with-* | --with-*)
      ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
      # Reject names that are not valid shell variable names.
@@ -3666,7 +3801,16 @@
      eval with_$ac_package=no ;;
  
    --x)
-@@ -1612,6 +1632,7 @@
+@@ -1552,6 +1575,8 @@
+ Optional Features:
+   --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
+   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
++  --enable-maintainer-mode  enable make rules and dependencies not useful
++			  (and sometimes confusing) to the casual installer
+   --disable-dependency-tracking  speeds up one-time build
+   --enable-dependency-tracking   do not reject slow dependency extractors
+   --enable-static[=PKGS]  build static libraries [default=no]
+@@ -1612,6 +1637,7 @@
    CFLAGS      C compiler flags
    LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
                nonstandard directory <lib dir>
@@ -3674,7 +3818,7 @@
    CPPFLAGS    C/C++/Objective C preprocessor flags, e.g. -I<include dir> if
                you have headers in a nonstandard directory <include dir>
    CPP         C preprocessor
-@@ -1685,7 +1706,7 @@
+@@ -1685,7 +1711,7 @@
  if $ac_init_version; then
    cat <<\_ACEOF
  configure
@@ -3683,7 +3827,7 @@
  
  Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
  2002, 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
-@@ -1699,7 +1720,7 @@
+@@ -1699,7 +1725,7 @@
  running configure, to aid debugging if configure makes a mistake.
  
  It was created by $as_me, which was
@@ -3692,7 +3836,7 @@
  
    $ $0 $@
  
-@@ -2200,7 +2221,8 @@
+@@ -2200,7 +2226,8 @@
    test "$program_prefix$program_suffix$program_transform_name" = \
      NONENONEs,x,x, &&
    program_prefix=${target_alias}-
@@ -3702,7 +3846,7 @@
  # Find a good install program.  We prefer a C program (faster),
  # so one script is as good as another.  But avoid the broken or
  # incompatible versions:
-@@ -2237,7 +2259,7 @@
+@@ -2237,7 +2264,7 @@
      # by default.
      for ac_prog in ginstall scoinst install; do
        for ac_exec_ext in '' $ac_executable_extensions; do
@@ -3711,7 +3855,7 @@
  	  if test $ac_prog = install &&
  	    grep dspmsg "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
  	    # AIX install.  It has an incompatible calling convention.
-@@ -2352,38 +2374,53 @@
+@@ -2352,38 +2379,53 @@
  echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;}
  fi
  
@@ -3794,7 +3938,7 @@
  
  for ac_prog in gawk mawk nawk awk
  do
-@@ -2403,7 +2440,7 @@
+@@ -2403,7 +2445,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -3803,7 +3947,7 @@
      ac_cv_prog_AWK="$ac_prog"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -2466,12 +2503,16 @@
+@@ -2466,12 +2508,16 @@
  fi
  rmdir .tst 2>/dev/null
  
@@ -3824,7 +3968,7 @@
  fi
  
  # test whether we have cygpath
-@@ -2514,7 +2555,7 @@
+@@ -2514,7 +2560,7 @@
  
  MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"}
  
@@ -3833,7 +3977,7 @@
  
  # Installed binaries are usually stripped using `strip' when the user
  # run `make install-strip'.  However `strip' might not be the right
-@@ -2538,7 +2579,7 @@
+@@ -2538,7 +2584,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -3842,7 +3986,7 @@
      ac_cv_prog_STRIP="${ac_tool_prefix}strip"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -2578,7 +2619,7 @@
+@@ -2578,7 +2624,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -3851,7 +3995,7 @@
      ac_cv_prog_ac_ct_STRIP="strip"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -2618,7 +2659,7 @@
+@@ -2618,7 +2664,7 @@
  fi
  
  fi
@@ -3860,7 +4004,7 @@
  
  # We need awk for the "check" target.  The system "awk" is bad on
  # some platforms.
-@@ -2633,9 +2674,7 @@
+@@ -2633,9 +2679,7 @@
  
  
  eval LIBTOOL_VERSION_INFO="2:0:0"
@@ -3871,7 +4015,37 @@
    INSTALL_M4_TRUE=
    INSTALL_M4_FALSE='#'
  else
-@@ -2685,7 +2724,7 @@
+@@ -2646,6 +2690,29 @@
+ 
+ 
+ 
++{ echo "$as_me:$LINENO: checking whether to enable maintainer-specific portions of Makefiles" >&5
++echo $ECHO_N "checking whether to enable maintainer-specific portions of Makefiles... $ECHO_C" >&6; }
++    # Check whether --enable-maintainer-mode was given.
++if test "${enable_maintainer_mode+set}" = set; then
++  enableval=$enable_maintainer_mode; USE_MAINTAINER_MODE=$enableval
++else
++  USE_MAINTAINER_MODE=no
++fi
++
++  { echo "$as_me:$LINENO: result: $USE_MAINTAINER_MODE" >&5
++echo "${ECHO_T}$USE_MAINTAINER_MODE" >&6; }
++   if test $USE_MAINTAINER_MODE = yes; then
++  MAINTAINER_MODE_TRUE=
++  MAINTAINER_MODE_FALSE='#'
++else
++  MAINTAINER_MODE_TRUE='#'
++  MAINTAINER_MODE_FALSE=
++fi
++
++  MAINT=$MAINTAINER_MODE_TRUE
++
++
++
+ 
+ if test "x$target" != "x$host" -a -z "`echo $CC | grep -e '-gcc'`";
+ then
+@@ -2685,7 +2752,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -3880,7 +4054,7 @@
      ac_cv_prog_CC="${ac_tool_prefix}gcc"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -2725,7 +2764,7 @@
+@@ -2725,7 +2792,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -3889,7 +4063,7 @@
      ac_cv_prog_ac_ct_CC="gcc"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -2782,7 +2821,7 @@
+@@ -2782,7 +2849,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -3898,7 +4072,7 @@
      ac_cv_prog_CC="${ac_tool_prefix}cc"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -2823,7 +2862,7 @@
+@@ -2823,7 +2890,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -3907,7 +4081,7 @@
      if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
         ac_prog_rejected=yes
         continue
-@@ -2881,7 +2920,7 @@
+@@ -2881,7 +2948,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -3916,7 +4090,7 @@
      ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -2925,7 +2964,7 @@
+@@ -2925,7 +2992,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -3925,7 +4099,7 @@
      ac_cv_prog_ac_ct_CC="$ac_prog"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -3066,7 +3105,7 @@
+@@ -3066,7 +3133,7 @@
  # in a Makefile.  We should not override ac_cv_exeext if it was cached,
  # so that the user can short-circuit this test for compilers unknown to
  # Autoconf.
@@ -3934,7 +4108,7 @@
  do
    test -f "$ac_file" || continue
    case $ac_file in
-@@ -3094,6 +3133,12 @@
+@@ -3094,6 +3161,12 @@
  test "$ac_cv_exeext" = no && ac_cv_exeext=
  
  else
@@ -3947,7 +4121,7 @@
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
-@@ -3105,8 +3150,6 @@
+@@ -3105,8 +3178,6 @@
  fi
  
  ac_exeext=$ac_cv_exeext
@@ -3956,7 +4130,7 @@
  
  # Check that the compiler produces executables we can run.  If not, either
  # the compiler is broken, or we cross compile.
-@@ -3284,27 +3327,10 @@
+@@ -3284,27 +3355,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -3988,7 +4162,7 @@
    ac_compiler_gnu=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -3359,27 +3385,10 @@
+@@ -3359,27 +3413,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4020,7 +4194,7 @@
    ac_cv_prog_cc_g=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -3414,27 +3423,10 @@
+@@ -3414,27 +3451,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4052,7 +4226,7 @@
    :
  else
    echo "$as_me: failed program was:" >&5
-@@ -3470,27 +3462,10 @@
+@@ -3470,27 +3490,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4084,7 +4258,7 @@
    ac_cv_prog_cc_g=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -3606,27 +3581,10 @@
+@@ -3606,27 +3609,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4116,7 +4290,7 @@
    ac_cv_prog_cc_c89=$ac_arg
  else
    echo "$as_me: failed program was:" >&5
-@@ -3715,9 +3673,7 @@
+@@ -3715,9 +3701,7 @@
    am_depcomp="$ac_aux_dir/depcomp"
    AMDEPBACKSLASH='\'
  fi
@@ -4127,7 +4301,7 @@
    AMDEP_TRUE=
    AMDEP_FALSE='#'
  else
-@@ -3727,7 +3683,6 @@
+@@ -3727,7 +3711,6 @@
  
  
  
@@ -4135,7 +4309,7 @@
  depcc="$CC"   am_compiler_list=
  
  { echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
-@@ -3795,6 +3750,7 @@
+@@ -3795,6 +3778,7 @@
         depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
         $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
           >/dev/null 2>conftest.err &&
@@ -4143,7 +4317,7 @@
         grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
         grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
         ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
-@@ -3824,9 +3780,7 @@
+@@ -3824,9 +3808,7 @@
  echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6; }
  CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type
  
@@ -4154,7 +4328,7 @@
    test "x$enable_dependency_tracking" != xno \
    && test "$am_cv_CC_dependencies_compiler_type" = gcc3; then
    am__fastdepCC_TRUE=
-@@ -3889,17 +3843,10 @@
+@@ -3889,17 +3871,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4176,7 +4350,7 @@
    :
  else
    echo "$as_me: failed program was:" >&5
-@@ -3933,17 +3880,10 @@
+@@ -3933,17 +3908,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4198,7 +4372,7 @@
    # Broken: success on invalid input.
  continue
  else
-@@ -4008,17 +3948,10 @@
+@@ -4008,17 +3976,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4220,7 +4394,7 @@
    :
  else
    echo "$as_me: failed program was:" >&5
-@@ -4052,17 +3985,10 @@
+@@ -4052,17 +4013,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4242,7 +4416,7 @@
    # Broken: success on invalid input.
  continue
  else
-@@ -4131,7 +4057,7 @@
+@@ -4131,7 +4085,7 @@
      # by default.
      for ac_prog in ginstall scoinst install; do
        for ac_exec_ext in '' $ac_executable_extensions; do
@@ -4251,7 +4425,7 @@
  	  if test $ac_prog = install &&
  	    grep dspmsg "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
  	    # AIX install.  It has an incompatible calling convention.
-@@ -4275,12 +4201,13 @@
+@@ -4275,12 +4229,13 @@
    test -z "$as_dir" && as_dir=.
    for lt_ac_prog in sed gsed; do
      for ac_exec_ext in '' $ac_executable_extensions; do
@@ -4266,7 +4440,7 @@
  lt_ac_max=0
  lt_ac_count=0
  # Add /usr/xpg4/bin/sed as it is typically found on Solaris
-@@ -4315,6 +4242,7 @@
+@@ -4315,6 +4270,7 @@
  fi
  
  SED=$lt_cv_path_SED
@@ -4274,7 +4448,7 @@
  { echo "$as_me:$LINENO: result: $SED" >&5
  echo "${ECHO_T}$SED" >&6; }
  
-@@ -4339,7 +4267,7 @@
+@@ -4339,7 +4295,7 @@
    for ac_prog in grep ggrep; do
    for ac_exec_ext in '' $ac_executable_extensions; do
      ac_path_GREP="$as_dir/$ac_prog$ac_exec_ext"
@@ -4283,7 +4457,7 @@
      # Check for GNU ac_path_GREP and select it if it is found.
    # Check for GNU $ac_path_GREP
  case `"$ac_path_GREP" --version 2>&1` in
-@@ -4421,7 +4349,7 @@
+@@ -4421,7 +4377,7 @@
    for ac_prog in egrep; do
    for ac_exec_ext in '' $ac_executable_extensions; do
      ac_path_EGREP="$as_dir/$ac_prog$ac_exec_ext"
@@ -4292,7 +4466,7 @@
      # Check for GNU ac_path_EGREP and select it if it is found.
    # Check for GNU $ac_path_EGREP
  case `"$ac_path_EGREP" --version 2>&1` in
-@@ -4665,8 +4593,8 @@
+@@ -4665,8 +4621,8 @@
  echo "${ECHO_T}$lt_cv_path_NM" >&6; }
  NM="$lt_cv_path_NM"
  
@@ -4303,7 +4477,7 @@
  if test "${lt_cv_deplibs_check_method+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
-@@ -4685,7 +4613,7 @@
+@@ -4685,7 +4641,7 @@
  # whether `pass_all' will *always* work, you probably want this one.
  
  case $host_os in
@@ -4312,7 +4486,7 @@
    lt_cv_deplibs_check_method=pass_all
    ;;
  
-@@ -4707,16 +4635,22 @@
+@@ -4707,16 +4663,22 @@
  
  mingw* | pw32*)
    # Base MSYS/MinGW do not provide the 'file' command needed by
@@ -4339,7 +4513,7 @@
    if echo __ELF__ | $CC -E - | grep __ELF__ > /dev/null; then
      case $host_cpu in
      i*86 )
-@@ -4754,7 +4688,7 @@
+@@ -4754,7 +4716,7 @@
    esac
    ;;
  
@@ -4348,7 +4522,7 @@
    # PIC code is broken on Interix 3.x, that's why |\.a not |_pic\.a here
    lt_cv_deplibs_check_method='match_pattern /lib[^/]+(\.so|\.a)$'
    ;;
-@@ -4770,11 +4704,11 @@
+@@ -4770,11 +4732,11 @@
    ;;
  
  # This must be Linux ELF.
@@ -4362,7 +4536,7 @@
    if echo __ELF__ | $CC -E - | grep __ELF__ > /dev/null; then
      lt_cv_deplibs_check_method='match_pattern /lib[^/]+(\.so\.[0-9]+\.[0-9]+|_pic\.a)$'
    else
-@@ -4804,6 +4738,10 @@
+@@ -4804,6 +4766,10 @@
    lt_cv_deplibs_check_method=pass_all
    ;;
  
@@ -4373,16 +4547,16 @@
  solaris*)
    lt_cv_deplibs_check_method=pass_all
    ;;
-@@ -4891,7 +4829,7 @@
+@@ -4891,7 +4857,7 @@
    ;;
  *-*-irix6*)
    # Find out which ABI we are using.
 -  echo '#line 4894 "configure"' > conftest.$ac_ext
-+  echo '#line 4832 "configure"' > conftest.$ac_ext
++  echo '#line 4860 "configure"' > conftest.$ac_ext
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    (eval $ac_compile) 2>&5
    ac_status=$?
-@@ -4926,7 +4864,8 @@
+@@ -4926,7 +4892,8 @@
    rm -rf conftest*
    ;;
  
@@ -4392,7 +4566,7 @@
    # Find out which ABI we are using.
    echo 'int i;' > conftest.$ac_ext
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-@@ -4937,6 +4876,9 @@
+@@ -4937,6 +4904,9 @@
      case `/usr/bin/file conftest.o` in
      *32-bit*)
        case $host in
@@ -4402,7 +4576,7 @@
          x86_64-*linux*)
            LD="${LD-ld} -m elf_i386"
            ;;
-@@ -4953,6 +4895,9 @@
+@@ -4953,6 +4923,9 @@
        ;;
      *64-bit*)
        case $host in
@@ -4412,7 +4586,7 @@
          x86_64-*linux*)
            LD="${LD-ld} -m elf_x86_64"
            ;;
-@@ -5015,27 +4960,11 @@
+@@ -5015,27 +4988,11 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4445,7 +4619,7 @@
    lt_cv_cc_needs_belf=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -5044,7 +4973,7 @@
+@@ -5044,7 +5001,7 @@
  	lt_cv_cc_needs_belf=no
  fi
  
@@ -4454,7 +4628,7 @@
        conftest$ac_exeext conftest.$ac_ext
       ac_ext=c
  ac_cpp='$CPP $CPPFLAGS'
-@@ -5072,7 +5001,11 @@
+@@ -5072,7 +5029,11 @@
      *64-bit*)
        case $lt_cv_prog_gnu_ld in
        yes*) LD="${LD-ld} -m elf64_sparc" ;;
@@ -4467,7 +4641,7 @@
        esac
        ;;
      esac
-@@ -5124,27 +5057,10 @@
+@@ -5124,27 +5085,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4499,7 +4673,7 @@
    ac_cv_header_stdc=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -5320,27 +5236,10 @@
+@@ -5320,27 +5264,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4531,7 +4705,7 @@
    eval "$as_ac_Header=yes"
  else
    echo "$as_me: failed program was:" >&5
-@@ -5403,27 +5302,10 @@
+@@ -5403,27 +5330,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4563,7 +4737,7 @@
    ac_header_compiler=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -5459,17 +5341,10 @@
+@@ -5459,17 +5369,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4585,7 +4759,7 @@
    ac_header_preproc=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -5556,7 +5431,7 @@
+@@ -5556,7 +5459,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -4594,7 +4768,7 @@
      ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -5600,7 +5475,7 @@
+@@ -5600,7 +5503,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -4603,7 +4777,7 @@
      ac_cv_prog_ac_ct_CXX="$ac_prog"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -5713,27 +5588,10 @@
+@@ -5713,27 +5616,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4635,7 +4809,7 @@
    ac_compiler_gnu=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -5788,27 +5646,10 @@
+@@ -5788,27 +5674,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4667,7 +4841,7 @@
    ac_cv_prog_cxx_g=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -5843,27 +5684,10 @@
+@@ -5843,27 +5712,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4699,7 +4873,7 @@
    :
  else
    echo "$as_me: failed program was:" >&5
-@@ -5899,27 +5723,10 @@
+@@ -5899,27 +5751,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4731,7 +4905,7 @@
    ac_cv_prog_cxx_g=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -6027,6 +5834,7 @@
+@@ -6027,6 +5862,7 @@
         depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
         $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
           >/dev/null 2>conftest.err &&
@@ -4739,7 +4913,7 @@
         grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
         grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
         ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
-@@ -6056,9 +5864,7 @@
+@@ -6056,9 +5892,7 @@
  echo "${ECHO_T}$am_cv_CXX_dependencies_compiler_type" >&6; }
  CXXDEPMODE=depmode=$am_cv_CXX_dependencies_compiler_type
  
@@ -4750,7 +4924,7 @@
    test "x$enable_dependency_tracking" != xno \
    && test "$am_cv_CXX_dependencies_compiler_type" = gcc3; then
    am__fastdepCXX_TRUE=
-@@ -6122,17 +5928,10 @@
+@@ -6122,17 +5956,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4772,7 +4946,7 @@
    :
  else
    echo "$as_me: failed program was:" >&5
-@@ -6166,17 +5965,10 @@
+@@ -6166,17 +5993,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4794,7 +4968,7 @@
    # Broken: success on invalid input.
  continue
  else
-@@ -6241,17 +6033,10 @@
+@@ -6241,17 +6061,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4816,7 +4990,7 @@
    :
  else
    echo "$as_me: failed program was:" >&5
-@@ -6285,17 +6070,10 @@
+@@ -6285,17 +6098,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4838,7 +5012,7 @@
    # Broken: success on invalid input.
  continue
  else
-@@ -6336,7 +6114,7 @@
+@@ -6336,7 +6142,7 @@
  ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  ac_compiler_gnu=$ac_cv_f77_compiler_gnu
  if test -n "$ac_tool_prefix"; then
@@ -4847,7 +5021,7 @@
    do
      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
  set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-@@ -6354,7 +6132,7 @@
+@@ -6354,7 +6160,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -4856,7 +5030,7 @@
      ac_cv_prog_F77="$ac_tool_prefix$ac_prog"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -6380,7 +6158,7 @@
+@@ -6380,7 +6186,7 @@
  fi
  if test -z "$F77"; then
    ac_ct_F77=$F77
@@ -4865,7 +5039,7 @@
  do
    # Extract the first word of "$ac_prog", so it can be a program name with args.
  set dummy $ac_prog; ac_word=$2
-@@ -6398,7 +6176,7 @@
+@@ -6398,7 +6204,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -4874,7 +5048,7 @@
      ac_cv_prog_ac_ct_F77="$ac_prog"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -6505,27 +6283,10 @@
+@@ -6505,27 +6311,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4906,7 +5080,7 @@
    ac_compiler_gnu=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -6568,27 +6329,10 @@
+@@ -6568,27 +6357,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -4938,7 +5112,7 @@
    ac_cv_prog_f77_g=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -6628,7 +6372,6 @@
+@@ -6628,7 +6400,6 @@
  
  
  # Autoconf 2.13's AC_OBJEXT and AC_EXEEXT macros only works for C compilers!
@@ -4946,7 +5120,7 @@
  # find the maximum length of command line arguments
  { echo "$as_me:$LINENO: checking the maximum length of command line arguments" >&5
  echo $ECHO_N "checking the maximum length of command line arguments... $ECHO_C" >&6; }
-@@ -6715,24 +6458,27 @@
+@@ -6715,24 +6486,27 @@
      fi
      ;;
    *)
@@ -4991,7 +5165,7 @@
      ;;
    esac
  
-@@ -6749,6 +6495,7 @@
+@@ -6749,6 +6523,7 @@
  
  
  
@@ -4999,7 +5173,7 @@
  # Check for command to grab the raw symbol name followed by C symbol from nm.
  { echo "$as_me:$LINENO: checking command to parse $NM output from $compiler object" >&5
  echo $ECHO_N "checking command to parse $NM output from $compiler object... $ECHO_C" >&6; }
-@@ -6786,7 +6533,7 @@
+@@ -6786,7 +6561,7 @@
    lt_cv_sys_global_symbol_to_cdecl="sed -n -e 's/^T .* \(.*\)$/extern int \1();/p' -e 's/^$symcode* .* \(.*\)$/extern char \1;/p'"
    lt_cv_sys_global_symbol_to_c_name_address="sed -n -e 's/^: \([^ ]*\) $/  {\\\"\1\\\", (lt_ptr) 0},/p' -e 's/^$symcode* \([^ ]*\) \([^ ]*\)$/  {\"\2\", (lt_ptr) \&\2},/p'"
    ;;
@@ -5008,7 +5182,7 @@
    if test "$host_cpu" = ia64; then
      symcode='[ABCDGIRSTW]'
      lt_cv_sys_global_symbol_to_cdecl="sed -n -e 's/^T .* \(.*\)$/extern int \1();/p' -e 's/^$symcode* .* \(.*\)$/extern char \1;/p'"
-@@ -6939,7 +6686,7 @@
+@@ -6939,7 +6714,7 @@
      echo "$progname: failed program was:" >&5
      cat conftest.$ac_ext >&5
    fi
@@ -5017,7 +5191,7 @@
  
    # Do not use the global_symbol_pipe unless it works.
    if test "$pipe_works" = yes; then
-@@ -7043,7 +6790,7 @@
+@@ -7043,7 +6818,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -5026,7 +5200,7 @@
      ac_cv_prog_AR="${ac_tool_prefix}ar"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -7083,7 +6830,7 @@
+@@ -7083,7 +6858,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -5035,7 +5209,7 @@
      ac_cv_prog_ac_ct_AR="ar"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -7139,7 +6886,7 @@
+@@ -7139,7 +6914,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -5044,7 +5218,7 @@
      ac_cv_prog_RANLIB="${ac_tool_prefix}ranlib"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -7179,7 +6926,7 @@
+@@ -7179,7 +6954,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -5053,7 +5227,7 @@
      ac_cv_prog_ac_ct_RANLIB="ranlib"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -7235,7 +6982,7 @@
+@@ -7235,7 +7010,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -5062,7 +5236,7 @@
      ac_cv_prog_STRIP="${ac_tool_prefix}strip"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -7275,7 +7022,7 @@
+@@ -7275,7 +7050,7 @@
    IFS=$as_save_IFS
    test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
@@ -5071,7 +5245,7 @@
      ac_cv_prog_ac_ct_STRIP="strip"
      echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
      break 2
-@@ -7337,7 +7084,7 @@
+@@ -7337,7 +7112,7 @@
  test -z "$ac_objext" && ac_objext=o
  
  # Determine commands to create old-style static archives.
@@ -5080,7 +5254,7 @@
  old_postinstall_cmds='chmod 644 $oldlib'
  old_postuninstall_cmds=
  
-@@ -7499,6 +7246,318 @@
+@@ -7499,6 +7274,318 @@
    ;;
  esac
  
@@ -5399,7 +5573,7 @@
  enable_dlopen=yes
  enable_win32_dll=no
  
-@@ -7537,10 +7596,10 @@
+@@ -7537,10 +7624,10 @@
  objext=$objext
  
  # Code to be used in simple compile tests
@@ -5412,7 +5586,7 @@
  
  
  # If no C compiler was specified, use CC.
-@@ -7555,16 +7614,16 @@
+@@ -7555,16 +7642,16 @@
  
  # save warnings/boilerplate of simple test code
  ac_outfile=conftest.$ac_objext
@@ -5432,7 +5606,7 @@
  
  
  
-@@ -7581,7 +7640,7 @@
+@@ -7581,7 +7668,7 @@
  else
    lt_cv_prog_compiler_rtti_exceptions=no
    ac_outfile=conftest.$ac_objext
@@ -5441,21 +5615,21 @@
     lt_compiler_flag="-fno-rtti -fno-exceptions"
     # Insert the option either (1) after the last *FLAGS variable, or
     # (2) before a word containing "conftest.", or (3) at the end.
-@@ -7592,11 +7651,11 @@
+@@ -7592,11 +7679,11 @@
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
 -   (eval echo "\"\$as_me:7595: $lt_compile\"" >&5)
-+   (eval echo "\"\$as_me:7654: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:7682: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>conftest.err)
     ac_status=$?
     cat conftest.err >&5
 -   echo "$as_me:7599: \$? = $ac_status" >&5
-+   echo "$as_me:7658: \$? = $ac_status" >&5
++   echo "$as_me:7686: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s "$ac_outfile"; then
       # The compiler can only warn and ignore the option if not recognized
       # So say no if there are warnings other than the usual output.
-@@ -7647,13 +7706,15 @@
+@@ -7647,13 +7734,15 @@
        lt_prog_compiler_pic='-m68020 -resident32 -malways-restore-a4'
        ;;
  
@@ -5473,7 +5647,7 @@
        lt_prog_compiler_pic='-DDLL_EXPORT'
        ;;
  
-@@ -7663,7 +7724,7 @@
+@@ -7663,7 +7752,7 @@
        lt_prog_compiler_pic='-fno-common'
        ;;
  
@@ -5482,7 +5656,7 @@
        # Interix 3.x gcc -fpic/-fPIC options generate broken code.
        # Instead, we relocate shared libraries at runtime.
        ;;
-@@ -7721,7 +7782,7 @@
+@@ -7721,7 +7810,7 @@
         esac
         ;;
  
@@ -5491,7 +5665,7 @@
        # This hack is so that the source file can tell whether it is being
        # built for inclusion in a dll (and should export symbols for example).
        lt_prog_compiler_pic='-DDLL_EXPORT'
-@@ -7754,7 +7815,7 @@
+@@ -7754,7 +7843,7 @@
        lt_prog_compiler_static='-Bstatic'
        ;;
  
@@ -5500,7 +5674,7 @@
        case $cc_basename in
        icc* | ecc*)
  	lt_prog_compiler_wl='-Wl,'
-@@ -7773,6 +7834,22 @@
+@@ -7773,6 +7862,22 @@
          # All Alpha code is PIC.
          lt_prog_compiler_static='-non_shared'
          ;;
@@ -5523,7 +5697,7 @@
        esac
        ;;
  
-@@ -7782,6 +7859,10 @@
+@@ -7782,6 +7887,10 @@
        lt_prog_compiler_static='-non_shared'
        ;;
  
@@ -5534,7 +5708,7 @@
      solaris*)
        lt_prog_compiler_pic='-KPIC'
        lt_prog_compiler_static='-Bstatic'
-@@ -7844,12 +7925,12 @@
+@@ -7844,12 +7953,12 @@
  
  { echo "$as_me:$LINENO: checking if $compiler PIC flag $lt_prog_compiler_pic works" >&5
  echo $ECHO_N "checking if $compiler PIC flag $lt_prog_compiler_pic works... $ECHO_C" >&6; }
@@ -5550,17 +5724,17 @@
     lt_compiler_flag="$lt_prog_compiler_pic -DPIC"
     # Insert the option either (1) after the last *FLAGS variable, or
     # (2) before a word containing "conftest.", or (3) at the end.
-@@ -7860,27 +7941,27 @@
+@@ -7860,27 +7969,27 @@
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
 -   (eval echo "\"\$as_me:7863: $lt_compile\"" >&5)
-+   (eval echo "\"\$as_me:7944: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:7972: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>conftest.err)
     ac_status=$?
     cat conftest.err >&5
 -   echo "$as_me:7867: \$? = $ac_status" >&5
-+   echo "$as_me:7948: \$? = $ac_status" >&5
++   echo "$as_me:7976: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s "$ac_outfile"; then
       # The compiler can only warn and ignore the option if not recognized
       # So say no if there are warnings other than the usual output.
@@ -5584,7 +5758,7 @@
      case $lt_prog_compiler_pic in
       "" | " "*) ;;
       *) lt_prog_compiler_pic=" $lt_prog_compiler_pic" ;;
-@@ -7907,13 +7988,13 @@
+@@ -7907,13 +8016,13 @@
  wl=$lt_prog_compiler_wl eval lt_tmp_static_flag=\"$lt_prog_compiler_static\"
  { echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
  echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6; }
@@ -5601,7 +5775,7 @@
     if (eval $ac_link 2>conftest.err) && test -s conftest$ac_exeext; then
       # The linker can only warn and ignore the option if not recognized
       # So say no if there are warnings
-@@ -7923,20 +8004,20 @@
+@@ -7923,20 +8032,20 @@
         $echo "X$_lt_linker_boilerplate" | $Xsed -e '/^$/d' > conftest.exp
         $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
         if diff conftest.exp conftest.er2 >/dev/null; then
@@ -5628,7 +5802,7 @@
      :
  else
      lt_prog_compiler_static=
-@@ -7953,7 +8034,7 @@
+@@ -7953,7 +8062,7 @@
     mkdir conftest
     cd conftest
     mkdir out
@@ -5637,21 +5811,21 @@
  
     lt_compiler_flag="-o out/conftest2.$ac_objext"
     # Insert the option either (1) after the last *FLAGS variable, or
-@@ -7964,11 +8045,11 @@
+@@ -7964,11 +8073,11 @@
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
 -   (eval echo "\"\$as_me:7967: $lt_compile\"" >&5)
-+   (eval echo "\"\$as_me:8048: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:8076: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>out/conftest.err)
     ac_status=$?
     cat out/conftest.err >&5
 -   echo "$as_me:7971: \$? = $ac_status" >&5
-+   echo "$as_me:8052: \$? = $ac_status" >&5
++   echo "$as_me:8080: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s out/conftest2.$ac_objext
     then
       # The compiler can only warn and ignore the option if not recognized
-@@ -8048,12 +8129,13 @@
+@@ -8048,12 +8157,13 @@
    # it will be wrapped by ` (' and `)$', so one must not match beginning or
    # end of line.  Example: `a|bc|.*d.*' will exclude the symbols `a' and `bc',
    # as well as any symbol that contains `d'.
@@ -5666,7 +5840,7 @@
    extract_expsyms_cmds=
    # Just being paranoid about ensuring that cc_basename is set.
    for cc_temp in $compiler""; do
-@@ -8112,7 +8194,7 @@
+@@ -8112,7 +8222,7 @@
  
      # See if GNU ld supports shared libraries.
      case $host_os in
@@ -5675,7 +5849,7 @@
        # On AIX/PPC, the GNU linker is very broken
        if test "$host_cpu" != ia64; then
  	ld_shlibs=no
-@@ -8160,7 +8242,7 @@
+@@ -8160,7 +8270,7 @@
        allow_undefined_flag=unsupported
        always_export_symbols=no
        enable_shared_with_static_runtimes=yes
@@ -5684,7 +5858,7 @@
  
        if $LD --help 2>&1 | grep 'auto-import' > /dev/null; then
          archive_cmds='$CC -shared $libobjs $deplibs $compiler_flags -o $output_objdir/$soname ${wl}--enable-auto-image-base -Xlinker --out-implib -Xlinker $lib'
-@@ -8178,7 +8260,7 @@
+@@ -8178,7 +8288,7 @@
        fi
        ;;
  
@@ -5693,7 +5867,7 @@
        hardcode_direct=no
        hardcode_shlibpath_var=no
        hardcode_libdir_flag_spec='${wl}-rpath,$libdir'
-@@ -8193,7 +8275,7 @@
+@@ -8193,7 +8303,7 @@
        archive_expsym_cmds='sed "s,^,_," $export_symbols >$output_objdir/$soname.expsym~$CC -shared $pic_flag $libobjs $deplibs $compiler_flags ${wl}-h,$soname ${wl}--retain-symbols-file,$output_objdir/$soname.expsym ${wl}--image-base,`expr ${RANDOM-$$} % 4096 / 2 \* 262144 + 1342177280` -o $lib'
        ;;
  
@@ -5702,7 +5876,7 @@
        if $LD --help 2>&1 | grep ': supported targets:.* elf' > /dev/null; then
  	tmp_addflag=
  	case $cc_basename,$host_cpu in
-@@ -8211,20 +8293,30 @@
+@@ -8211,20 +8321,30 @@
  	ifc* | ifort*)			# Intel Fortran compiler
  	  tmp_addflag=' -nofor_main' ;;
  	esac
@@ -5736,7 +5910,7 @@
        if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
  	archive_cmds='$LD -Bshareable $libobjs $deplibs $linker_flags -o $lib'
  	wlarc=
-@@ -8322,7 +8414,7 @@
+@@ -8322,7 +8442,7 @@
        fi
        ;;
  
@@ -5745,7 +5919,7 @@
        if test "$host_cpu" = ia64; then
  	# On IA64, the linker does run time linking by default, so we don't
  	# have to do anything special.
-@@ -8342,7 +8434,7 @@
+@@ -8342,7 +8462,7 @@
  	# Test if we are trying to use run time linking or normal
  	# AIX style linking. If -brtl is somewhere in LDFLAGS, we
  	# need to do runtime linking.
@@ -5754,7 +5928,7 @@
  	  for ld_flag in $LDFLAGS; do
    	  if (test $ld_flag = "-brtl" || test $ld_flag = "-Wl,-brtl"); then
    	    aix_use_runtimelinking=yes
-@@ -8376,7 +8468,7 @@
+@@ -8376,7 +8496,7 @@
    	   strings "$collect2name" | grep resolve_lib_name >/dev/null
  	  then
    	  # We have reworked collect2
@@ -5763,7 +5937,7 @@
  	  else
    	  # We have old collect2
    	  hardcode_direct=unsupported
-@@ -8444,33 +8536,24 @@
+@@ -8444,33 +8564,24 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -5814,7 +5988,7 @@
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
-@@ -8478,7 +8561,7 @@
+@@ -8478,7 +8589,7 @@
  
  fi
  
@@ -5823,7 +5997,7 @@
        conftest$ac_exeext conftest.$ac_ext
  if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
  
-@@ -8519,33 +8602,24 @@
+@@ -8519,33 +8630,24 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -5874,7 +6048,7 @@
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
-@@ -8553,7 +8627,7 @@
+@@ -8553,7 +8655,7 @@
  
  fi
  
@@ -5883,7 +6057,7 @@
        conftest$ac_exeext conftest.$ac_ext
  if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
  
-@@ -8599,7 +8673,7 @@
+@@ -8599,7 +8701,7 @@
        # The linker will automatically build a .lib file if we build a DLL.
        old_archive_From_new_cmds='true'
        # FIXME: Should let the user specify the lib program.
@@ -5892,7 +6066,7 @@
        fix_srcfile_path='`cygpath -w "$srcfile"`'
        enable_shared_with_static_runtimes=yes
        ;;
-@@ -8632,19 +8706,18 @@
+@@ -8632,19 +8734,18 @@
        link_all_deplibs=yes
      if test "$GCC" = yes ; then
      	output_verbose_link_cmd='echo'
@@ -5918,7 +6092,7 @@
            module_expsym_cmds='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC $allow_undefined_flag  -o $lib -bundle $libobjs $deplibs$compiler_flags~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
            ;;
         *)
-@@ -8684,7 +8757,7 @@
+@@ -8684,7 +8785,7 @@
        ;;
  
      # FreeBSD 3 and greater uses gcc -shared to do shared libraries.
@@ -5927,7 +6101,7 @@
        archive_cmds='$CC -shared -o $lib $libobjs $deplibs $compiler_flags'
        hardcode_libdir_flag_spec='-R$libdir'
        hardcode_direct=yes
-@@ -8786,7 +8859,7 @@
+@@ -8786,7 +8887,7 @@
        link_all_deplibs=yes
        ;;
  
@@ -5936,7 +6110,7 @@
        if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
  	archive_cmds='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags'  # a.out
        else
-@@ -8806,24 +8879,28 @@
+@@ -8806,24 +8907,28 @@
        ;;
  
      openbsd*)
@@ -5982,7 +6156,7 @@
        fi
        ;;
  
-@@ -8882,17 +8959,16 @@
+@@ -8882,17 +8987,16 @@
        case $host_os in
        solaris2.[0-5] | solaris2.[0-5].*) ;;
        *)
@@ -6009,7 +6183,7 @@
        esac
        link_all_deplibs=yes
        ;;
-@@ -8949,7 +9025,7 @@
+@@ -8949,7 +9053,7 @@
        fi
        ;;
  
@@ -6018,7 +6192,7 @@
        no_undefined_flag='${wl}-z,text'
        archive_cmds_need_lc=no
        hardcode_shlibpath_var=no
-@@ -9026,7 +9102,7 @@
+@@ -9026,7 +9130,7 @@
        { echo "$as_me:$LINENO: checking whether -lc should be explicitly linked in" >&5
  echo $ECHO_N "checking whether -lc should be explicitly linked in... $ECHO_C" >&6; }
        $rm conftest*
@@ -6027,7 +6201,7 @@
  
        if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    (eval $ac_compile) 2>&5
-@@ -9084,17 +9160,55 @@
+@@ -9084,17 +9188,55 @@
  version_type=none
  dynamic_linker="$host_os ld.so"
  sys_lib_dlsearch_path_spec="/lib /usr/lib"
@@ -6087,7 +6261,7 @@
  else
    sys_lib_search_path_spec="/lib /usr/lib /usr/local/lib"
  fi
-@@ -9115,7 +9229,7 @@
+@@ -9115,7 +9257,7 @@
    soname_spec='${libname}${release}${shared_ext}$major'
    ;;
  
@@ -6096,7 +6270,7 @@
    version_type=linux
    need_lib_prefix=no
    need_version=no
-@@ -9254,12 +9368,8 @@
+@@ -9254,12 +9396,8 @@
    shlibpath_overrides_runpath=yes
    shlibpath_var=DYLD_LIBRARY_PATH
    shrext_cmds='`test .$module = .yes && echo .so || echo .dylib`'
@@ -6111,7 +6285,7 @@
    sys_lib_dlsearch_path_spec='/usr/local/lib /lib /usr/lib'
    ;;
  
-@@ -9276,18 +9386,6 @@
+@@ -9276,18 +9414,6 @@
    dynamic_linker=no
    ;;
  
@@ -6130,7 +6304,7 @@
  freebsd* | dragonfly*)
    # DragonFly does not have aout.  When/if they implement a new
    # versioning mechanism, adjust this.
-@@ -9325,7 +9423,7 @@
+@@ -9325,7 +9451,7 @@
      shlibpath_overrides_runpath=no
      hardcode_into_libs=yes
      ;;
@@ -6139,7 +6313,7 @@
      shlibpath_overrides_runpath=yes
      hardcode_into_libs=yes
      ;;
-@@ -9388,7 +9486,7 @@
+@@ -9388,7 +9514,7 @@
    postinstall_cmds='chmod 555 $lib'
    ;;
  
@@ -6148,7 +6322,7 @@
    version_type=linux
    need_lib_prefix=no
    need_version=no
-@@ -9443,7 +9541,7 @@
+@@ -9443,7 +9569,7 @@
    ;;
  
  # This must be Linux ELF.
@@ -6157,7 +6331,7 @@
    version_type=linux
    need_lib_prefix=no
    need_version=no
-@@ -9459,7 +9557,7 @@
+@@ -9459,7 +9585,7 @@
  
    # Append ld.so.conf contents to the search path
    if test -f /etc/ld.so.conf; then
@@ -6166,7 +6340,7 @@
      sys_lib_dlsearch_path_spec="/lib /usr/lib $lt_ld_extra"
    fi
  
-@@ -9472,7 +9570,7 @@
+@@ -9472,7 +9598,7 @@
    dynamic_linker='GNU/Linux ld.so'
    ;;
  
@@ -6175,7 +6349,7 @@
    version_type=linux
    need_lib_prefix=no
    need_version=no
-@@ -9481,7 +9579,7 @@
+@@ -9481,7 +9607,7 @@
    shlibpath_var=LD_LIBRARY_PATH
    shlibpath_overrides_runpath=no
    hardcode_into_libs=yes
@@ -6184,7 +6358,7 @@
    ;;
  
  netbsd*)
-@@ -9565,6 +9663,10 @@
+@@ -9565,6 +9691,10 @@
    sys_lib_dlsearch_path_spec="$sys_lib_search_path_spec"
    ;;
  
@@ -6195,7 +6369,7 @@
  solaris*)
    version_type=linux
    need_lib_prefix=no
-@@ -9661,6 +9763,21 @@
+@@ -9661,6 +9791,21 @@
  echo "${ECHO_T}$dynamic_linker" >&6; }
  test "$dynamic_linker" = no && can_build_shared=no
  
@@ -6217,7 +6391,7 @@
  variables_saved_for_relink="PATH $shlibpath_var $runpath_var"
  if test "$GCC" = yes; then
    variables_saved_for_relink="$variables_saved_for_relink GCC_EXEC_PREFIX COMPILER_PATH LIBRARY_PATH"
-@@ -9718,6 +9835,7 @@
+@@ -9718,6 +9863,7 @@
     darwin*)
         if test -n "$STRIP" ; then
           striplib="$STRIP -x"
@@ -6225,23 +6399,10 @@
           { echo "$as_me:$LINENO: result: yes" >&5
  echo "${ECHO_T}yes" >&6; }
         else
-@@ -9788,40 +9906,24 @@
-   return 0;
- }
- _ACEOF
--rm -f conftest.$ac_objext conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
--  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
--  *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
--  (eval "$ac_link") 2>conftest.er1
--  ac_status=$?
--  grep -v '^ *+' conftest.er1 >conftest.err
--  rm -f conftest.er1
--  cat conftest.err >&5
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+@@ -9801,27 +9947,11 @@
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
 -  (exit $ac_status); } &&
 -	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
 -  { (case "(($ac_try" in
@@ -6255,20 +6416,13 @@
 -  (exit $ac_status); }; } &&
 -	 { ac_try='test -s conftest$ac_exeext'
 -  { (case "(($ac_try" in
-+rm -f conftest.$ac_objext conftest$ac_exeext
-+if { (ac_try="$ac_link"
-+case "(($ac_try" in
-   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-   *) ac_try_echo=$ac_try;;
- esac
- eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 -  (eval "$ac_try") 2>&5
-+  (eval "$ac_link") 2>conftest.er1
-   ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
 -  (exit $ac_status); }; }; then
 +  (exit $ac_status); } && {
 +	 test -z "$ac_c_werror_flag" ||
@@ -6278,7 +6432,7 @@
    ac_cv_lib_dl_dlopen=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -9830,7 +9932,7 @@
+@@ -9830,7 +9960,7 @@
  	ac_cv_lib_dl_dlopen=no
  fi
  
@@ -6287,7 +6441,7 @@
        conftest$ac_exeext conftest.$ac_ext
  LIBS=$ac_check_lib_save_LIBS
  fi
-@@ -9912,27 +10014,11 @@
+@@ -9912,27 +10042,11 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -6320,7 +6474,7 @@
    ac_cv_func_shl_load=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -9941,7 +10027,7 @@
+@@ -9941,7 +10055,7 @@
  	ac_cv_func_shl_load=no
  fi
  
@@ -6329,22 +6483,25 @@
        conftest$ac_exeext conftest.$ac_ext
  fi
  { echo "$as_me:$LINENO: result: $ac_cv_func_shl_load" >&5
-@@ -9991,27 +10077,11 @@
-   rm -f conftest.er1
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); } &&
--	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
--  { (case "(($ac_try" in
+@@ -9978,40 +10092,24 @@
+   return 0;
+ }
+ _ACEOF
+-rm -f conftest.$ac_objext conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 -  *) ac_try_echo=$ac_try;;
 -esac
 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
--  (eval "$ac_try") 2>&5
+-  (eval "$ac_link") 2>conftest.er1
 -  ac_status=$?
+-  grep -v '^ *+' conftest.er1 >conftest.err
+-  rm -f conftest.er1
+-  cat conftest.err >&5
 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); }; } &&
--	 { ac_try='test -s conftest$ac_exeext'
+-  (exit $ac_status); } &&
+-	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
 -  { (case "(($ac_try" in
 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 -  *) ac_try_echo=$ac_try;;
@@ -6353,6 +6510,23 @@
 -  (eval "$ac_try") 2>&5
 -  ac_status=$?
 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; } &&
+-	 { ac_try='test -s conftest$ac_exeext'
+-  { (case "(($ac_try" in
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
+   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+   *) ac_try_echo=$ac_try;;
+ esac
+ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_try") 2>&5
++  (eval "$ac_link") 2>conftest.er1
+   ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
 -  (exit $ac_status); }; }; then
 +  (exit $ac_status); } && {
 +	 test -z "$ac_c_werror_flag" ||
@@ -6362,7 +6536,7 @@
    ac_cv_lib_dld_shl_load=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -10020,14 +10090,14 @@
+@@ -10020,14 +10118,14 @@
  	ac_cv_lib_dld_shl_load=no
  fi
  
@@ -6379,7 +6553,7 @@
  else
    { echo "$as_me:$LINENO: checking for dlopen" >&5
  echo $ECHO_N "checking for dlopen... $ECHO_C" >&6; }
-@@ -10092,27 +10162,11 @@
+@@ -10092,27 +10190,11 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -6412,7 +6586,7 @@
    ac_cv_func_dlopen=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -10121,7 +10175,7 @@
+@@ -10121,7 +10203,7 @@
  	ac_cv_func_dlopen=no
  fi
  
@@ -6421,7 +6595,7 @@
        conftest$ac_exeext conftest.$ac_ext
  fi
  { echo "$as_me:$LINENO: result: $ac_cv_func_dlopen" >&5
-@@ -10171,27 +10225,11 @@
+@@ -10171,27 +10253,11 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -6454,7 +6628,7 @@
    ac_cv_lib_dl_dlopen=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -10200,7 +10238,7 @@
+@@ -10200,7 +10266,7 @@
  	ac_cv_lib_dl_dlopen=no
  fi
  
@@ -6463,7 +6637,7 @@
        conftest$ac_exeext conftest.$ac_ext
  LIBS=$ac_check_lib_save_LIBS
  fi
-@@ -10251,27 +10289,11 @@
+@@ -10251,27 +10317,11 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -6496,7 +6670,7 @@
    ac_cv_lib_svld_dlopen=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -10280,7 +10302,7 @@
+@@ -10280,7 +10330,7 @@
  	ac_cv_lib_svld_dlopen=no
  fi
  
@@ -6505,7 +6679,7 @@
        conftest$ac_exeext conftest.$ac_ext
  LIBS=$ac_check_lib_save_LIBS
  fi
-@@ -10331,27 +10353,11 @@
+@@ -10331,27 +10381,11 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -6538,7 +6712,7 @@
    ac_cv_lib_dld_dld_link=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -10360,14 +10366,14 @@
+@@ -10360,14 +10394,14 @@
  	ac_cv_lib_dld_dld_link=no
  fi
  
@@ -6555,25 +6729,25 @@
  fi
  
  
-@@ -10416,7 +10422,7 @@
+@@ -10416,7 +10450,7 @@
    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
    lt_status=$lt_dlunknown
    cat > conftest.$ac_ext <<EOF
 -#line 10419 "configure"
-+#line 10425 "configure"
++#line 10453 "configure"
  #include "confdefs.h"
  
  #if HAVE_DLFCN_H
-@@ -10516,7 +10522,7 @@
+@@ -10516,7 +10550,7 @@
    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
    lt_status=$lt_dlunknown
    cat > conftest.$ac_ext <<EOF
 -#line 10519 "configure"
-+#line 10525 "configure"
++#line 10553 "configure"
  #include "confdefs.h"
  
  #if HAVE_DLFCN_H
-@@ -10643,7 +10649,7 @@
+@@ -10643,7 +10677,7 @@
    fi
    ;;
  
@@ -6582,7 +6756,7 @@
    if test "$host_cpu" != ia64 && test "$aix_use_runtimelinking" = no ; then
      test "$enable_shared" = yes && enable_static=no
    fi
-@@ -10699,6 +10705,7 @@
+@@ -10699,6 +10733,7 @@
      predeps \
      postdeps \
      compiler_lib_search_path \
@@ -6590,7 +6764,7 @@
      archive_cmds \
      archive_expsym_cmds \
      postinstall_cmds \
-@@ -10714,6 +10721,7 @@
+@@ -10714,6 +10749,7 @@
      module_cmds \
      module_expsym_cmds \
      lt_cv_prog_compiler_c_o \
@@ -6598,7 +6772,7 @@
      exclude_expsyms \
      include_expsyms; do
  
-@@ -10758,7 +10766,7 @@
+@@ -10758,7 +10794,7 @@
  # Generated automatically by $PROGRAM (GNU $PACKAGE $VERSION$TIMESTAMP)
  # NOTE: Changes made to this file will be lost: look at ltmain.sh.
  #
@@ -6607,7 +6781,7 @@
  # Free Software Foundation, Inc.
  #
  # This file is part of GNU Libtool:
-@@ -10994,6 +11002,10 @@
+@@ -10994,6 +11030,10 @@
  # shared library.
  postdeps=$lt_postdeps
  
@@ -6618,7 +6792,7 @@
  # The library search path used internally by the compiler when linking
  # a shared library.
  compiler_lib_search_path=$lt_compiler_lib_search_path
-@@ -11082,7 +11094,7 @@
+@@ -11082,7 +11122,7 @@
  sys_lib_dlsearch_path_spec=$lt_sys_lib_dlsearch_path_spec
  
  # Fix the shell variable \$srcfile for the compiler.
@@ -6627,7 +6801,7 @@
  
  # Set to yes if exported symbols are required.
  always_export_symbols=$always_export_symbols
-@@ -11242,6 +11254,7 @@
+@@ -11242,6 +11282,7 @@
  predeps_CXX=
  postdeps_CXX=
  compiler_lib_search_path_CXX=
@@ -6635,7 +6809,7 @@
  
  # Source file extension for C++ test sources.
  ac_ext=cpp
-@@ -11251,10 +11264,10 @@
+@@ -11251,10 +11292,10 @@
  objext_CXX=$objext
  
  # Code to be used in simple compile tests
@@ -6648,7 +6822,7 @@
  
  # ltmain only uses $CC for tagged configurations so make sure $CC is set.
  
-@@ -11270,16 +11283,16 @@
+@@ -11270,16 +11311,16 @@
  
  # save warnings/boilerplate of simple test code
  ac_outfile=conftest.$ac_objext
@@ -6668,7 +6842,7 @@
  
  
  # Allow CC to be a program name with arguments.
-@@ -11486,7 +11499,7 @@
+@@ -11486,7 +11527,7 @@
      # FIXME: insert proper C++ library support
      ld_shlibs_CXX=no
      ;;
@@ -6677,7 +6851,7 @@
      if test "$host_cpu" = ia64; then
        # On IA64, the linker does run time linking by default, so we don't
        # have to do anything special.
-@@ -11499,7 +11512,7 @@
+@@ -11499,7 +11540,7 @@
        # Test if we are trying to use run time linking or normal
        # AIX style linking. If -brtl is somewhere in LDFLAGS, we
        # need to do runtime linking.
@@ -6686,7 +6860,7 @@
  	for ld_flag in $LDFLAGS; do
  	  case $ld_flag in
  	  *-brtl*)
-@@ -11535,7 +11548,7 @@
+@@ -11535,7 +11576,7 @@
  	   strings "$collect2name" | grep resolve_lib_name >/dev/null
  	then
  	  # We have reworked collect2
@@ -6695,7 +6869,7 @@
  	else
  	  # We have old collect2
  	  hardcode_direct_CXX=unsupported
-@@ -11603,33 +11616,24 @@
+@@ -11603,33 +11644,24 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -6746,7 +6920,7 @@
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
-@@ -11637,7 +11641,7 @@
+@@ -11637,7 +11669,7 @@
  
  fi
  
@@ -6755,7 +6929,7 @@
        conftest$ac_exeext conftest.$ac_ext
  if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
  
-@@ -11679,33 +11683,24 @@
+@@ -11679,33 +11711,24 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -6806,7 +6980,7 @@
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
-@@ -11713,7 +11708,7 @@
+@@ -11713,7 +11736,7 @@
  
  fi
  
@@ -6815,7 +6989,7 @@
        conftest$ac_exeext conftest.$ac_ext
  if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
  
-@@ -11775,59 +11770,31 @@
+@@ -11775,59 +11798,31 @@
      fi
    ;;
        darwin* | rhapsody*)
@@ -6886,7 +7060,7 @@
            module_expsym_cmds_CXX='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC $allow_undefined_flag  -o $lib -bundle $libobjs $deplibs$compiler_flags~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
            ;;
         *)
-@@ -11861,7 +11828,7 @@
+@@ -11861,7 +11856,7 @@
    freebsd-elf*)
      archive_cmds_need_lc_CXX=no
      ;;
@@ -6895,7 +7069,7 @@
      # FreeBSD 3 and later use GNU C++ and GNU ld with standard ELF
      # conventions
      ld_shlibs_CXX=yes
-@@ -11910,9 +11877,7 @@
+@@ -11910,9 +11905,7 @@
        hardcode_libdir_separator_CXX=:
  
        case $host_cpu in
@@ -6906,7 +7080,7 @@
        *)
  	export_dynamic_flag_spec_CXX='${wl}-E'
          ;;
-@@ -11980,7 +11945,7 @@
+@@ -11980,7 +11973,7 @@
  	;;
      esac
      ;;
@@ -6915,7 +7089,7 @@
      hardcode_direct_CXX=no
      hardcode_shlibpath_var_CXX=no
      hardcode_libdir_flag_spec_CXX='${wl}-rpath,$libdir'
-@@ -12020,7 +11985,7 @@
+@@ -12020,7 +12013,7 @@
      hardcode_libdir_flag_spec_CXX='${wl}-rpath ${wl}$libdir'
      hardcode_libdir_separator_CXX=:
      ;;
@@ -6924,7 +7098,7 @@
      case $cc_basename in
        KCC*)
  	# Kuck and Associates, Inc. (KAI) C++ Compiler
-@@ -12072,7 +12037,7 @@
+@@ -12072,7 +12065,7 @@
  	export_dynamic_flag_spec_CXX='${wl}--export-dynamic'
  	whole_archive_flag_spec_CXX='${wl}--whole-archive$convenience ${wl}--no-whole-archive'
  	;;
@@ -6933,7 +7107,7 @@
          # Portland Group C++ compiler
  	archive_cmds_CXX='$CC -shared $pic_flag $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-soname ${wl}$soname -o $lib'
    	archive_expsym_cmds_CXX='$CC -shared $pic_flag $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-soname ${wl}$soname ${wl}-retain-symbols-file ${wl}$export_symbols -o $lib'
-@@ -12100,6 +12065,29 @@
+@@ -12100,6 +12093,29 @@
  	# dependencies.
  	output_verbose_link_cmd='templist=`$CC -shared $CFLAGS -v conftest.$objext 2>&1 | grep "ld"`; templist=`echo $templist | $SED "s/\(^.*ld.*\)\( .*ld .*$\)/\1/"`; list=""; for z in $templist; do case $z in conftest.$objext) list="$list $z";; *.$objext);; *) list="$list $z";;esac; done; echo $list'
  	;;
@@ -6963,7 +7137,7 @@
      esac
      ;;
    lynxos*)
-@@ -12122,7 +12110,7 @@
+@@ -12122,7 +12138,7 @@
  	;;
      esac
      ;;
@@ -6972,7 +7146,7 @@
      if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
        archive_cmds_CXX='$LD -Bshareable  -o $lib $predep_objects $libobjs $deplibs $postdep_objects $linker_flags'
        wlarc=
-@@ -12138,16 +12126,20 @@
+@@ -12138,16 +12154,20 @@
      ld_shlibs_CXX=no
      ;;
    openbsd*)
@@ -7002,7 +7176,7 @@
      ;;
    osf3*)
      case $cc_basename in
-@@ -12309,15 +12301,10 @@
+@@ -12309,15 +12329,10 @@
  	case $host_os in
  	  solaris2.[0-5] | solaris2.[0-5].*) ;;
  	  *)
@@ -7021,7 +7195,7 @@
  	    ;;
  	esac
  	link_all_deplibs_CXX=yes
-@@ -12364,6 +12351,12 @@
+@@ -12364,6 +12379,12 @@
  	  fi
  
  	  hardcode_libdir_flag_spec_CXX='${wl}-R $wl$libdir'
@@ -7034,7 +7208,7 @@
  	fi
  	;;
      esac
-@@ -12451,7 +12444,6 @@
+@@ -12451,7 +12472,6 @@
  GCC_CXX="$GXX"
  LD_CXX="$LD"
  
@@ -7042,7 +7216,7 @@
  cat > conftest.$ac_ext <<EOF
  class Foo
  {
-@@ -12553,9 +12545,14 @@
+@@ -12553,9 +12573,14 @@
  
  $rm -f confest.$objext
  
@@ -7058,7 +7232,7 @@
    # Interix 3.5 installs completely hosed .la files for C++, so rather than
    # hack all around it, let's just trust "g++" to DTRT.
    predep_objects_CXX=
-@@ -12563,19 +12560,51 @@
+@@ -12563,19 +12588,51 @@
    postdeps_CXX=
    ;;
  
@@ -7112,7 +7286,7 @@
  case " $postdeps_CXX " in
  *" -lc "*) archive_cmds_need_lc_CXX=no ;;
  esac
-@@ -12606,12 +12635,14 @@
+@@ -12606,12 +12663,14 @@
        # like `-m68040'.
        lt_prog_compiler_pic_CXX='-m68020 -resident32 -malways-restore-a4'
        ;;
@@ -7129,7 +7303,7 @@
        lt_prog_compiler_pic_CXX='-DDLL_EXPORT'
        ;;
      darwin* | rhapsody*)
-@@ -12623,7 +12654,7 @@
+@@ -12623,7 +12682,7 @@
        # DJGPP does not support shared libraries at all
        lt_prog_compiler_pic_CXX=
        ;;
@@ -7138,7 +7312,7 @@
        # Interix 3.x gcc -fpic/-fPIC options generate broken code.
        # Instead, we relocate shared libraries at runtime.
        ;;
-@@ -12649,7 +12680,7 @@
+@@ -12649,7 +12708,7 @@
      esac
    else
      case $host_os in
@@ -7147,7 +7321,7 @@
  	# All AIX code is PIC.
  	if test "$host_cpu" = ia64; then
  	  # AIX 5 now supports IA64 processor
-@@ -12689,7 +12720,7 @@
+@@ -12689,7 +12748,7 @@
  	    ;;
  	esac
  	;;
@@ -7156,7 +7330,7 @@
  	# FreeBSD uses GNU C++
  	;;
        hpux9* | hpux10* | hpux11*)
-@@ -12732,7 +12763,7 @@
+@@ -12732,7 +12791,7 @@
  	    ;;
  	esac
  	;;
@@ -7165,7 +7339,7 @@
  	case $cc_basename in
  	  KCC*)
  	    # KAI C++ Compiler
-@@ -12745,7 +12776,7 @@
+@@ -12745,7 +12804,7 @@
  	    lt_prog_compiler_pic_CXX='-KPIC'
  	    lt_prog_compiler_static_CXX='-static'
  	    ;;
@@ -7174,7 +7348,7 @@
  	    # Portland Group C++ compiler.
  	    lt_prog_compiler_wl_CXX='-Wl,'
  	    lt_prog_compiler_pic_CXX='-fpic'
-@@ -12759,6 +12790,14 @@
+@@ -12759,6 +12818,14 @@
  	    lt_prog_compiler_static_CXX='-non_shared'
  	    ;;
  	  *)
@@ -7189,7 +7363,7 @@
  	    ;;
  	esac
  	;;
-@@ -12775,7 +12814,7 @@
+@@ -12775,7 +12842,7 @@
  	    ;;
  	esac
  	;;
@@ -7198,7 +7372,7 @@
  	;;
        osf3* | osf4* | osf5*)
  	case $cc_basename in
-@@ -12868,12 +12907,12 @@
+@@ -12868,12 +12935,12 @@
  
  { echo "$as_me:$LINENO: checking if $compiler PIC flag $lt_prog_compiler_pic_CXX works" >&5
  echo $ECHO_N "checking if $compiler PIC flag $lt_prog_compiler_pic_CXX works... $ECHO_C" >&6; }
@@ -7214,17 +7388,17 @@
     lt_compiler_flag="$lt_prog_compiler_pic_CXX -DPIC"
     # Insert the option either (1) after the last *FLAGS variable, or
     # (2) before a word containing "conftest.", or (3) at the end.
-@@ -12884,27 +12923,27 @@
+@@ -12884,27 +12951,27 @@
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
 -   (eval echo "\"\$as_me:12887: $lt_compile\"" >&5)
-+   (eval echo "\"\$as_me:12926: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:12954: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>conftest.err)
     ac_status=$?
     cat conftest.err >&5
 -   echo "$as_me:12891: \$? = $ac_status" >&5
-+   echo "$as_me:12930: \$? = $ac_status" >&5
++   echo "$as_me:12958: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s "$ac_outfile"; then
       # The compiler can only warn and ignore the option if not recognized
       # So say no if there are warnings other than the usual output.
@@ -7248,7 +7422,7 @@
      case $lt_prog_compiler_pic_CXX in
       "" | " "*) ;;
       *) lt_prog_compiler_pic_CXX=" $lt_prog_compiler_pic_CXX" ;;
-@@ -12931,13 +12970,13 @@
+@@ -12931,13 +12998,13 @@
  wl=$lt_prog_compiler_wl_CXX eval lt_tmp_static_flag=\"$lt_prog_compiler_static_CXX\"
  { echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
  echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6; }
@@ -7265,7 +7439,7 @@
     if (eval $ac_link 2>conftest.err) && test -s conftest$ac_exeext; then
       # The linker can only warn and ignore the option if not recognized
       # So say no if there are warnings
-@@ -12947,20 +12986,20 @@
+@@ -12947,20 +13014,20 @@
         $echo "X$_lt_linker_boilerplate" | $Xsed -e '/^$/d' > conftest.exp
         $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
         if diff conftest.exp conftest.er2 >/dev/null; then
@@ -7292,7 +7466,7 @@
      :
  else
      lt_prog_compiler_static_CXX=
-@@ -12977,7 +13016,7 @@
+@@ -12977,7 +13044,7 @@
     mkdir conftest
     cd conftest
     mkdir out
@@ -7301,21 +7475,21 @@
  
     lt_compiler_flag="-o out/conftest2.$ac_objext"
     # Insert the option either (1) after the last *FLAGS variable, or
-@@ -12988,11 +13027,11 @@
+@@ -12988,11 +13055,11 @@
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
 -   (eval echo "\"\$as_me:12991: $lt_compile\"" >&5)
-+   (eval echo "\"\$as_me:13030: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:13058: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>out/conftest.err)
     ac_status=$?
     cat out/conftest.err >&5
 -   echo "$as_me:12995: \$? = $ac_status" >&5
-+   echo "$as_me:13034: \$? = $ac_status" >&5
++   echo "$as_me:13062: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s out/conftest2.$ac_objext
     then
       # The compiler can only warn and ignore the option if not recognized
-@@ -13045,7 +13084,7 @@
+@@ -13045,7 +13112,7 @@
  
    export_symbols_cmds_CXX='$NM $libobjs $convenience | $global_symbol_pipe | $SED '\''s/.* //'\'' | sort | uniq > $export_symbols'
    case $host_os in
@@ -7324,7 +7498,7 @@
      # If we're using GNU nm, then we don't want the "-C" option.
      # -C means demangle to AIX nm, but means don't demangle with GNU nm
      if $NM -V 2>&1 | grep 'GNU' > /dev/null; then
-@@ -13058,12 +13097,16 @@
+@@ -13058,12 +13125,16 @@
      export_symbols_cmds_CXX="$ltdll_cmds"
    ;;
    cygwin* | mingw*)
@@ -7342,7 +7516,7 @@
  
  { echo "$as_me:$LINENO: result: $ld_shlibs_CXX" >&5
  echo "${ECHO_T}$ld_shlibs_CXX" >&6; }
-@@ -13089,7 +13132,7 @@
+@@ -13089,7 +13160,7 @@
        { echo "$as_me:$LINENO: checking whether -lc should be explicitly linked in" >&5
  echo $ECHO_N "checking whether -lc should be explicitly linked in... $ECHO_C" >&6; }
        $rm conftest*
@@ -7351,7 +7525,7 @@
  
        if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    (eval $ac_compile) 2>&5
-@@ -13147,20 +13190,7 @@
+@@ -13147,20 +13218,7 @@
  version_type=none
  dynamic_linker="$host_os ld.so"
  sys_lib_dlsearch_path_spec="/lib /usr/lib"
@@ -7373,7 +7547,7 @@
  need_lib_prefix=unknown
  hardcode_into_libs=no
  
-@@ -13178,7 +13208,7 @@
+@@ -13178,7 +13236,7 @@
    soname_spec='${libname}${release}${shared_ext}$major'
    ;;
  
@@ -7382,7 +7556,7 @@
    version_type=linux
    need_lib_prefix=no
    need_version=no
-@@ -13317,12 +13347,7 @@
+@@ -13317,12 +13375,7 @@
    shlibpath_overrides_runpath=yes
    shlibpath_var=DYLD_LIBRARY_PATH
    shrext_cmds='`test .$module = .yes && echo .so || echo .dylib`'
@@ -7396,7 +7570,7 @@
    sys_lib_dlsearch_path_spec='/usr/local/lib /lib /usr/lib'
    ;;
  
-@@ -13339,18 +13364,6 @@
+@@ -13339,18 +13392,6 @@
    dynamic_linker=no
    ;;
  
@@ -7415,7 +7589,7 @@
  freebsd* | dragonfly*)
    # DragonFly does not have aout.  When/if they implement a new
    # versioning mechanism, adjust this.
-@@ -13388,7 +13401,7 @@
+@@ -13388,7 +13429,7 @@
      shlibpath_overrides_runpath=no
      hardcode_into_libs=yes
      ;;
@@ -7424,7 +7598,7 @@
      shlibpath_overrides_runpath=yes
      hardcode_into_libs=yes
      ;;
-@@ -13451,7 +13464,7 @@
+@@ -13451,7 +13492,7 @@
    postinstall_cmds='chmod 555 $lib'
    ;;
  
@@ -7433,7 +7607,7 @@
    version_type=linux
    need_lib_prefix=no
    need_version=no
-@@ -13506,7 +13519,7 @@
+@@ -13506,7 +13547,7 @@
    ;;
  
  # This must be Linux ELF.
@@ -7442,7 +7616,7 @@
    version_type=linux
    need_lib_prefix=no
    need_version=no
-@@ -13522,7 +13535,7 @@
+@@ -13522,7 +13563,7 @@
  
    # Append ld.so.conf contents to the search path
    if test -f /etc/ld.so.conf; then
@@ -7451,7 +7625,7 @@
      sys_lib_dlsearch_path_spec="/lib /usr/lib $lt_ld_extra"
    fi
  
-@@ -13535,7 +13548,7 @@
+@@ -13535,7 +13576,7 @@
    dynamic_linker='GNU/Linux ld.so'
    ;;
  
@@ -7460,7 +7634,7 @@
    version_type=linux
    need_lib_prefix=no
    need_version=no
-@@ -13544,7 +13557,7 @@
+@@ -13544,7 +13585,7 @@
    shlibpath_var=LD_LIBRARY_PATH
    shlibpath_overrides_runpath=no
    hardcode_into_libs=yes
@@ -7469,7 +7643,7 @@
    ;;
  
  netbsd*)
-@@ -13628,6 +13641,10 @@
+@@ -13628,6 +13669,10 @@
    sys_lib_dlsearch_path_spec="$sys_lib_search_path_spec"
    ;;
  
@@ -7480,7 +7654,7 @@
  solaris*)
    version_type=linux
    need_lib_prefix=no
-@@ -13724,6 +13741,21 @@
+@@ -13724,6 +13769,21 @@
  echo "${ECHO_T}$dynamic_linker" >&6; }
  test "$dynamic_linker" = no && can_build_shared=no
  
@@ -7502,7 +7676,7 @@
  variables_saved_for_relink="PATH $shlibpath_var $runpath_var"
  if test "$GCC" = yes; then
    variables_saved_for_relink="$variables_saved_for_relink GCC_EXEC_PREFIX COMPILER_PATH LIBRARY_PATH"
-@@ -13807,6 +13839,7 @@
+@@ -13807,6 +13867,7 @@
      predeps_CXX \
      postdeps_CXX \
      compiler_lib_search_path_CXX \
@@ -7510,7 +7684,7 @@
      archive_cmds_CXX \
      archive_expsym_cmds_CXX \
      postinstall_cmds_CXX \
-@@ -13822,6 +13855,7 @@
+@@ -13822,6 +13883,7 @@
      module_cmds_CXX \
      module_expsym_cmds_CXX \
      lt_cv_prog_compiler_c_o_CXX \
@@ -7518,7 +7692,7 @@
      exclude_expsyms_CXX \
      include_expsyms_CXX; do
  
-@@ -14054,6 +14088,10 @@
+@@ -14054,6 +14116,10 @@
  # shared library.
  postdeps=$lt_postdeps_CXX
  
@@ -7529,7 +7703,7 @@
  # The library search path used internally by the compiler when linking
  # a shared library.
  compiler_lib_search_path=$lt_compiler_lib_search_path_CXX
-@@ -14142,7 +14180,7 @@
+@@ -14142,7 +14208,7 @@
  sys_lib_dlsearch_path_spec=$lt_sys_lib_dlsearch_path_spec
  
  # Fix the shell variable \$srcfile for the compiler.
@@ -7538,7 +7712,7 @@
  
  # Set to yes if exported symbols are required.
  always_export_symbols=$always_export_symbols_CXX
-@@ -14233,10 +14271,17 @@
+@@ -14233,10 +14299,17 @@
  objext_F77=$objext
  
  # Code to be used in simple compile tests
@@ -7558,7 +7732,7 @@
  
  # ltmain only uses $CC for tagged configurations so make sure $CC is set.
  
-@@ -14252,16 +14297,16 @@
+@@ -14252,16 +14325,16 @@
  
  # save warnings/boilerplate of simple test code
  ac_outfile=conftest.$ac_objext
@@ -7578,7 +7752,7 @@
  
  
  # Allow CC to be a program name with arguments.
-@@ -14299,7 +14344,7 @@
+@@ -14299,7 +14372,7 @@
      postinstall_cmds='$RANLIB $lib'
    fi
    ;;
@@ -7587,7 +7761,7 @@
    if test "$host_cpu" != ia64 && test "$aix_use_runtimelinking" = no ; then
      test "$enable_shared" = yes && enable_static=no
    fi
-@@ -14345,13 +14390,15 @@
+@@ -14345,13 +14418,15 @@
        lt_prog_compiler_pic_F77='-m68020 -resident32 -malways-restore-a4'
        ;;
  
@@ -7605,7 +7779,7 @@
        lt_prog_compiler_pic_F77='-DDLL_EXPORT'
        ;;
  
-@@ -14361,7 +14408,7 @@
+@@ -14361,7 +14436,7 @@
        lt_prog_compiler_pic_F77='-fno-common'
        ;;
  
@@ -7614,7 +7788,7 @@
        # Interix 3.x gcc -fpic/-fPIC options generate broken code.
        # Instead, we relocate shared libraries at runtime.
        ;;
-@@ -14419,7 +14466,7 @@
+@@ -14419,7 +14494,7 @@
         esac
         ;;
  
@@ -7623,7 +7797,7 @@
        # This hack is so that the source file can tell whether it is being
        # built for inclusion in a dll (and should export symbols for example).
        lt_prog_compiler_pic_F77='-DDLL_EXPORT'
-@@ -14452,7 +14499,7 @@
+@@ -14452,7 +14527,7 @@
        lt_prog_compiler_static_F77='-Bstatic'
        ;;
  
@@ -7632,7 +7806,7 @@
        case $cc_basename in
        icc* | ecc*)
  	lt_prog_compiler_wl_F77='-Wl,'
-@@ -14471,6 +14518,22 @@
+@@ -14471,6 +14546,22 @@
          # All Alpha code is PIC.
          lt_prog_compiler_static_F77='-non_shared'
          ;;
@@ -7655,7 +7829,7 @@
        esac
        ;;
  
-@@ -14480,6 +14543,10 @@
+@@ -14480,6 +14571,10 @@
        lt_prog_compiler_static_F77='-non_shared'
        ;;
  
@@ -7666,7 +7840,7 @@
      solaris*)
        lt_prog_compiler_pic_F77='-KPIC'
        lt_prog_compiler_static_F77='-Bstatic'
-@@ -14542,12 +14609,12 @@
+@@ -14542,12 +14637,12 @@
  
  { echo "$as_me:$LINENO: checking if $compiler PIC flag $lt_prog_compiler_pic_F77 works" >&5
  echo $ECHO_N "checking if $compiler PIC flag $lt_prog_compiler_pic_F77 works... $ECHO_C" >&6; }
@@ -7682,17 +7856,17 @@
     lt_compiler_flag="$lt_prog_compiler_pic_F77"
     # Insert the option either (1) after the last *FLAGS variable, or
     # (2) before a word containing "conftest.", or (3) at the end.
-@@ -14558,27 +14625,27 @@
+@@ -14558,27 +14653,27 @@
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
 -   (eval echo "\"\$as_me:14561: $lt_compile\"" >&5)
-+   (eval echo "\"\$as_me:14628: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:14656: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>conftest.err)
     ac_status=$?
     cat conftest.err >&5
 -   echo "$as_me:14565: \$? = $ac_status" >&5
-+   echo "$as_me:14632: \$? = $ac_status" >&5
++   echo "$as_me:14660: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s "$ac_outfile"; then
       # The compiler can only warn and ignore the option if not recognized
       # So say no if there are warnings other than the usual output.
@@ -7716,7 +7890,7 @@
      case $lt_prog_compiler_pic_F77 in
       "" | " "*) ;;
       *) lt_prog_compiler_pic_F77=" $lt_prog_compiler_pic_F77" ;;
-@@ -14605,13 +14672,13 @@
+@@ -14605,13 +14700,13 @@
  wl=$lt_prog_compiler_wl_F77 eval lt_tmp_static_flag=\"$lt_prog_compiler_static_F77\"
  { echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
  echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6; }
@@ -7733,7 +7907,7 @@
     if (eval $ac_link 2>conftest.err) && test -s conftest$ac_exeext; then
       # The linker can only warn and ignore the option if not recognized
       # So say no if there are warnings
-@@ -14621,20 +14688,20 @@
+@@ -14621,20 +14716,20 @@
         $echo "X$_lt_linker_boilerplate" | $Xsed -e '/^$/d' > conftest.exp
         $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
         if diff conftest.exp conftest.er2 >/dev/null; then
@@ -7760,7 +7934,7 @@
      :
  else
      lt_prog_compiler_static_F77=
-@@ -14651,7 +14718,7 @@
+@@ -14651,7 +14746,7 @@
     mkdir conftest
     cd conftest
     mkdir out
@@ -7769,21 +7943,21 @@
  
     lt_compiler_flag="-o out/conftest2.$ac_objext"
     # Insert the option either (1) after the last *FLAGS variable, or
-@@ -14662,11 +14729,11 @@
+@@ -14662,11 +14757,11 @@
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
 -   (eval echo "\"\$as_me:14665: $lt_compile\"" >&5)
-+   (eval echo "\"\$as_me:14732: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:14760: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>out/conftest.err)
     ac_status=$?
     cat out/conftest.err >&5
 -   echo "$as_me:14669: \$? = $ac_status" >&5
-+   echo "$as_me:14736: \$? = $ac_status" >&5
++   echo "$as_me:14764: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s out/conftest2.$ac_objext
     then
       # The compiler can only warn and ignore the option if not recognized
-@@ -14746,12 +14813,13 @@
+@@ -14746,12 +14841,13 @@
    # it will be wrapped by ` (' and `)$', so one must not match beginning or
    # end of line.  Example: `a|bc|.*d.*' will exclude the symbols `a' and `bc',
    # as well as any symbol that contains `d'.
@@ -7798,7 +7972,7 @@
    extract_expsyms_cmds=
    # Just being paranoid about ensuring that cc_basename is set.
    for cc_temp in $compiler""; do
-@@ -14810,7 +14878,7 @@
+@@ -14810,7 +14906,7 @@
  
      # See if GNU ld supports shared libraries.
      case $host_os in
@@ -7807,7 +7981,7 @@
        # On AIX/PPC, the GNU linker is very broken
        if test "$host_cpu" != ia64; then
  	ld_shlibs_F77=no
-@@ -14858,7 +14926,7 @@
+@@ -14858,7 +14954,7 @@
        allow_undefined_flag_F77=unsupported
        always_export_symbols_F77=no
        enable_shared_with_static_runtimes_F77=yes
@@ -7816,7 +7990,7 @@
  
        if $LD --help 2>&1 | grep 'auto-import' > /dev/null; then
          archive_cmds_F77='$CC -shared $libobjs $deplibs $compiler_flags -o $output_objdir/$soname ${wl}--enable-auto-image-base -Xlinker --out-implib -Xlinker $lib'
-@@ -14876,7 +14944,7 @@
+@@ -14876,7 +14972,7 @@
        fi
        ;;
  
@@ -7825,7 +7999,7 @@
        hardcode_direct_F77=no
        hardcode_shlibpath_var_F77=no
        hardcode_libdir_flag_spec_F77='${wl}-rpath,$libdir'
-@@ -14891,7 +14959,7 @@
+@@ -14891,7 +14987,7 @@
        archive_expsym_cmds_F77='sed "s,^,_," $export_symbols >$output_objdir/$soname.expsym~$CC -shared $pic_flag $libobjs $deplibs $compiler_flags ${wl}-h,$soname ${wl}--retain-symbols-file,$output_objdir/$soname.expsym ${wl}--image-base,`expr ${RANDOM-$$} % 4096 / 2 \* 262144 + 1342177280` -o $lib'
        ;;
  
@@ -7834,7 +8008,7 @@
        if $LD --help 2>&1 | grep ': supported targets:.* elf' > /dev/null; then
  	tmp_addflag=
  	case $cc_basename,$host_cpu in
-@@ -14909,20 +14977,30 @@
+@@ -14909,20 +15005,30 @@
  	ifc* | ifort*)			# Intel Fortran compiler
  	  tmp_addflag=' -nofor_main' ;;
  	esac
@@ -7868,7 +8042,7 @@
        if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
  	archive_cmds_F77='$LD -Bshareable $libobjs $deplibs $linker_flags -o $lib'
  	wlarc=
-@@ -15020,7 +15098,7 @@
+@@ -15020,7 +15126,7 @@
        fi
        ;;
  
@@ -7877,7 +8051,7 @@
        if test "$host_cpu" = ia64; then
  	# On IA64, the linker does run time linking by default, so we don't
  	# have to do anything special.
-@@ -15040,7 +15118,7 @@
+@@ -15040,7 +15146,7 @@
  	# Test if we are trying to use run time linking or normal
  	# AIX style linking. If -brtl is somewhere in LDFLAGS, we
  	# need to do runtime linking.
@@ -7886,7 +8060,7 @@
  	  for ld_flag in $LDFLAGS; do
    	  if (test $ld_flag = "-brtl" || test $ld_flag = "-Wl,-brtl"); then
    	    aix_use_runtimelinking=yes
-@@ -15074,7 +15152,7 @@
+@@ -15074,7 +15180,7 @@
    	   strings "$collect2name" | grep resolve_lib_name >/dev/null
  	  then
    	  # We have reworked collect2
@@ -7895,22 +8069,26 @@
  	  else
    	  # We have old collect2
    	  hardcode_direct_F77=unsupported
-@@ -15132,33 +15210,24 @@
-   rm -f conftest.er1
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); } &&
--	 { ac_try='test -z "$ac_f77_werror_flag" || test ! -s conftest.err'
--  { (case "(($ac_try" in
+@@ -15118,47 +15224,38 @@
+       program main
+ 
+       end
+-_ACEOF
+-rm -f conftest.$ac_objext conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 -  *) ac_try_echo=$ac_try;;
 -esac
 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
--  (eval "$ac_try") 2>&5
+-  (eval "$ac_link") 2>conftest.er1
 -  ac_status=$?
+-  grep -v '^ *+' conftest.er1 >conftest.err
+-  rm -f conftest.er1
+-  cat conftest.err >&5
 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); }; } &&
--	 { ac_try='test -s conftest$ac_exeext'
+-  (exit $ac_status); } &&
+-	 { ac_try='test -z "$ac_f77_werror_flag" || test ! -s conftest.err'
 -  { (case "(($ac_try" in
 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 -  *) ac_try_echo=$ac_try;;
@@ -7919,6 +8097,24 @@
 -  (eval "$ac_try") 2>&5
 -  ac_status=$?
 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; } &&
+-	 { ac_try='test -s conftest$ac_exeext'
+-  { (case "(($ac_try" in
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
+   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+   *) ac_try_echo=$ac_try;;
+ esac
+ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_try") 2>&5
++  (eval "$ac_link") 2>conftest.er1
+   ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
 -  (exit $ac_status); }; }; then
 -
 -aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
@@ -7946,7 +8142,7 @@
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
-@@ -15166,7 +15235,7 @@
+@@ -15166,7 +15263,7 @@
  
  fi
  
@@ -7955,7 +8151,7 @@
        conftest$ac_exeext conftest.$ac_ext
  if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
  
-@@ -15197,33 +15266,24 @@
+@@ -15197,33 +15294,24 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -8006,7 +8202,7 @@
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
-@@ -15231,7 +15291,7 @@
+@@ -15231,7 +15319,7 @@
  
  fi
  
@@ -8015,7 +8211,7 @@
        conftest$ac_exeext conftest.$ac_ext
  if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
  
-@@ -15277,7 +15337,7 @@
+@@ -15277,7 +15365,7 @@
        # The linker will automatically build a .lib file if we build a DLL.
        old_archive_From_new_cmds_F77='true'
        # FIXME: Should let the user specify the lib program.
@@ -8024,7 +8220,7 @@
        fix_srcfile_path_F77='`cygpath -w "$srcfile"`'
        enable_shared_with_static_runtimes_F77=yes
        ;;
-@@ -15310,19 +15370,18 @@
+@@ -15310,19 +15398,18 @@
        link_all_deplibs_F77=yes
      if test "$GCC" = yes ; then
      	output_verbose_link_cmd='echo'
@@ -8050,7 +8246,7 @@
            module_expsym_cmds_F77='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC $allow_undefined_flag  -o $lib -bundle $libobjs $deplibs$compiler_flags~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
            ;;
         *)
-@@ -15362,7 +15421,7 @@
+@@ -15362,7 +15449,7 @@
        ;;
  
      # FreeBSD 3 and greater uses gcc -shared to do shared libraries.
@@ -8059,7 +8255,7 @@
        archive_cmds_F77='$CC -shared -o $lib $libobjs $deplibs $compiler_flags'
        hardcode_libdir_flag_spec_F77='-R$libdir'
        hardcode_direct_F77=yes
-@@ -15464,7 +15523,7 @@
+@@ -15464,7 +15551,7 @@
        link_all_deplibs_F77=yes
        ;;
  
@@ -8068,7 +8264,7 @@
        if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
  	archive_cmds_F77='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags'  # a.out
        else
-@@ -15484,24 +15543,28 @@
+@@ -15484,24 +15571,28 @@
        ;;
  
      openbsd*)
@@ -8114,7 +8310,7 @@
        fi
        ;;
  
-@@ -15560,17 +15623,16 @@
+@@ -15560,17 +15651,16 @@
        case $host_os in
        solaris2.[0-5] | solaris2.[0-5].*) ;;
        *)
@@ -8141,7 +8337,7 @@
        esac
        link_all_deplibs_F77=yes
        ;;
-@@ -15627,7 +15689,7 @@
+@@ -15627,7 +15717,7 @@
        fi
        ;;
  
@@ -8150,7 +8346,7 @@
        no_undefined_flag_F77='${wl}-z,text'
        archive_cmds_need_lc_F77=no
        hardcode_shlibpath_var_F77=no
-@@ -15704,7 +15766,7 @@
+@@ -15704,7 +15794,7 @@
        { echo "$as_me:$LINENO: checking whether -lc should be explicitly linked in" >&5
  echo $ECHO_N "checking whether -lc should be explicitly linked in... $ECHO_C" >&6; }
        $rm conftest*
@@ -8159,7 +8355,7 @@
  
        if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    (eval $ac_compile) 2>&5
-@@ -15762,20 +15824,7 @@
+@@ -15762,20 +15852,7 @@
  version_type=none
  dynamic_linker="$host_os ld.so"
  sys_lib_dlsearch_path_spec="/lib /usr/lib"
@@ -8181,7 +8377,7 @@
  need_lib_prefix=unknown
  hardcode_into_libs=no
  
-@@ -15793,7 +15842,7 @@
+@@ -15793,7 +15870,7 @@
    soname_spec='${libname}${release}${shared_ext}$major'
    ;;
  
@@ -8190,7 +8386,7 @@
    version_type=linux
    need_lib_prefix=no
    need_version=no
-@@ -15932,12 +15981,7 @@
+@@ -15932,12 +16009,7 @@
    shlibpath_overrides_runpath=yes
    shlibpath_var=DYLD_LIBRARY_PATH
    shrext_cmds='`test .$module = .yes && echo .so || echo .dylib`'
@@ -8204,7 +8400,7 @@
    sys_lib_dlsearch_path_spec='/usr/local/lib /lib /usr/lib'
    ;;
  
-@@ -15954,18 +15998,6 @@
+@@ -15954,18 +16026,6 @@
    dynamic_linker=no
    ;;
  
@@ -8223,7 +8419,7 @@
  freebsd* | dragonfly*)
    # DragonFly does not have aout.  When/if they implement a new
    # versioning mechanism, adjust this.
-@@ -16003,7 +16035,7 @@
+@@ -16003,7 +16063,7 @@
      shlibpath_overrides_runpath=no
      hardcode_into_libs=yes
      ;;
@@ -8232,7 +8428,7 @@
      shlibpath_overrides_runpath=yes
      hardcode_into_libs=yes
      ;;
-@@ -16066,7 +16098,7 @@
+@@ -16066,7 +16126,7 @@
    postinstall_cmds='chmod 555 $lib'
    ;;
  
@@ -8241,7 +8437,7 @@
    version_type=linux
    need_lib_prefix=no
    need_version=no
-@@ -16121,7 +16153,7 @@
+@@ -16121,7 +16181,7 @@
    ;;
  
  # This must be Linux ELF.
@@ -8250,7 +8446,7 @@
    version_type=linux
    need_lib_prefix=no
    need_version=no
-@@ -16137,7 +16169,7 @@
+@@ -16137,7 +16197,7 @@
  
    # Append ld.so.conf contents to the search path
    if test -f /etc/ld.so.conf; then
@@ -8259,7 +8455,7 @@
      sys_lib_dlsearch_path_spec="/lib /usr/lib $lt_ld_extra"
    fi
  
-@@ -16150,7 +16182,7 @@
+@@ -16150,7 +16210,7 @@
    dynamic_linker='GNU/Linux ld.so'
    ;;
  
@@ -8268,7 +8464,7 @@
    version_type=linux
    need_lib_prefix=no
    need_version=no
-@@ -16159,7 +16191,7 @@
+@@ -16159,7 +16219,7 @@
    shlibpath_var=LD_LIBRARY_PATH
    shlibpath_overrides_runpath=no
    hardcode_into_libs=yes
@@ -8277,7 +8473,7 @@
    ;;
  
  netbsd*)
-@@ -16243,6 +16275,10 @@
+@@ -16243,6 +16303,10 @@
    sys_lib_dlsearch_path_spec="$sys_lib_search_path_spec"
    ;;
  
@@ -8288,7 +8484,7 @@
  solaris*)
    version_type=linux
    need_lib_prefix=no
-@@ -16339,6 +16375,21 @@
+@@ -16339,6 +16403,21 @@
  echo "${ECHO_T}$dynamic_linker" >&6; }
  test "$dynamic_linker" = no && can_build_shared=no
  
@@ -8310,7 +8506,7 @@
  variables_saved_for_relink="PATH $shlibpath_var $runpath_var"
  if test "$GCC" = yes; then
    variables_saved_for_relink="$variables_saved_for_relink GCC_EXEC_PREFIX COMPILER_PATH LIBRARY_PATH"
-@@ -16422,6 +16473,7 @@
+@@ -16422,6 +16501,7 @@
      predeps_F77 \
      postdeps_F77 \
      compiler_lib_search_path_F77 \
@@ -8318,7 +8514,7 @@
      archive_cmds_F77 \
      archive_expsym_cmds_F77 \
      postinstall_cmds_F77 \
-@@ -16437,6 +16489,7 @@
+@@ -16437,6 +16517,7 @@
      module_cmds_F77 \
      module_expsym_cmds_F77 \
      lt_cv_prog_compiler_c_o_F77 \
@@ -8326,7 +8522,7 @@
      exclude_expsyms_F77 \
      include_expsyms_F77; do
  
-@@ -16669,6 +16722,10 @@
+@@ -16669,6 +16750,10 @@
  # shared library.
  postdeps=$lt_postdeps_F77
  
@@ -8337,7 +8533,7 @@
  # The library search path used internally by the compiler when linking
  # a shared library.
  compiler_lib_search_path=$lt_compiler_lib_search_path_F77
-@@ -16757,7 +16814,7 @@
+@@ -16757,7 +16842,7 @@
  sys_lib_dlsearch_path_spec=$lt_sys_lib_dlsearch_path_spec
  
  # Fix the shell variable \$srcfile for the compiler.
@@ -8346,7 +8542,7 @@
  
  # Set to yes if exported symbols are required.
  always_export_symbols=$always_export_symbols_F77
-@@ -16815,10 +16872,10 @@
+@@ -16815,10 +16900,10 @@
  objext_GCJ=$objext
  
  # Code to be used in simple compile tests
@@ -8359,7 +8555,7 @@
  
  # ltmain only uses $CC for tagged configurations so make sure $CC is set.
  
-@@ -16834,16 +16891,16 @@
+@@ -16834,16 +16919,16 @@
  
  # save warnings/boilerplate of simple test code
  ac_outfile=conftest.$ac_objext
@@ -8379,7 +8575,7 @@
  
  
  # Allow CC to be a program name with arguments.
-@@ -16881,7 +16938,7 @@
+@@ -16881,7 +16966,7 @@
  else
    lt_cv_prog_compiler_rtti_exceptions=no
    ac_outfile=conftest.$ac_objext
@@ -8388,21 +8584,21 @@
     lt_compiler_flag="-fno-rtti -fno-exceptions"
     # Insert the option either (1) after the last *FLAGS variable, or
     # (2) before a word containing "conftest.", or (3) at the end.
-@@ -16892,11 +16949,11 @@
+@@ -16892,11 +16977,11 @@
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
 -   (eval echo "\"\$as_me:16895: $lt_compile\"" >&5)
-+   (eval echo "\"\$as_me:16952: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:16980: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>conftest.err)
     ac_status=$?
     cat conftest.err >&5
 -   echo "$as_me:16899: \$? = $ac_status" >&5
-+   echo "$as_me:16956: \$? = $ac_status" >&5
++   echo "$as_me:16984: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s "$ac_outfile"; then
       # The compiler can only warn and ignore the option if not recognized
       # So say no if there are warnings other than the usual output.
-@@ -16947,14 +17004,16 @@
+@@ -16947,14 +17032,16 @@
        lt_prog_compiler_pic_GCJ='-m68020 -resident32 -malways-restore-a4'
        ;;
  
@@ -8422,7 +8618,7 @@
        ;;
  
      darwin* | rhapsody*)
-@@ -16963,7 +17022,7 @@
+@@ -16963,7 +17050,7 @@
        lt_prog_compiler_pic_GCJ='-fno-common'
        ;;
  
@@ -8431,7 +8627,7 @@
        # Interix 3.x gcc -fpic/-fPIC options generate broken code.
        # Instead, we relocate shared libraries at runtime.
        ;;
-@@ -17021,10 +17080,10 @@
+@@ -17021,10 +17108,10 @@
         esac
         ;;
  
@@ -8444,7 +8640,7 @@
        ;;
  
      hpux9* | hpux10* | hpux11*)
-@@ -17054,7 +17113,7 @@
+@@ -17054,7 +17141,7 @@
        lt_prog_compiler_static_GCJ='-Bstatic'
        ;;
  
@@ -8453,7 +8649,7 @@
        case $cc_basename in
        icc* | ecc*)
  	lt_prog_compiler_wl_GCJ='-Wl,'
-@@ -17073,6 +17132,22 @@
+@@ -17073,6 +17160,22 @@
          # All Alpha code is PIC.
          lt_prog_compiler_static_GCJ='-non_shared'
          ;;
@@ -8476,7 +8672,7 @@
        esac
        ;;
  
-@@ -17082,6 +17157,10 @@
+@@ -17082,6 +17185,10 @@
        lt_prog_compiler_static_GCJ='-non_shared'
        ;;
  
@@ -8487,7 +8683,7 @@
      solaris*)
        lt_prog_compiler_pic_GCJ='-KPIC'
        lt_prog_compiler_static_GCJ='-Bstatic'
-@@ -17144,12 +17223,12 @@
+@@ -17144,12 +17251,12 @@
  
  { echo "$as_me:$LINENO: checking if $compiler PIC flag $lt_prog_compiler_pic_GCJ works" >&5
  echo $ECHO_N "checking if $compiler PIC flag $lt_prog_compiler_pic_GCJ works... $ECHO_C" >&6; }
@@ -8503,17 +8699,17 @@
     lt_compiler_flag="$lt_prog_compiler_pic_GCJ"
     # Insert the option either (1) after the last *FLAGS variable, or
     # (2) before a word containing "conftest.", or (3) at the end.
-@@ -17160,27 +17239,27 @@
+@@ -17160,27 +17267,27 @@
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
 -   (eval echo "\"\$as_me:17163: $lt_compile\"" >&5)
-+   (eval echo "\"\$as_me:17242: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:17270: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>conftest.err)
     ac_status=$?
     cat conftest.err >&5
 -   echo "$as_me:17167: \$? = $ac_status" >&5
-+   echo "$as_me:17246: \$? = $ac_status" >&5
++   echo "$as_me:17274: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s "$ac_outfile"; then
       # The compiler can only warn and ignore the option if not recognized
       # So say no if there are warnings other than the usual output.
@@ -8537,7 +8733,7 @@
      case $lt_prog_compiler_pic_GCJ in
       "" | " "*) ;;
       *) lt_prog_compiler_pic_GCJ=" $lt_prog_compiler_pic_GCJ" ;;
-@@ -17207,13 +17286,13 @@
+@@ -17207,13 +17314,13 @@
  wl=$lt_prog_compiler_wl_GCJ eval lt_tmp_static_flag=\"$lt_prog_compiler_static_GCJ\"
  { echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
  echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6; }
@@ -8554,7 +8750,7 @@
     if (eval $ac_link 2>conftest.err) && test -s conftest$ac_exeext; then
       # The linker can only warn and ignore the option if not recognized
       # So say no if there are warnings
-@@ -17223,20 +17302,20 @@
+@@ -17223,20 +17330,20 @@
         $echo "X$_lt_linker_boilerplate" | $Xsed -e '/^$/d' > conftest.exp
         $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
         if diff conftest.exp conftest.er2 >/dev/null; then
@@ -8581,7 +8777,7 @@
      :
  else
      lt_prog_compiler_static_GCJ=
-@@ -17253,7 +17332,7 @@
+@@ -17253,7 +17360,7 @@
     mkdir conftest
     cd conftest
     mkdir out
@@ -8590,21 +8786,21 @@
  
     lt_compiler_flag="-o out/conftest2.$ac_objext"
     # Insert the option either (1) after the last *FLAGS variable, or
-@@ -17264,11 +17343,11 @@
+@@ -17264,11 +17371,11 @@
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
 -   (eval echo "\"\$as_me:17267: $lt_compile\"" >&5)
-+   (eval echo "\"\$as_me:17346: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:17374: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>out/conftest.err)
     ac_status=$?
     cat out/conftest.err >&5
 -   echo "$as_me:17271: \$? = $ac_status" >&5
-+   echo "$as_me:17350: \$? = $ac_status" >&5
++   echo "$as_me:17378: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s out/conftest2.$ac_objext
     then
       # The compiler can only warn and ignore the option if not recognized
-@@ -17348,12 +17427,13 @@
+@@ -17348,12 +17455,13 @@
    # it will be wrapped by ` (' and `)$', so one must not match beginning or
    # end of line.  Example: `a|bc|.*d.*' will exclude the symbols `a' and `bc',
    # as well as any symbol that contains `d'.
@@ -8619,7 +8815,7 @@
    extract_expsyms_cmds=
    # Just being paranoid about ensuring that cc_basename is set.
    for cc_temp in $compiler""; do
-@@ -17412,7 +17492,7 @@
+@@ -17412,7 +17520,7 @@
  
      # See if GNU ld supports shared libraries.
      case $host_os in
@@ -8628,7 +8824,7 @@
        # On AIX/PPC, the GNU linker is very broken
        if test "$host_cpu" != ia64; then
  	ld_shlibs_GCJ=no
-@@ -17460,7 +17540,7 @@
+@@ -17460,7 +17568,7 @@
        allow_undefined_flag_GCJ=unsupported
        always_export_symbols_GCJ=no
        enable_shared_with_static_runtimes_GCJ=yes
@@ -8637,7 +8833,7 @@
  
        if $LD --help 2>&1 | grep 'auto-import' > /dev/null; then
          archive_cmds_GCJ='$CC -shared $libobjs $deplibs $compiler_flags -o $output_objdir/$soname ${wl}--enable-auto-image-base -Xlinker --out-implib -Xlinker $lib'
-@@ -17478,7 +17558,7 @@
+@@ -17478,7 +17586,7 @@
        fi
        ;;
  
@@ -8646,7 +8842,7 @@
        hardcode_direct_GCJ=no
        hardcode_shlibpath_var_GCJ=no
        hardcode_libdir_flag_spec_GCJ='${wl}-rpath,$libdir'
-@@ -17493,7 +17573,7 @@
+@@ -17493,7 +17601,7 @@
        archive_expsym_cmds_GCJ='sed "s,^,_," $export_symbols >$output_objdir/$soname.expsym~$CC -shared $pic_flag $libobjs $deplibs $compiler_flags ${wl}-h,$soname ${wl}--retain-symbols-file,$output_objdir/$soname.expsym ${wl}--image-base,`expr ${RANDOM-$$} % 4096 / 2 \* 262144 + 1342177280` -o $lib'
        ;;
  
@@ -8655,7 +8851,7 @@
        if $LD --help 2>&1 | grep ': supported targets:.* elf' > /dev/null; then
  	tmp_addflag=
  	case $cc_basename,$host_cpu in
-@@ -17511,20 +17591,30 @@
+@@ -17511,20 +17619,30 @@
  	ifc* | ifort*)			# Intel Fortran compiler
  	  tmp_addflag=' -nofor_main' ;;
  	esac
@@ -8689,7 +8885,7 @@
        if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
  	archive_cmds_GCJ='$LD -Bshareable $libobjs $deplibs $linker_flags -o $lib'
  	wlarc=
-@@ -17622,7 +17712,7 @@
+@@ -17622,7 +17740,7 @@
        fi
        ;;
  
@@ -8698,7 +8894,7 @@
        if test "$host_cpu" = ia64; then
  	# On IA64, the linker does run time linking by default, so we don't
  	# have to do anything special.
-@@ -17642,7 +17732,7 @@
+@@ -17642,7 +17760,7 @@
  	# Test if we are trying to use run time linking or normal
  	# AIX style linking. If -brtl is somewhere in LDFLAGS, we
  	# need to do runtime linking.
@@ -8707,7 +8903,7 @@
  	  for ld_flag in $LDFLAGS; do
    	  if (test $ld_flag = "-brtl" || test $ld_flag = "-Wl,-brtl"); then
    	    aix_use_runtimelinking=yes
-@@ -17676,7 +17766,7 @@
+@@ -17676,7 +17794,7 @@
    	   strings "$collect2name" | grep resolve_lib_name >/dev/null
  	  then
    	  # We have reworked collect2
@@ -8716,7 +8912,7 @@
  	  else
    	  # We have old collect2
    	  hardcode_direct_GCJ=unsupported
-@@ -17744,33 +17834,24 @@
+@@ -17744,33 +17862,24 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -8767,7 +8963,7 @@
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
-@@ -17778,7 +17859,7 @@
+@@ -17778,7 +17887,7 @@
  
  fi
  
@@ -8776,7 +8972,7 @@
        conftest$ac_exeext conftest.$ac_ext
  if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
  
-@@ -17819,33 +17900,24 @@
+@@ -17819,33 +17928,24 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -8827,7 +9023,7 @@
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
-@@ -17853,7 +17925,7 @@
+@@ -17853,7 +17953,7 @@
  
  fi
  
@@ -8836,7 +9032,7 @@
        conftest$ac_exeext conftest.$ac_ext
  if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
  
-@@ -17899,7 +17971,7 @@
+@@ -17899,7 +17999,7 @@
        # The linker will automatically build a .lib file if we build a DLL.
        old_archive_From_new_cmds_GCJ='true'
        # FIXME: Should let the user specify the lib program.
@@ -8845,7 +9041,7 @@
        fix_srcfile_path_GCJ='`cygpath -w "$srcfile"`'
        enable_shared_with_static_runtimes_GCJ=yes
        ;;
-@@ -17932,19 +18004,18 @@
+@@ -17932,19 +18032,18 @@
        link_all_deplibs_GCJ=yes
      if test "$GCC" = yes ; then
      	output_verbose_link_cmd='echo'
@@ -8871,7 +9067,7 @@
            module_expsym_cmds_GCJ='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC $allow_undefined_flag  -o $lib -bundle $libobjs $deplibs$compiler_flags~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
            ;;
         *)
-@@ -17984,7 +18055,7 @@
+@@ -17984,7 +18083,7 @@
        ;;
  
      # FreeBSD 3 and greater uses gcc -shared to do shared libraries.
@@ -8880,7 +9076,7 @@
        archive_cmds_GCJ='$CC -shared -o $lib $libobjs $deplibs $compiler_flags'
        hardcode_libdir_flag_spec_GCJ='-R$libdir'
        hardcode_direct_GCJ=yes
-@@ -18086,7 +18157,7 @@
+@@ -18086,7 +18185,7 @@
        link_all_deplibs_GCJ=yes
        ;;
  
@@ -8889,7 +9085,7 @@
        if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
  	archive_cmds_GCJ='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags'  # a.out
        else
-@@ -18106,24 +18177,28 @@
+@@ -18106,24 +18205,28 @@
        ;;
  
      openbsd*)
@@ -8935,7 +9131,7 @@
        fi
        ;;
  
-@@ -18182,17 +18257,16 @@
+@@ -18182,17 +18285,16 @@
        case $host_os in
        solaris2.[0-5] | solaris2.[0-5].*) ;;
        *)
@@ -8962,7 +9158,7 @@
        esac
        link_all_deplibs_GCJ=yes
        ;;
-@@ -18249,7 +18323,7 @@
+@@ -18249,7 +18351,7 @@
        fi
        ;;
  
@@ -8971,7 +9167,7 @@
        no_undefined_flag_GCJ='${wl}-z,text'
        archive_cmds_need_lc_GCJ=no
        hardcode_shlibpath_var_GCJ=no
-@@ -18326,7 +18400,7 @@
+@@ -18326,7 +18428,7 @@
        { echo "$as_me:$LINENO: checking whether -lc should be explicitly linked in" >&5
  echo $ECHO_N "checking whether -lc should be explicitly linked in... $ECHO_C" >&6; }
        $rm conftest*
@@ -8980,7 +9176,7 @@
  
        if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    (eval $ac_compile) 2>&5
-@@ -18384,20 +18458,7 @@
+@@ -18384,20 +18486,7 @@
  version_type=none
  dynamic_linker="$host_os ld.so"
  sys_lib_dlsearch_path_spec="/lib /usr/lib"
@@ -9002,7 +9198,7 @@
  need_lib_prefix=unknown
  hardcode_into_libs=no
  
-@@ -18415,7 +18476,7 @@
+@@ -18415,7 +18504,7 @@
    soname_spec='${libname}${release}${shared_ext}$major'
    ;;
  
@@ -9011,7 +9207,7 @@
    version_type=linux
    need_lib_prefix=no
    need_version=no
-@@ -18554,12 +18615,7 @@
+@@ -18554,12 +18643,7 @@
    shlibpath_overrides_runpath=yes
    shlibpath_var=DYLD_LIBRARY_PATH
    shrext_cmds='`test .$module = .yes && echo .so || echo .dylib`'
@@ -9025,7 +9221,7 @@
    sys_lib_dlsearch_path_spec='/usr/local/lib /lib /usr/lib'
    ;;
  
-@@ -18576,18 +18632,6 @@
+@@ -18576,18 +18660,6 @@
    dynamic_linker=no
    ;;
  
@@ -9044,7 +9240,7 @@
  freebsd* | dragonfly*)
    # DragonFly does not have aout.  When/if they implement a new
    # versioning mechanism, adjust this.
-@@ -18625,7 +18669,7 @@
+@@ -18625,7 +18697,7 @@
      shlibpath_overrides_runpath=no
      hardcode_into_libs=yes
      ;;
@@ -9053,7 +9249,7 @@
      shlibpath_overrides_runpath=yes
      hardcode_into_libs=yes
      ;;
-@@ -18688,7 +18732,7 @@
+@@ -18688,7 +18760,7 @@
    postinstall_cmds='chmod 555 $lib'
    ;;
  
@@ -9062,7 +9258,7 @@
    version_type=linux
    need_lib_prefix=no
    need_version=no
-@@ -18743,7 +18787,7 @@
+@@ -18743,7 +18815,7 @@
    ;;
  
  # This must be Linux ELF.
@@ -9071,7 +9267,7 @@
    version_type=linux
    need_lib_prefix=no
    need_version=no
-@@ -18759,7 +18803,7 @@
+@@ -18759,7 +18831,7 @@
  
    # Append ld.so.conf contents to the search path
    if test -f /etc/ld.so.conf; then
@@ -9080,7 +9276,7 @@
      sys_lib_dlsearch_path_spec="/lib /usr/lib $lt_ld_extra"
    fi
  
-@@ -18772,7 +18816,7 @@
+@@ -18772,7 +18844,7 @@
    dynamic_linker='GNU/Linux ld.so'
    ;;
  
@@ -9089,7 +9285,7 @@
    version_type=linux
    need_lib_prefix=no
    need_version=no
-@@ -18781,7 +18825,7 @@
+@@ -18781,7 +18853,7 @@
    shlibpath_var=LD_LIBRARY_PATH
    shlibpath_overrides_runpath=no
    hardcode_into_libs=yes
@@ -9098,7 +9294,7 @@
    ;;
  
  netbsd*)
-@@ -18865,6 +18909,10 @@
+@@ -18865,6 +18937,10 @@
    sys_lib_dlsearch_path_spec="$sys_lib_search_path_spec"
    ;;
  
@@ -9109,7 +9305,7 @@
  solaris*)
    version_type=linux
    need_lib_prefix=no
-@@ -18961,6 +19009,21 @@
+@@ -18961,6 +19037,21 @@
  echo "${ECHO_T}$dynamic_linker" >&6; }
  test "$dynamic_linker" = no && can_build_shared=no
  
@@ -9131,7 +9327,7 @@
  variables_saved_for_relink="PATH $shlibpath_var $runpath_var"
  if test "$GCC" = yes; then
    variables_saved_for_relink="$variables_saved_for_relink GCC_EXEC_PREFIX COMPILER_PATH LIBRARY_PATH"
-@@ -19044,6 +19107,7 @@
+@@ -19044,6 +19135,7 @@
      predeps_GCJ \
      postdeps_GCJ \
      compiler_lib_search_path_GCJ \
@@ -9139,7 +9335,7 @@
      archive_cmds_GCJ \
      archive_expsym_cmds_GCJ \
      postinstall_cmds_GCJ \
-@@ -19059,6 +19123,7 @@
+@@ -19059,6 +19151,7 @@
      module_cmds_GCJ \
      module_expsym_cmds_GCJ \
      lt_cv_prog_compiler_c_o_GCJ \
@@ -9147,7 +9343,7 @@
      exclude_expsyms_GCJ \
      include_expsyms_GCJ; do
  
-@@ -19291,6 +19356,10 @@
+@@ -19291,6 +19384,10 @@
  # shared library.
  postdeps=$lt_postdeps_GCJ
  
@@ -9158,7 +9354,7 @@
  # The library search path used internally by the compiler when linking
  # a shared library.
  compiler_lib_search_path=$lt_compiler_lib_search_path_GCJ
-@@ -19379,7 +19448,7 @@
+@@ -19379,7 +19476,7 @@
  sys_lib_dlsearch_path_spec=$lt_sys_lib_dlsearch_path_spec
  
  # Fix the shell variable \$srcfile for the compiler.
@@ -9167,7 +9363,7 @@
  
  # Set to yes if exported symbols are required.
  always_export_symbols=$always_export_symbols_GCJ
-@@ -19436,7 +19505,7 @@
+@@ -19436,7 +19533,7 @@
  objext_RC=$objext
  
  # Code to be used in simple compile tests
@@ -9176,7 +9372,7 @@
  
  # Code to be used in simple link tests
  lt_simple_link_test_code="$lt_simple_compile_test_code"
-@@ -19455,16 +19524,16 @@
+@@ -19455,16 +19552,16 @@
  
  # save warnings/boilerplate of simple test code
  ac_outfile=conftest.$ac_objext
@@ -9196,7 +9392,7 @@
  
  
  # Allow CC to be a program name with arguments.
-@@ -19524,6 +19593,7 @@
+@@ -19524,6 +19621,7 @@
      predeps_RC \
      postdeps_RC \
      compiler_lib_search_path_RC \
@@ -9204,7 +9400,7 @@
      archive_cmds_RC \
      archive_expsym_cmds_RC \
      postinstall_cmds_RC \
-@@ -19539,6 +19609,7 @@
+@@ -19539,6 +19637,7 @@
      module_cmds_RC \
      module_expsym_cmds_RC \
      lt_cv_prog_compiler_c_o_RC \
@@ -9212,7 +9408,7 @@
      exclude_expsyms_RC \
      include_expsyms_RC; do
  
-@@ -19771,6 +19842,10 @@
+@@ -19771,6 +19870,10 @@
  # shared library.
  postdeps=$lt_postdeps_RC
  
@@ -9223,7 +9419,7 @@
  # The library search path used internally by the compiler when linking
  # a shared library.
  compiler_lib_search_path=$lt_compiler_lib_search_path_RC
-@@ -19859,7 +19934,7 @@
+@@ -19859,7 +19962,7 @@
  sys_lib_dlsearch_path_spec=$lt_sys_lib_dlsearch_path_spec
  
  # Fix the shell variable \$srcfile for the compiler.
@@ -9232,7 +9428,7 @@
  
  # Set to yes if exported symbols are required.
  always_export_symbols=$always_export_symbols_RC
-@@ -19996,27 +20071,10 @@
+@@ -19996,27 +20099,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -9264,7 +9460,7 @@
    ac_cv_header_stdc=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -20173,10 +20231,10 @@
+@@ -20173,10 +20259,10 @@
  #ifndef __cplusplus
    /* Ultrix mips cc rejects this.  */
    typedef int charset[2];
@@ -9278,7 +9474,7 @@
    /* NEC SVR4.0.2 mips cc rejects this.  */
    struct point {int x, y;};
    static struct point const zero = {0,0};
-@@ -20185,11 +20243,11 @@
+@@ -20185,11 +20271,11 @@
       an arm of an if-expression whose if-part is not a constant
       expression */
    const char *g = "string";
@@ -9294,7 +9490,7 @@
    { /* SCO 3.2v4 cc rejects this.  */
      char *t;
      char const *s = 0 ? (char *) 0 : (char const *) 0;
-@@ -20216,7 +20274,7 @@
+@@ -20216,7 +20302,7 @@
      const int foo = 10;
      if (!foo) return 0;
    }
@@ -9303,10 +9499,43 @@
  #endif
  
    ;
-@@ -20225,38 +20283,21 @@
+@@ -20236,27 +20322,10 @@
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } &&
+-	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+-  { (case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_try") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; } &&
+-	 { ac_try='test -s conftest.$ac_objext'
+-  { (case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_try") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
++  (exit $ac_status); } && {
++	 test -z "$ac_c_werror_flag" ||
++	 test ! -s conftest.err
++       } && test -s conftest.$ac_objext; then
+   ac_cv_c_const=yes
+ else
+   echo "$as_me: failed program was:" >&5
+@@ -20298,39 +20367,22 @@
+ 
  _ACEOF
  rm -f conftest.$ac_objext
- if { (ac_try="$ac_compile"
+-if { (ac_try="$ac_compile"
 -case "(($ac_try" in
 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 -  *) ac_try_echo=$ac_try;;
@@ -9331,6 +9560,7 @@
 -  (exit $ac_status); }; } &&
 -	 { ac_try='test -s conftest.$ac_objext'
 -  { (case "(($ac_try" in
++if { (ac_try="$ac_compile"
 +case "(($ac_try" in
    *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    *) ac_try_echo=$ac_try;;
@@ -9348,42 +9578,10 @@
 +	 test -z "$ac_c_werror_flag" ||
 +	 test ! -s conftest.err
 +       } && test -s conftest.$ac_objext; then
-   ac_cv_c_const=yes
- else
-   echo "$as_me: failed program was:" >&5
-@@ -20310,27 +20351,10 @@
-   rm -f conftest.er1
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); } &&
--	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
--  { (case "(($ac_try" in
--  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
--  *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
--  (eval "$ac_try") 2>&5
--  ac_status=$?
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); }; } &&
--	 { ac_try='test -s conftest.$ac_objext'
--  { (case "(($ac_try" in
--  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
--  *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
--  (eval "$ac_try") 2>&5
--  ac_status=$?
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); }; }; then
-+  (exit $ac_status); } && {
-+	 test -z "$ac_c_werror_flag" ||
-+	 test ! -s conftest.err
-+       } && test -s conftest.$ac_objext; then
    ac_cv_c_inline=$ac_kw
  else
    echo "$as_me: failed program was:" >&5
-@@ -20400,27 +20424,10 @@
+@@ -20400,27 +20452,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -9415,7 +9613,7 @@
    ac_cv_header_time=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -20555,27 +20562,11 @@
+@@ -20555,27 +20590,11 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -9448,7 +9646,7 @@
    ac_cv_func_hsearch_r=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -20584,7 +20575,7 @@
+@@ -20584,7 +20603,7 @@
  	ac_cv_func_hsearch_r=no
  fi
  
@@ -9457,7 +9655,7 @@
        conftest$ac_exeext conftest.$ac_ext
  fi
  { echo "$as_me:$LINENO: result: $ac_cv_func_hsearch_r" >&5
-@@ -20593,9 +20584,7 @@
+@@ -20593,9 +20612,7 @@
    HAVE_HSEARCH_R=yes
  fi
  
@@ -9468,7 +9666,7 @@
    ALSA_HSEARCH_R_TRUE=
    ALSA_HSEARCH_R_FALSE='#'
  else
-@@ -20727,9 +20716,7 @@
+@@ -20727,9 +20744,7 @@
    { echo "$as_me:$LINENO: result: no" >&5
  echo "${ECHO_T}no" >&6; }
  fi
@@ -9479,7 +9677,7 @@
    VERSIONED_SYMBOLS_TRUE=
    VERSIONED_SYMBOLS_FALSE='#'
  else
-@@ -20760,9 +20747,7 @@
+@@ -20760,9 +20775,7 @@
    { echo "$as_me:$LINENO: result: no" >&5
  echo "${ECHO_T}no" >&6; }
  fi
@@ -9490,7 +9688,7 @@
    SYMBOLIC_FUNCTIONS_TRUE=
    SYMBOLIC_FUNCTIONS_FALSE='#'
  else
-@@ -20931,27 +20916,11 @@
+@@ -20931,27 +20944,11 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -9523,7 +9721,7 @@
    ac_cv_lib_dl_dlsym=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -20960,7 +20929,7 @@
+@@ -20960,7 +20957,7 @@
  	ac_cv_lib_dl_dlsym=no
  fi
  
@@ -9532,7 +9730,7 @@
        conftest$ac_exeext conftest.$ac_ext
  LIBS=$ac_check_lib_save_LIBS
  fi
-@@ -20982,9 +20951,7 @@
+@@ -20982,9 +20979,7 @@
    { echo "$as_me:$LINENO: result: no" >&5
  echo "${ECHO_T}no" >&6; }
  fi
@@ -9543,7 +9741,7 @@
    BUILD_MODULES_TRUE=
    BUILD_MODULES_FALSE='#'
  else
-@@ -21046,27 +21013,11 @@
+@@ -21046,27 +21041,11 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -9576,7 +9774,7 @@
    ac_cv_lib_pthread_pthread_join=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -21075,7 +21026,7 @@
+@@ -21075,7 +21054,7 @@
  	ac_cv_lib_pthread_pthread_join=no
  fi
  
@@ -9585,7 +9783,7 @@
        conftest$ac_exeext conftest.$ac_ext
  LIBS=$ac_check_lib_save_LIBS
  fi
-@@ -21151,27 +21102,11 @@
+@@ -21151,27 +21130,11 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -9618,7 +9816,7 @@
    ac_cv_lib_rt_clock_gettime=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -21180,7 +21115,7 @@
+@@ -21180,7 +21143,7 @@
  	ac_cv_lib_rt_clock_gettime=no
  fi
  
@@ -9627,7 +9825,7 @@
        conftest$ac_exeext conftest.$ac_ext
  LIBS=$ac_check_lib_save_LIBS
  fi
-@@ -21291,27 +21226,10 @@
+@@ -21291,27 +21254,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -9659,7 +9857,7 @@
    ac_header_compiler=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -21347,17 +21265,10 @@
+@@ -21347,17 +21293,10 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -9681,7 +9879,7 @@
    ac_header_preproc=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -21472,27 +21383,11 @@
+@@ -21472,27 +21411,11 @@
    rm -f conftest.er1
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -9714,7 +9912,7 @@
    ac_cv_lib_resmgr_rsm_open_device=yes
  else
    echo "$as_me: failed program was:" >&5
-@@ -21501,7 +21396,7 @@
+@@ -21501,7 +21424,7 @@
  	ac_cv_lib_resmgr_rsm_open_device=no
  fi
  
@@ -9723,7 +9921,7 @@
        conftest$ac_exeext conftest.$ac_ext
  LIBS=$ac_check_lib_save_LIBS
  fi
-@@ -21637,9 +21532,7 @@
+@@ -21637,9 +21560,7 @@
    keep_old_symbols="yes"
  fi
  
@@ -9734,7 +9932,7 @@
    KEEP_OLD_SYMBOLS_TRUE=
    KEEP_OLD_SYMBOLS_FALSE='#'
  else
-@@ -21687,9 +21580,7 @@
+@@ -21687,9 +21608,7 @@
  
  
  
@@ -9745,7 +9943,7 @@
    BUILD_MIXER_TRUE=
    BUILD_MIXER_FALSE='#'
  else
-@@ -21697,9 +21588,7 @@
+@@ -21697,9 +21616,7 @@
    BUILD_MIXER_FALSE=
  fi
  
@@ -9756,7 +9954,7 @@
    BUILD_PCM_TRUE=
    BUILD_PCM_FALSE='#'
  else
-@@ -21707,9 +21596,7 @@
+@@ -21707,9 +21624,7 @@
    BUILD_PCM_FALSE=
  fi
  
@@ -9767,7 +9965,7 @@
    BUILD_RAWMIDI_TRUE=
    BUILD_RAWMIDI_FALSE='#'
  else
-@@ -21717,9 +21604,7 @@
+@@ -21717,9 +21632,7 @@
    BUILD_RAWMIDI_FALSE=
  fi
  
@@ -9778,7 +9976,7 @@
    BUILD_HWDEP_TRUE=
    BUILD_HWDEP_FALSE='#'
  else
-@@ -21727,9 +21612,7 @@
+@@ -21727,9 +21640,7 @@
    BUILD_HWDEP_FALSE=
  fi
  
@@ -9789,7 +9987,7 @@
    BUILD_SEQ_TRUE=
    BUILD_SEQ_FALSE='#'
  else
-@@ -21737,9 +21620,7 @@
+@@ -21737,9 +21648,7 @@
    BUILD_SEQ_FALSE=
  fi
  
@@ -9800,7 +9998,7 @@
    BUILD_ALISP_TRUE=
    BUILD_ALISP_FALSE='#'
  else
-@@ -21747,9 +21628,7 @@
+@@ -21747,9 +21656,7 @@
    BUILD_ALISP_FALSE=
  fi
  
@@ -9811,7 +10009,7 @@
    BUILD_PYTHON_TRUE=
    BUILD_PYTHON_FALSE='#'
  else
-@@ -21849,9 +21728,7 @@
+@@ -21849,9 +21756,7 @@
    build_pcm_lfloat="no"
  fi
  
@@ -9822,7 +10020,7 @@
    BUILD_PCM_PLUGIN_TRUE=
    BUILD_PCM_PLUGIN_FALSE='#'
  else
-@@ -21859,9 +21736,7 @@
+@@ -21859,9 +21764,7 @@
    BUILD_PCM_PLUGIN_FALSE=
  fi
  
@@ -9833,7 +10031,7 @@
    BUILD_PCM_PLUGIN_COPY_TRUE=
    BUILD_PCM_PLUGIN_COPY_FALSE='#'
  else
-@@ -21869,9 +21744,7 @@
+@@ -21869,9 +21772,7 @@
    BUILD_PCM_PLUGIN_COPY_FALSE=
  fi
  
@@ -9844,7 +10042,7 @@
    BUILD_PCM_PLUGIN_LINEAR_TRUE=
    BUILD_PCM_PLUGIN_LINEAR_FALSE='#'
  else
-@@ -21879,9 +21752,7 @@
+@@ -21879,9 +21780,7 @@
    BUILD_PCM_PLUGIN_LINEAR_FALSE=
  fi
  
@@ -9855,7 +10053,7 @@
    BUILD_PCM_PLUGIN_ROUTE_TRUE=
    BUILD_PCM_PLUGIN_ROUTE_FALSE='#'
  else
-@@ -21889,9 +21760,7 @@
+@@ -21889,9 +21788,7 @@
    BUILD_PCM_PLUGIN_ROUTE_FALSE=
  fi
  
@@ -9866,7 +10064,7 @@
    BUILD_PCM_PLUGIN_MULAW_TRUE=
    BUILD_PCM_PLUGIN_MULAW_FALSE='#'
  else
-@@ -21899,9 +21768,7 @@
+@@ -21899,9 +21796,7 @@
    BUILD_PCM_PLUGIN_MULAW_FALSE=
  fi
  
@@ -9877,7 +10075,7 @@
    BUILD_PCM_PLUGIN_ALAW_TRUE=
    BUILD_PCM_PLUGIN_ALAW_FALSE='#'
  else
-@@ -21909,9 +21776,7 @@
+@@ -21909,9 +21804,7 @@
    BUILD_PCM_PLUGIN_ALAW_FALSE=
  fi
  
@@ -9888,7 +10086,7 @@
    BUILD_PCM_PLUGIN_ADPCM_TRUE=
    BUILD_PCM_PLUGIN_ADPCM_FALSE='#'
  else
-@@ -21919,9 +21784,7 @@
+@@ -21919,9 +21812,7 @@
    BUILD_PCM_PLUGIN_ADPCM_FALSE=
  fi
  
@@ -9899,7 +10097,7 @@
    BUILD_PCM_PLUGIN_RATE_TRUE=
    BUILD_PCM_PLUGIN_RATE_FALSE='#'
  else
-@@ -21929,9 +21792,7 @@
+@@ -21929,9 +21820,7 @@
    BUILD_PCM_PLUGIN_RATE_FALSE=
  fi
  
@@ -9910,7 +10108,7 @@
    BUILD_PCM_PLUGIN_PLUG_TRUE=
    BUILD_PCM_PLUGIN_PLUG_FALSE='#'
  else
-@@ -21939,9 +21800,7 @@
+@@ -21939,9 +21828,7 @@
    BUILD_PCM_PLUGIN_PLUG_FALSE=
  fi
  
@@ -9921,7 +10119,7 @@
    BUILD_PCM_PLUGIN_MULTI_TRUE=
    BUILD_PCM_PLUGIN_MULTI_FALSE='#'
  else
-@@ -21949,9 +21808,7 @@
+@@ -21949,9 +21836,7 @@
    BUILD_PCM_PLUGIN_MULTI_FALSE=
  fi
  
@@ -9932,7 +10130,7 @@
    BUILD_PCM_PLUGIN_SHM_TRUE=
    BUILD_PCM_PLUGIN_SHM_FALSE='#'
  else
-@@ -21959,9 +21816,7 @@
+@@ -21959,9 +21844,7 @@
    BUILD_PCM_PLUGIN_SHM_FALSE=
  fi
  
@@ -9943,7 +10141,7 @@
    BUILD_PCM_PLUGIN_FILE_TRUE=
    BUILD_PCM_PLUGIN_FILE_FALSE='#'
  else
-@@ -21969,9 +21824,7 @@
+@@ -21969,9 +21852,7 @@
    BUILD_PCM_PLUGIN_FILE_FALSE=
  fi
  
@@ -9954,7 +10152,7 @@
    BUILD_PCM_PLUGIN_NULL_TRUE=
    BUILD_PCM_PLUGIN_NULL_FALSE='#'
  else
-@@ -21979,9 +21832,7 @@
+@@ -21979,9 +21860,7 @@
    BUILD_PCM_PLUGIN_NULL_FALSE=
  fi
  
@@ -9965,7 +10163,7 @@
    BUILD_PCM_PLUGIN_EMPTY_TRUE=
    BUILD_PCM_PLUGIN_EMPTY_FALSE='#'
  else
-@@ -21989,9 +21840,7 @@
+@@ -21989,9 +21868,7 @@
    BUILD_PCM_PLUGIN_EMPTY_FALSE=
  fi
  
@@ -9976,7 +10174,7 @@
    BUILD_PCM_PLUGIN_SHARE_TRUE=
    BUILD_PCM_PLUGIN_SHARE_FALSE='#'
  else
-@@ -21999,9 +21848,7 @@
+@@ -21999,9 +21876,7 @@
    BUILD_PCM_PLUGIN_SHARE_FALSE=
  fi
  
@@ -9987,7 +10185,7 @@
    BUILD_PCM_PLUGIN_METER_TRUE=
    BUILD_PCM_PLUGIN_METER_FALSE='#'
  else
-@@ -22009,9 +21856,7 @@
+@@ -22009,9 +21884,7 @@
    BUILD_PCM_PLUGIN_METER_FALSE=
  fi
  
@@ -9998,7 +10196,7 @@
    BUILD_PCM_PLUGIN_HOOKS_TRUE=
    BUILD_PCM_PLUGIN_HOOKS_FALSE='#'
  else
-@@ -22019,9 +21864,7 @@
+@@ -22019,9 +21892,7 @@
    BUILD_PCM_PLUGIN_HOOKS_FALSE=
  fi
  
@@ -10009,7 +10207,7 @@
    BUILD_PCM_PLUGIN_LFLOAT_TRUE=
    BUILD_PCM_PLUGIN_LFLOAT_FALSE='#'
  else
-@@ -22029,9 +21872,7 @@
+@@ -22029,9 +21900,7 @@
    BUILD_PCM_PLUGIN_LFLOAT_FALSE=
  fi
  
@@ -10020,7 +10218,7 @@
    BUILD_PCM_PLUGIN_LADSPA_TRUE=
    BUILD_PCM_PLUGIN_LADSPA_FALSE='#'
  else
-@@ -22039,9 +21880,7 @@
+@@ -22039,9 +21908,7 @@
    BUILD_PCM_PLUGIN_LADSPA_FALSE=
  fi
  
@@ -10031,7 +10229,7 @@
    BUILD_PCM_PLUGIN_DMIX_TRUE=
    BUILD_PCM_PLUGIN_DMIX_FALSE='#'
  else
-@@ -22049,9 +21888,7 @@
+@@ -22049,9 +21916,7 @@
    BUILD_PCM_PLUGIN_DMIX_FALSE=
  fi
  
@@ -10042,7 +10240,7 @@
    BUILD_PCM_PLUGIN_DSHARE_TRUE=
    BUILD_PCM_PLUGIN_DSHARE_FALSE='#'
  else
-@@ -22059,9 +21896,7 @@
+@@ -22059,9 +21924,7 @@
    BUILD_PCM_PLUGIN_DSHARE_FALSE=
  fi
  
@@ -10053,7 +10251,7 @@
    BUILD_PCM_PLUGIN_DSNOOP_TRUE=
    BUILD_PCM_PLUGIN_DSNOOP_FALSE='#'
  else
-@@ -22069,9 +21904,7 @@
+@@ -22069,9 +21932,7 @@
    BUILD_PCM_PLUGIN_DSNOOP_FALSE=
  fi
  
@@ -10064,7 +10262,7 @@
    BUILD_PCM_PLUGIN_ASYM_TRUE=
    BUILD_PCM_PLUGIN_ASYM_FALSE='#'
  else
-@@ -22079,9 +21912,7 @@
+@@ -22079,9 +21940,7 @@
    BUILD_PCM_PLUGIN_ASYM_FALSE=
  fi
  
@@ -10075,7 +10273,7 @@
    BUILD_PCM_PLUGIN_IEC958_TRUE=
    BUILD_PCM_PLUGIN_IEC958_FALSE='#'
  else
-@@ -22089,9 +21920,7 @@
+@@ -22089,9 +21948,7 @@
    BUILD_PCM_PLUGIN_IEC958_FALSE=
  fi
  
@@ -10086,7 +10284,7 @@
    BUILD_PCM_PLUGIN_SOFTVOL_TRUE=
    BUILD_PCM_PLUGIN_SOFTVOL_FALSE='#'
  else
-@@ -22099,9 +21928,7 @@
+@@ -22099,9 +21956,7 @@
    BUILD_PCM_PLUGIN_SOFTVOL_FALSE=
  fi
  
@@ -10097,7 +10295,7 @@
    BUILD_PCM_PLUGIN_EXTPLUG_TRUE=
    BUILD_PCM_PLUGIN_EXTPLUG_FALSE='#'
  else
-@@ -22109,9 +21936,7 @@
+@@ -22109,9 +21964,7 @@
    BUILD_PCM_PLUGIN_EXTPLUG_FALSE=
  fi
  
@@ -10108,7 +10306,7 @@
    BUILD_PCM_PLUGIN_IOPLUG_TRUE=
    BUILD_PCM_PLUGIN_IOPLUG_FALSE='#'
  else
-@@ -22119,9 +21944,7 @@
+@@ -22119,9 +21972,7 @@
    BUILD_PCM_PLUGIN_IOPLUG_FALSE=
  fi
  
@@ -10119,7 +10317,7 @@
    BUILD_PCM_PLUGIN_MMAP_EMUL_TRUE=
    BUILD_PCM_PLUGIN_MMAP_EMUL_FALSE='#'
  else
-@@ -22216,9 +22039,7 @@
+@@ -22216,9 +22067,7 @@
    done
  done
  
@@ -10130,7 +10328,7 @@
    BUILD_CTL_PLUGIN_TRUE=
    BUILD_CTL_PLUGIN_FALSE='#'
  else
-@@ -22226,9 +22047,7 @@
+@@ -22226,9 +22075,7 @@
    BUILD_CTL_PLUGIN_FALSE=
  fi
  
@@ -10141,7 +10339,7 @@
    BUILD_CTL_PLUGIN_SHM_TRUE=
    BUILD_CTL_PLUGIN_SHM_FALSE='#'
  else
-@@ -22236,9 +22055,7 @@
+@@ -22236,9 +22083,7 @@
    BUILD_CTL_PLUGIN_SHM_FALSE=
  fi
  
@@ -10152,7 +10350,21 @@
    BUILD_CTL_PLUGIN_EXT_TRUE=
    BUILD_CTL_PLUGIN_EXT_FALSE='#'
  else
-@@ -22712,7 +22529,8 @@
+@@ -22366,6 +22211,13 @@
+ Usually this means the macro was only invoked conditionally." >&2;}
+    { (exit 1); exit 1; }; }
+ fi
++if test -z "${MAINTAINER_MODE_TRUE}" && test -z "${MAINTAINER_MODE_FALSE}"; then
++  { { echo "$as_me:$LINENO: error: conditional \"MAINTAINER_MODE\" was never defined.
++Usually this means the macro was only invoked conditionally." >&5
++echo "$as_me: error: conditional \"MAINTAINER_MODE\" was never defined.
++Usually this means the macro was only invoked conditionally." >&2;}
++   { (exit 1); exit 1; }; }
++fi
+ if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then
+   { { echo "$as_me:$LINENO: error: conditional \"AMDEP\" was never defined.
+ Usually this means the macro was only invoked conditionally." >&5
+@@ -22712,7 +22564,8 @@
  ## M4sh Initialization.  ##
  ## --------------------- ##
  
@@ -10162,7 +10374,7 @@
  if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
    emulate sh
    NULLCMD=:
-@@ -22721,10 +22539,13 @@
+@@ -22721,10 +22574,13 @@
    alias -g '${1+"$@"}'='"$@"'
    setopt NO_GLOB_SUBST
  else
@@ -10179,7 +10391,7 @@
  
  
  # PATH needs CR
-@@ -22948,19 +22769,28 @@
+@@ -22948,19 +22804,28 @@
    as_mkdir_p=false
  fi
  
@@ -10219,7 +10431,7 @@
  
  # Sed expression to map a string onto a valid CPP name.
  as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
-@@ -22976,7 +22806,7 @@
+@@ -22976,7 +22841,7 @@
  # values after options handling.
  ac_log="
  This file was extended by $as_me, which was
@@ -10228,7 +10440,7 @@
  
    CONFIG_FILES    = $CONFIG_FILES
    CONFIG_HEADERS  = $CONFIG_HEADERS
-@@ -23005,7 +22835,7 @@
+@@ -23005,7 +22870,7 @@
  Usage: $0 [OPTIONS] [FILE]...
  
    -h, --help       print this help, then exit
@@ -10237,7 +10449,7 @@
    -q, --quiet      do not print progress messages
    -d, --debug      don't remove temporary files
        --recheck    update $as_me by reconfiguring in the same conditions
-@@ -23029,7 +22859,7 @@
+@@ -23029,7 +22894,7 @@
  cat >>$CONFIG_STATUS <<_ACEOF
  ac_cs_version="\\
  config.status
@@ -10246,7 +10458,7 @@
    with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
  
  Copyright (C) 2006 Free Software Foundation, Inc.
-@@ -23039,6 +22869,7 @@
+@@ -23039,6 +22904,7 @@
  ac_pwd='$ac_pwd'
  srcdir='$srcdir'
  INSTALL='$INSTALL'
@@ -10254,7 +10466,7 @@
  _ACEOF
  
  cat >>$CONFIG_STATUS <<\_ACEOF
-@@ -23287,6 +23118,7 @@
+@@ -23287,6 +23153,7 @@
  INSTALL_PROGRAM!$INSTALL_PROGRAM$ac_delim
  INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
  INSTALL_DATA!$INSTALL_DATA$ac_delim
@@ -10262,25 +10474,38 @@
  CYGPATH_W!$CYGPATH_W$ac_delim
  PACKAGE!$PACKAGE$ac_delim
  VERSION!$VERSION$ac_delim
-@@ -23325,13 +23157,12 @@
+@@ -23307,6 +23174,9 @@
+ am__untar!$am__untar$ac_delim
+ INSTALL_M4_TRUE!$INSTALL_M4_TRUE$ac_delim
+ INSTALL_M4_FALSE!$INSTALL_M4_FALSE$ac_delim
++MAINTAINER_MODE_TRUE!$MAINTAINER_MODE_TRUE$ac_delim
++MAINTAINER_MODE_FALSE!$MAINTAINER_MODE_FALSE$ac_delim
++MAINT!$MAINT$ac_delim
+ CC!$CC$ac_delim
+ CFLAGS!$CFLAGS$ac_delim
+ LDFLAGS!$LDFLAGS$ac_delim
+@@ -23325,13 +23195,9 @@
  am__fastdepCC_FALSE!$am__fastdepCC_FALSE$ac_delim
  CPP!$CPP$ac_delim
  LN_S!$LN_S$ac_delim
 +SED!$SED$ac_delim
  GREP!$GREP$ac_delim
  EGREP!$EGREP$ac_delim
- ECHO!$ECHO$ac_delim
- AR!$AR$ac_delim
- RANLIB!$RANLIB$ac_delim
+-ECHO!$ECHO$ac_delim
+-AR!$AR$ac_delim
+-RANLIB!$RANLIB$ac_delim
 -CXX!$CXX$ac_delim
 -CXXFLAGS!$CXXFLAGS$ac_delim
  _ACEOF
  
    if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
-@@ -23373,6 +23204,10 @@
+@@ -23373,6 +23239,13 @@
  ac_delim='%!_!# '
  for ac_last_try in false false false false false :; do
    cat >conf$$subs.sed <<_ACEOF
++ECHO!$ECHO$ac_delim
++AR!$AR$ac_delim
++RANLIB!$RANLIB$ac_delim
 +DSYMUTIL!$DSYMUTIL$ac_delim
 +NMEDIT!$NMEDIT$ac_delim
 +CXX!$CXX$ac_delim
@@ -10288,10 +10513,13 @@
  ac_ct_CXX!$ac_ct_CXX$ac_delim
  CXXDEPMODE!$CXXDEPMODE$ac_delim
  am__fastdepCXX_TRUE!$am__fastdepCXX_TRUE$ac_delim
-@@ -23466,10 +23301,6 @@
- BUILD_PCM_PLUGIN_ASYM_FALSE!$BUILD_PCM_PLUGIN_ASYM_FALSE$ac_delim
- BUILD_PCM_PLUGIN_IEC958_TRUE!$BUILD_PCM_PLUGIN_IEC958_TRUE$ac_delim
- BUILD_PCM_PLUGIN_IEC958_FALSE!$BUILD_PCM_PLUGIN_IEC958_FALSE$ac_delim
+@@ -23463,13 +23336,6 @@
+ BUILD_PCM_PLUGIN_DSNOOP_TRUE!$BUILD_PCM_PLUGIN_DSNOOP_TRUE$ac_delim
+ BUILD_PCM_PLUGIN_DSNOOP_FALSE!$BUILD_PCM_PLUGIN_DSNOOP_FALSE$ac_delim
+ BUILD_PCM_PLUGIN_ASYM_TRUE!$BUILD_PCM_PLUGIN_ASYM_TRUE$ac_delim
+-BUILD_PCM_PLUGIN_ASYM_FALSE!$BUILD_PCM_PLUGIN_ASYM_FALSE$ac_delim
+-BUILD_PCM_PLUGIN_IEC958_TRUE!$BUILD_PCM_PLUGIN_IEC958_TRUE$ac_delim
+-BUILD_PCM_PLUGIN_IEC958_FALSE!$BUILD_PCM_PLUGIN_IEC958_FALSE$ac_delim
 -BUILD_PCM_PLUGIN_SOFTVOL_TRUE!$BUILD_PCM_PLUGIN_SOFTVOL_TRUE$ac_delim
 -BUILD_PCM_PLUGIN_SOFTVOL_FALSE!$BUILD_PCM_PLUGIN_SOFTVOL_FALSE$ac_delim
 -BUILD_PCM_PLUGIN_EXTPLUG_TRUE!$BUILD_PCM_PLUGIN_EXTPLUG_TRUE$ac_delim
@@ -10299,10 +10527,13 @@
  _ACEOF
  
    if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
-@@ -23511,6 +23342,10 @@
+@@ -23511,6 +23377,13 @@
  ac_delim='%!_!# '
  for ac_last_try in false false false false false :; do
    cat >conf$$subs.sed <<_ACEOF
++BUILD_PCM_PLUGIN_ASYM_FALSE!$BUILD_PCM_PLUGIN_ASYM_FALSE$ac_delim
++BUILD_PCM_PLUGIN_IEC958_TRUE!$BUILD_PCM_PLUGIN_IEC958_TRUE$ac_delim
++BUILD_PCM_PLUGIN_IEC958_FALSE!$BUILD_PCM_PLUGIN_IEC958_FALSE$ac_delim
 +BUILD_PCM_PLUGIN_SOFTVOL_TRUE!$BUILD_PCM_PLUGIN_SOFTVOL_TRUE$ac_delim
 +BUILD_PCM_PLUGIN_SOFTVOL_FALSE!$BUILD_PCM_PLUGIN_SOFTVOL_FALSE$ac_delim
 +BUILD_PCM_PLUGIN_EXTPLUG_TRUE!$BUILD_PCM_PLUGIN_EXTPLUG_TRUE$ac_delim
@@ -10310,16 +10541,16 @@
  BUILD_PCM_PLUGIN_IOPLUG_TRUE!$BUILD_PCM_PLUGIN_IOPLUG_TRUE$ac_delim
  BUILD_PCM_PLUGIN_IOPLUG_FALSE!$BUILD_PCM_PLUGIN_IOPLUG_FALSE$ac_delim
  BUILD_PCM_PLUGIN_MMAP_EMUL_TRUE!$BUILD_PCM_PLUGIN_MMAP_EMUL_TRUE$ac_delim
-@@ -23525,7 +23360,7 @@
+@@ -23525,7 +23398,7 @@
  LTLIBOBJS!$LTLIBOBJS$ac_delim
  _ACEOF
  
 -  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 12; then
-+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 16; then
++  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 19; then
      break
    elif $ac_last_try; then
      { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
-@@ -23752,6 +23587,11 @@
+@@ -23752,6 +23625,11 @@
    [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
    *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
    esac
@@ -10331,7 +10562,7 @@
  _ACEOF
  
  cat >>$CONFIG_STATUS <<\_ACEOF
-@@ -23805,6 +23645,7 @@
+@@ -23805,6 +23683,7 @@
  s&@abs_builddir@&$ac_abs_builddir&;t t
  s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
  s&@INSTALL@&$ac_INSTALL&;t t
@@ -10339,7 +10570,7 @@
  $ac_datarootdir_hack
  " $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" | sed -f "$tmp/subs-3.sed" >$tmp/out
  
-@@ -23920,21 +23761,22 @@
+@@ -23920,21 +23799,22 @@
    fi
    rm -f "$tmp/out12"
  # Compute $ac_file's index in $config_headers.
@@ -10369,7 +10600,7 @@
      sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
  	    s//\1/
  	    q
-@@ -23969,8 +23811,9 @@
+@@ -23969,8 +23849,9 @@
    # some people rename them; so instead we look at the file content.
    # Grep'ing the first line is not enough: some people post-process
    # each Makefile.in and add a new line on top of each file to say so.
@@ -10383,8 +10614,8 @@
  	 X"$mf" : 'X\(//\)[^/]' \| \
 Index: alsa-lib-1.0.18/doc/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/doc/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/doc/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/doc/Makefile.in	2008-10-29 13:46:32.000000000 +0100
++++ alsa-lib-1.0.18/doc/Makefile.in	2008-11-19 00:14:50.436778085 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -10550,16 +10781,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -188,6 +103,8 @@
+@@ -187,7 +102,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -199,6 +116,7 @@
+@@ -199,6 +117,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -10567,7 +10800,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -207,19 +125,15 @@
+@@ -207,19 +126,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -10591,7 +10824,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -231,6 +145,7 @@
+@@ -231,6 +146,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -10599,7 +10832,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -258,12 +173,15 @@
+@@ -258,19 +174,22 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -10615,7 +10848,39 @@
  SUBDIRS = pictures
  EXTRA_DIST = README.1st asoundrc.txt doxygen.cfg index.doxygen
  INCLUDES = -I$(top_srcdir)/include
-@@ -308,10 +226,6 @@
+ all: all-recursive
+ 
+ .SUFFIXES:
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -279,9 +198,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  doc/Makefile
++	  $(AUTOMAKE) --gnu  doc/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -295,9 +214,9 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ doxygen.cfg: $(top_builddir)/config.status $(srcdir)/doxygen.cfg.in
+ 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
+@@ -308,10 +227,6 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -10626,7 +10891,7 @@
  # This directory's subdirectories are mostly independent; you can cd
  # into them and run `make' without going through this Makefile.
  # To change the values of `make' variables: instead of editing Makefiles,
-@@ -343,8 +257,7 @@
+@@ -343,8 +258,7 @@
  	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  	fi; test -z "$$fail"
  
@@ -10636,7 +10901,7 @@
  	@failcom='exit 1'; \
  	for f in x $$MAKEFLAGS; do \
  	  case $$f in \
-@@ -388,8 +301,8 @@
+@@ -388,8 +302,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -10647,7 +10912,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -414,8 +327,8 @@
+@@ -414,8 +328,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -10658,7 +10923,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -425,13 +338,12 @@
+@@ -425,13 +339,12 @@
  CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -10674,7 +10939,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -445,22 +357,21 @@
+@@ -445,22 +358,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -10710,7 +10975,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -474,7 +385,7 @@
+@@ -474,7 +386,7 @@
  	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  	  if test "$$subdir" = .; then :; else \
  	    test -d "$(distdir)/$$subdir" \
@@ -10719,7 +10984,7 @@
  	    || exit 1; \
  	    distdir=`$(am__cd) $(distdir) && pwd`; \
  	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
-@@ -482,6 +393,8 @@
+@@ -482,6 +394,8 @@
  	      $(MAKE) $(AM_MAKEFLAGS) \
  	        top_distdir="$$top_distdir" \
  	        distdir="$$distdir/$$subdir" \
@@ -10728,7 +10993,7 @@
  	        distdir) \
  	      || exit 1; \
  	  fi; \
-@@ -521,8 +434,7 @@
+@@ -521,8 +435,7 @@
  
  distclean: distclean-recursive
  	-rm -f Makefile
@@ -10738,7 +11003,7 @@
  
  dvi: dvi-recursive
  
-@@ -536,12 +448,20 @@
+@@ -536,12 +449,20 @@
  
  install-data-am:
  
@@ -10759,7 +11024,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-recursive
-@@ -560,22 +480,24 @@
+@@ -560,22 +481,24 @@
  
  ps-am:
  
@@ -10798,8 +11063,8 @@
  doc:
 Index: alsa-lib-1.0.18/doc/pictures/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/doc/pictures/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/doc/pictures/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/doc/pictures/Makefile.in	2008-10-29 13:46:32.000000000 +0100
++++ alsa-lib-1.0.18/doc/pictures/Makefile.in	2008-11-19 00:14:50.512778118 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -10947,16 +11212,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -178,6 +90,8 @@
+@@ -177,7 +89,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -189,6 +103,7 @@
+@@ -189,6 +104,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -10964,7 +11231,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -197,19 +112,15 @@
+@@ -197,19 +113,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -10988,7 +11255,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -221,6 +132,7 @@
+@@ -221,6 +133,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -10996,7 +11263,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -248,12 +160,15 @@
+@@ -248,17 +161,20 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -11012,7 +11279,37 @@
  EXTRA_DIST = wave1.gif wave2.gif
  all: all-am
  
-@@ -293,10 +208,6 @@
+ .SUFFIXES:
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -267,9 +183,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/pictures/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/pictures/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  doc/pictures/Makefile
++	  $(AUTOMAKE) --gnu  doc/pictures/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -283,9 +199,9 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+ mostlyclean-libtool:
+@@ -293,10 +209,6 @@
  
  clean-libtool:
  	-rm -rf .libs _libs
@@ -11023,7 +11320,7 @@
  tags: TAGS
  TAGS:
  
-@@ -305,22 +216,21 @@
+@@ -305,22 +217,21 @@
  
  
  distdir: $(DISTFILES)
@@ -11059,7 +11356,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -365,7 +275,7 @@
+@@ -365,7 +276,7 @@
  
  distclean: distclean-am
  	-rm -f Makefile
@@ -11068,7 +11365,7 @@
  
  dvi: dvi-am
  
-@@ -379,12 +289,20 @@
+@@ -379,12 +290,20 @@
  
  install-data-am:
  
@@ -11089,7 +11386,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -403,17 +321,20 @@
+@@ -403,17 +322,20 @@
  
  ps-am:
  
@@ -11117,8 +11414,8 @@
  # Otherwise a system limit (for SysV at least) may be exceeded.
 Index: alsa-lib-1.0.18/include/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/include/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/include/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/include/Makefile.in	2008-10-29 13:46:33.000000000 +0100
++++ alsa-lib-1.0.18/include/Makefile.in	2008-11-19 00:14:50.624778168 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -11291,16 +11588,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -217,6 +132,8 @@
+@@ -216,7 +131,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -228,6 +145,7 @@
+@@ -228,6 +146,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -11308,7 +11607,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -236,19 +154,15 @@
+@@ -236,19 +155,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -11332,7 +11631,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -260,6 +174,7 @@
+@@ -260,6 +175,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -11340,7 +11639,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -287,12 +202,15 @@
+@@ -287,12 +203,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -11356,7 +11655,38 @@
  SUBDIRS = sound
  sysincludedir = ${includedir}/sys
  alsaincludedir = ${includedir}/alsa
-@@ -344,7 +262,7 @@
+@@ -311,7 +230,7 @@
+ 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
+ 
+ .SUFFIXES:
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -320,9 +239,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  include/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  include/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  include/Makefile
++	  $(AUTOMAKE) --gnu  include/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -336,21 +255,21 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
  config.h: stamp-h1
  	@if test ! -f $@; then \
  	  rm -f stamp-h1; \
@@ -11365,7 +11695,14 @@
  	else :; fi
  
  stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
-@@ -363,13 +281,9 @@
+ 	@rm -f stamp-h1
+ 	cd $(top_builddir) && $(SHELL) ./config.status include/config.h
+-$(srcdir)/config.h.in:  $(am__configure_deps) 
++$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
+ 	cd $(top_srcdir) && $(AUTOHEADER)
+ 	rm -f stamp-h1
+ 	touch $@
+@@ -363,13 +282,9 @@
  
  clean-libtool:
  	-rm -rf .libs _libs
@@ -11380,7 +11717,7 @@
  	@list='$(alsainclude_HEADERS)'; for p in $$list; do \
  	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  	  f=$(am__strip_dir) \
-@@ -416,8 +330,7 @@
+@@ -416,8 +331,7 @@
  	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  	fi; test -z "$$fail"
  
@@ -11390,7 +11727,7 @@
  	@failcom='exit 1'; \
  	for f in x $$MAKEFLAGS; do \
  	  case $$f in \
-@@ -461,8 +374,8 @@
+@@ -461,8 +375,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -11401,7 +11738,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -487,8 +400,8 @@
+@@ -487,8 +401,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -11412,7 +11749,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -498,13 +411,12 @@
+@@ -498,13 +412,12 @@
  CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -11428,7 +11765,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -518,22 +430,21 @@
+@@ -518,22 +431,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -11464,7 +11801,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -547,7 +458,7 @@
+@@ -547,7 +459,7 @@
  	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  	  if test "$$subdir" = .; then :; else \
  	    test -d "$(distdir)/$$subdir" \
@@ -11473,7 +11810,7 @@
  	    || exit 1; \
  	    distdir=`$(am__cd) $(distdir) && pwd`; \
  	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
-@@ -555,6 +466,8 @@
+@@ -555,6 +467,8 @@
  	      $(MAKE) $(AM_MAKEFLAGS) \
  	        top_distdir="$$top_distdir" \
  	        distdir="$$distdir/$$subdir" \
@@ -11482,7 +11819,7 @@
  	        distdir) \
  	      || exit 1; \
  	  fi; \
-@@ -565,7 +478,7 @@
+@@ -565,7 +479,7 @@
  installdirs: installdirs-recursive
  installdirs-am:
  	for dir in "$(DESTDIR)$(alsaincludedir)"; do \
@@ -11491,7 +11828,7 @@
  	done
  install: install-recursive
  install-exec: install-exec-recursive
-@@ -598,8 +511,7 @@
+@@ -598,8 +512,7 @@
  
  distclean: distclean-recursive
  	-rm -f Makefile
@@ -11501,7 +11838,7 @@
  
  dvi: dvi-recursive
  
-@@ -615,12 +527,20 @@
+@@ -615,12 +528,20 @@
  	@$(NORMAL_INSTALL)
  	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
  
@@ -11522,7 +11859,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-recursive
-@@ -639,24 +559,26 @@
+@@ -639,24 +560,26 @@
  
  ps-am:
  
@@ -11564,8 +11901,8 @@
  alsa:
 Index: alsa-lib-1.0.18/include/sound/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/include/sound/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/include/sound/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/include/sound/Makefile.in	2008-10-29 13:46:33.000000000 +0100
++++ alsa-lib-1.0.18/include/sound/Makefile.in	2008-11-19 00:14:50.708778206 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -11713,16 +12050,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -191,6 +103,8 @@
+@@ -190,7 +102,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -202,6 +116,7 @@
+@@ -202,6 +117,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -11730,7 +12069,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -210,19 +125,15 @@
+@@ -210,19 +126,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -11754,7 +12093,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -234,6 +145,7 @@
+@@ -234,6 +146,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -11762,7 +12101,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -261,12 +173,15 @@
+@@ -261,12 +174,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -11778,7 +12117,40 @@
  alsasoundincludedir = ${includedir}/alsa/sound
  alsasoundinclude_HEADERS = asound_fm.h hdsp.h sb16_csp.h sscape_ioctl.h emu10k1.h \
  			   type_compat.h
-@@ -310,13 +225,9 @@
+@@ -275,7 +191,7 @@
+ all: all-am
+ 
+ .SUFFIXES:
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -284,9 +200,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  include/sound/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  include/sound/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  include/sound/Makefile
++	  $(AUTOMAKE) --gnu  include/sound/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -300,9 +216,9 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+ mostlyclean-libtool:
+@@ -310,13 +226,9 @@
  
  clean-libtool:
  	-rm -rf .libs _libs
@@ -11793,7 +12165,7 @@
  	@list='$(alsasoundinclude_HEADERS)'; for p in $$list; do \
  	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  	  f=$(am__strip_dir) \
-@@ -337,8 +248,8 @@
+@@ -337,8 +249,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -11804,7 +12176,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -350,8 +261,8 @@
+@@ -350,8 +262,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -11815,7 +12187,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -361,13 +272,12 @@
+@@ -361,13 +273,12 @@
  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -11831,7 +12203,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -381,22 +291,21 @@
+@@ -381,22 +292,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -11867,7 +12239,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -412,7 +321,7 @@
+@@ -412,7 +322,7 @@
  all-am: Makefile $(HEADERS)
  installdirs:
  	for dir in "$(DESTDIR)$(alsasoundincludedir)"; do \
@@ -11876,7 +12248,7 @@
  	done
  install: install-am
  install-exec: install-exec-am
-@@ -444,8 +353,7 @@
+@@ -444,8 +354,7 @@
  
  distclean: distclean-am
  	-rm -f Makefile
@@ -11886,7 +12258,7 @@
  
  dvi: dvi-am
  
-@@ -459,12 +367,20 @@
+@@ -459,12 +368,20 @@
  
  install-data-am: install-alsasoundincludeHEADERS
  
@@ -11907,7 +12279,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -483,19 +399,22 @@
+@@ -483,19 +400,22 @@
  
  ps-am:
  
@@ -11937,8 +12309,8 @@
  # Otherwise a system limit (for SysV at least) may be exceeded.
 Index: alsa-lib-1.0.18/ltmain.sh
 ===================================================================
---- alsa-lib-1.0.18.orig/ltmain.sh	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/ltmain.sh	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/ltmain.sh	2006-11-25 12:04:27.000000000 +0100
++++ alsa-lib-1.0.18/ltmain.sh	2008-11-19 00:13:15.083777701 +0100
 @@ -1,8 +1,8 @@
  # ltmain.sh - Provide generalized library-building support services.
  # NOTE: Changing this file will not affect anything until you rerun configure.
@@ -12598,8 +12970,8 @@
  
 Index: alsa-lib-1.0.18/modules/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/modules/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/modules/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/modules/Makefile.in	2008-10-29 13:46:33.000000000 +0100
++++ alsa-lib-1.0.18/modules/Makefile.in	2008-11-19 00:14:50.792778243 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -12765,16 +13137,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -187,6 +102,8 @@
+@@ -186,7 +101,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -198,6 +115,7 @@
+@@ -198,6 +116,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -12782,7 +13156,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -206,19 +124,15 @@
+@@ -206,19 +125,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -12806,7 +13180,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -230,6 +144,7 @@
+@@ -230,6 +145,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -12814,7 +13188,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -257,12 +172,15 @@
+@@ -257,17 +173,20 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -12830,7 +13204,37 @@
  @BUILD_MIXER_TRUE@SUBDIRS = mixer
  all: all-recursive
  
-@@ -303,10 +221,6 @@
+ .SUFFIXES:
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -276,9 +195,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  modules/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  modules/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  modules/Makefile
++	  $(AUTOMAKE) --gnu  modules/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -292,9 +211,9 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+ mostlyclean-libtool:
+@@ -303,10 +222,6 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -12841,7 +13245,7 @@
  # This directory's subdirectories are mostly independent; you can cd
  # into them and run `make' without going through this Makefile.
  # To change the values of `make' variables: instead of editing Makefiles,
-@@ -338,8 +252,7 @@
+@@ -338,8 +253,7 @@
  	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  	fi; test -z "$$fail"
  
@@ -12851,7 +13255,7 @@
  	@failcom='exit 1'; \
  	for f in x $$MAKEFLAGS; do \
  	  case $$f in \
-@@ -383,8 +296,8 @@
+@@ -383,8 +297,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -12862,7 +13266,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -409,8 +322,8 @@
+@@ -409,8 +323,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -12873,7 +13277,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -420,13 +333,12 @@
+@@ -420,13 +334,12 @@
  CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -12889,7 +13293,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -440,22 +352,21 @@
+@@ -440,22 +353,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -12925,7 +13329,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -469,7 +380,7 @@
+@@ -469,7 +381,7 @@
  	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  	  if test "$$subdir" = .; then :; else \
  	    test -d "$(distdir)/$$subdir" \
@@ -12934,7 +13338,7 @@
  	    || exit 1; \
  	    distdir=`$(am__cd) $(distdir) && pwd`; \
  	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
-@@ -477,6 +388,8 @@
+@@ -477,6 +389,8 @@
  	      $(MAKE) $(AM_MAKEFLAGS) \
  	        top_distdir="$$top_distdir" \
  	        distdir="$$distdir/$$subdir" \
@@ -12943,7 +13347,7 @@
  	        distdir) \
  	      || exit 1; \
  	  fi; \
-@@ -516,8 +429,7 @@
+@@ -516,8 +430,7 @@
  
  distclean: distclean-recursive
  	-rm -f Makefile
@@ -12953,7 +13357,7 @@
  
  dvi: dvi-recursive
  
-@@ -531,12 +443,20 @@
+@@ -531,12 +444,20 @@
  
  install-data-am:
  
@@ -12974,7 +13378,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-recursive
-@@ -555,22 +475,24 @@
+@@ -555,22 +476,24 @@
  
  ps-am:
  
@@ -13013,8 +13417,8 @@
  # Otherwise a system limit (for SysV at least) may be exceeded.
 Index: alsa-lib-1.0.18/modules/mixer/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/modules/mixer/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/modules/mixer/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/modules/mixer/Makefile.in	2008-10-29 13:46:33.000000000 +0100
++++ alsa-lib-1.0.18/modules/mixer/Makefile.in	2008-11-19 00:14:50.880778003 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -13180,16 +13584,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -187,6 +102,8 @@
+@@ -186,7 +101,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -198,6 +115,7 @@
+@@ -198,6 +116,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -13197,7 +13603,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -206,19 +124,15 @@
+@@ -206,19 +125,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -13221,7 +13627,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -230,6 +144,7 @@
+@@ -230,6 +145,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -13229,7 +13635,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -257,12 +172,15 @@
+@@ -257,17 +173,20 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -13245,7 +13651,37 @@
  SUBDIRS = simple
  all: all-recursive
  
-@@ -303,10 +221,6 @@
+ .SUFFIXES:
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -276,9 +195,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  modules/mixer/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  modules/mixer/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  modules/mixer/Makefile
++	  $(AUTOMAKE) --gnu  modules/mixer/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -292,9 +211,9 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+ mostlyclean-libtool:
+@@ -303,10 +222,6 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -13256,7 +13692,7 @@
  # This directory's subdirectories are mostly independent; you can cd
  # into them and run `make' without going through this Makefile.
  # To change the values of `make' variables: instead of editing Makefiles,
-@@ -338,8 +252,7 @@
+@@ -338,8 +253,7 @@
  	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  	fi; test -z "$$fail"
  
@@ -13266,7 +13702,7 @@
  	@failcom='exit 1'; \
  	for f in x $$MAKEFLAGS; do \
  	  case $$f in \
-@@ -383,8 +296,8 @@
+@@ -383,8 +297,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -13277,7 +13713,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -409,8 +322,8 @@
+@@ -409,8 +323,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -13288,7 +13724,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -420,13 +333,12 @@
+@@ -420,13 +334,12 @@
  CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -13304,7 +13740,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -440,22 +352,21 @@
+@@ -440,22 +353,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -13340,7 +13776,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -469,7 +380,7 @@
+@@ -469,7 +381,7 @@
  	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  	  if test "$$subdir" = .; then :; else \
  	    test -d "$(distdir)/$$subdir" \
@@ -13349,7 +13785,7 @@
  	    || exit 1; \
  	    distdir=`$(am__cd) $(distdir) && pwd`; \
  	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
-@@ -477,6 +388,8 @@
+@@ -477,6 +389,8 @@
  	      $(MAKE) $(AM_MAKEFLAGS) \
  	        top_distdir="$$top_distdir" \
  	        distdir="$$distdir/$$subdir" \
@@ -13358,7 +13794,7 @@
  	        distdir) \
  	      || exit 1; \
  	  fi; \
-@@ -516,8 +429,7 @@
+@@ -516,8 +430,7 @@
  
  distclean: distclean-recursive
  	-rm -f Makefile
@@ -13368,7 +13804,7 @@
  
  dvi: dvi-recursive
  
-@@ -531,12 +443,20 @@
+@@ -531,12 +444,20 @@
  
  install-data-am:
  
@@ -13389,7 +13825,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-recursive
-@@ -555,22 +475,24 @@
+@@ -555,22 +476,24 @@
  
  ps-am:
  
@@ -13428,8 +13864,8 @@
  # Otherwise a system limit (for SysV at least) may be exceeded.
 Index: alsa-lib-1.0.18/modules/mixer/simple/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/modules/mixer/simple/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/modules/mixer/simple/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/modules/mixer/simple/Makefile.in	2008-10-29 13:46:33.000000000 +0100
++++ alsa-lib-1.0.18/modules/mixer/simple/Makefile.in	2008-11-19 00:14:51.000778336 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -13626,16 +14062,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -224,6 +149,8 @@
+@@ -223,7 +148,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -235,6 +162,7 @@
+@@ -235,6 +163,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -13643,7 +14081,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -243,19 +171,15 @@
+@@ -243,19 +172,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -13667,7 +14105,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -267,6 +191,7 @@
+@@ -267,6 +192,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -13675,7 +14113,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -294,12 +219,15 @@
+@@ -294,12 +220,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -13691,7 +14129,36 @@
  alsaplugindir = @ALSA_PLUGIN_DIR@
  pythonlibs = @PYTHON_LIBS@
  pythonincludes = @PYTHON_INCLUDES@
-@@ -356,21 +284,21 @@
+@@ -325,7 +254,7 @@
+ 
+ .SUFFIXES:
+ .SUFFIXES: .c .lo .o .obj
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -334,9 +263,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  modules/mixer/simple/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  modules/mixer/simple/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  modules/mixer/simple/Makefile
++	  $(AUTOMAKE) --gnu  modules/mixer/simple/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -350,27 +279,27 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
  	@$(NORMAL_INSTALL)
@@ -13719,7 +14186,7 @@
  	done
  
  clean-pkglibLTLIBRARIES:
-@@ -382,13 +310,13 @@
+@@ -382,13 +311,13 @@
  	  rm -f "$${dir}/so_locations"; \
  	done
  smixer-ac97.la: $(smixer_ac97_la_OBJECTS) $(smixer_ac97_la_DEPENDENCIES) 
@@ -13737,7 +14204,7 @@
  
  mostlyclean-compile:
  	-rm -f *.$(OBJEXT)
-@@ -403,32 +331,32 @@
+@@ -403,32 +332,32 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/smixer_python_la-python.Plo@am__quote@
  
  .c.o:
@@ -13779,7 +14246,7 @@
  
  mostlyclean-libtool:
  	-rm -f *.lo
-@@ -436,17 +364,13 @@
+@@ -436,17 +365,13 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -13799,7 +14266,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -458,8 +382,8 @@
+@@ -458,8 +383,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -13810,7 +14277,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -469,13 +393,12 @@
+@@ -469,13 +394,12 @@
  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -13826,7 +14293,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -489,22 +412,21 @@
+@@ -489,22 +413,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -13862,7 +14329,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -520,7 +442,7 @@
+@@ -520,7 +443,7 @@
  all-am: Makefile $(LTLIBRARIES) $(HEADERS)
  installdirs:
  	for dir in "$(DESTDIR)$(pkglibdir)"; do \
@@ -13871,7 +14338,7 @@
  	done
  install: install-am
  install-exec: install-exec-am
-@@ -555,7 +477,7 @@
+@@ -555,7 +478,7 @@
  	-rm -rf ./$(DEPDIR)
  	-rm -f Makefile
  distclean-am: clean-am distclean-compile distclean-generic \
@@ -13880,7 +14347,7 @@
  
  dvi: dvi-am
  
-@@ -569,12 +491,20 @@
+@@ -569,12 +492,20 @@
  
  install-data-am:
  
@@ -13901,7 +14368,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -595,20 +525,23 @@
+@@ -595,20 +526,23 @@
  
  ps-am:
  
@@ -13933,8 +14400,8 @@
  # Otherwise a system limit (for SysV at least) may be exceeded.
 Index: alsa-lib-1.0.18/src/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/src/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/src/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/src/Makefile.in	2008-10-29 13:46:33.000000000 +0100
++++ alsa-lib-1.0.18/src/Makefile.in	2008-11-19 00:14:51.120778110 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -14143,16 +14610,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -237,6 +148,8 @@
+@@ -236,7 +147,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -248,6 +161,7 @@
+@@ -248,6 +162,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -14160,7 +14629,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -256,19 +170,15 @@
+@@ -256,19 +171,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -14184,7 +14653,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -280,6 +190,7 @@
+@@ -280,6 +191,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -14192,7 +14661,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -307,12 +218,15 @@
+@@ -307,12 +219,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -14208,7 +14677,38 @@
  EXTRA_DIST = Versions
  COMPATNUM = @LIBTOOL_VERSION_INFO@
  @VERSIONED_SYMBOLS_FALSE@VSYMS = 
-@@ -366,21 +280,21 @@
+@@ -333,7 +248,7 @@
+ 
+ .SUFFIXES:
+ .SUFFIXES: .c .lo .o .obj
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -342,9 +257,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  src/Makefile
++	  $(AUTOMAKE) --gnu  src/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -358,29 +273,29 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ Versions: $(top_builddir)/config.status $(srcdir)/Versions.in
  	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  install-libLTLIBRARIES: $(lib_LTLIBRARIES)
  	@$(NORMAL_INSTALL)
@@ -14236,7 +14736,7 @@
  	done
  
  clean-libLTLIBRARIES:
-@@ -392,7 +306,7 @@
+@@ -392,7 +307,7 @@
  	  rm -f "$${dir}/so_locations"; \
  	done
  libasound.la: $(libasound_la_OBJECTS) $(libasound_la_DEPENDENCIES) 
@@ -14245,7 +14745,7 @@
  
  mostlyclean-compile:
  	-rm -f *.$(OBJEXT)
-@@ -413,22 +327,22 @@
+@@ -413,22 +328,22 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/userfile.Plo@am__quote@
  
  .c.o:
@@ -14274,7 +14774,7 @@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
-@@ -439,10 +353,6 @@
+@@ -439,10 +354,6 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -14285,7 +14785,7 @@
  # This directory's subdirectories are mostly independent; you can cd
  # into them and run `make' without going through this Makefile.
  # To change the values of `make' variables: instead of editing Makefiles,
-@@ -474,8 +384,7 @@
+@@ -474,8 +385,7 @@
  	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  	fi; test -z "$$fail"
  
@@ -14295,7 +14795,7 @@
  	@failcom='exit 1'; \
  	for f in x $$MAKEFLAGS; do \
  	  case $$f in \
-@@ -519,8 +428,8 @@
+@@ -519,8 +429,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -14306,7 +14806,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -545,8 +454,8 @@
+@@ -545,8 +455,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -14317,7 +14817,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -556,13 +465,12 @@
+@@ -556,13 +466,12 @@
  CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -14333,7 +14833,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -576,22 +484,21 @@
+@@ -576,22 +485,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -14369,7 +14869,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -605,7 +512,7 @@
+@@ -605,7 +513,7 @@
  	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  	  if test "$$subdir" = .; then :; else \
  	    test -d "$(distdir)/$$subdir" \
@@ -14378,7 +14878,7 @@
  	    || exit 1; \
  	    distdir=`$(am__cd) $(distdir) && pwd`; \
  	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
-@@ -613,6 +520,8 @@
+@@ -613,6 +521,8 @@
  	      $(MAKE) $(AM_MAKEFLAGS) \
  	        top_distdir="$$top_distdir" \
  	        distdir="$$distdir/$$subdir" \
@@ -14387,7 +14887,7 @@
  	        distdir) \
  	      || exit 1; \
  	  fi; \
-@@ -623,7 +532,7 @@
+@@ -623,7 +533,7 @@
  installdirs: installdirs-recursive
  installdirs-am:
  	for dir in "$(DESTDIR)$(libdir)"; do \
@@ -14396,7 +14896,7 @@
  	done
  install: install-recursive
  install-exec: install-exec-recursive
-@@ -658,7 +567,7 @@
+@@ -658,7 +568,7 @@
  	-rm -rf ./$(DEPDIR)
  	-rm -f Makefile
  distclean-am: clean-am distclean-compile distclean-generic \
@@ -14405,7 +14905,7 @@
  
  dvi: dvi-recursive
  
-@@ -672,12 +581,20 @@
+@@ -672,12 +582,20 @@
  
  install-data-am:
  
@@ -14426,7 +14926,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-recursive
-@@ -698,24 +615,26 @@
+@@ -698,24 +616,26 @@
  
  ps-am:
  
@@ -14469,8 +14969,8 @@
  control/libcontrol.la:
 Index: alsa-lib-1.0.18/src/alisp/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/src/alisp/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/src/alisp/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/src/alisp/Makefile.in	2008-10-29 13:46:33.000000000 +0100
++++ alsa-lib-1.0.18/src/alisp/Makefile.in	2008-11-19 00:14:51.216778153 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -14643,16 +15143,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -197,6 +110,8 @@
+@@ -196,7 +109,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -208,6 +123,7 @@
+@@ -208,6 +124,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -14660,7 +15162,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -216,19 +132,15 @@
+@@ -216,19 +133,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -14684,7 +15186,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -240,6 +152,7 @@
+@@ -240,6 +153,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -14692,7 +15194,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -267,12 +180,15 @@
+@@ -267,12 +181,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -14708,8 +15210,36 @@
  EXTRA_LTLIBRARIES = libalisp.la
  EXTRA_DIST = alisp_snd.c
  libalisp_la_SOURCES = alisp.c
-@@ -312,7 +228,7 @@
- $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+@@ -282,7 +199,7 @@
+ 
+ .SUFFIXES:
+ .SUFFIXES: .c .lo .o .obj
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -291,9 +208,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/alisp/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/alisp/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  src/alisp/Makefile
++	  $(AUTOMAKE) --gnu  src/alisp/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -307,12 +224,12 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  libalisp.la: $(libalisp_la_OBJECTS) $(libalisp_la_DEPENDENCIES) 
 -	$(LINK)  $(libalisp_la_LDFLAGS) $(libalisp_la_OBJECTS) $(libalisp_la_LIBADD) $(LIBS)
@@ -14717,7 +15247,7 @@
  
  mostlyclean-compile:
  	-rm -f *.$(OBJEXT)
-@@ -323,22 +239,22 @@
+@@ -323,22 +240,22 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alisp.Plo@am__quote@
  
  .c.o:
@@ -14746,7 +15276,7 @@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
-@@ -349,17 +265,13 @@
+@@ -349,17 +266,13 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -14766,7 +15296,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -371,8 +283,8 @@
+@@ -371,8 +284,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -14777,7 +15307,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -382,13 +294,12 @@
+@@ -382,13 +295,12 @@
  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -14793,7 +15323,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -402,22 +313,21 @@
+@@ -402,22 +314,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -14829,7 +15359,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -464,7 +374,7 @@
+@@ -464,7 +375,7 @@
  	-rm -rf ./$(DEPDIR)
  	-rm -f Makefile
  distclean-am: clean-am distclean-compile distclean-generic \
@@ -14838,7 +15368,7 @@
  
  dvi: dvi-am
  
-@@ -478,12 +388,20 @@
+@@ -478,12 +389,20 @@
  
  install-data-am:
  
@@ -14859,7 +15389,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -504,18 +422,22 @@
+@@ -504,18 +423,22 @@
  
  ps-am:
  
@@ -14888,8 +15418,8 @@
  all: libalisp.la
 Index: alsa-lib-1.0.18/src/compat/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/src/compat/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/src/compat/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/src/compat/Makefile.in	2008-10-29 13:46:33.000000000 +0100
++++ alsa-lib-1.0.18/src/compat/Makefile.in	2008-11-19 00:14:51.320778479 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -15062,16 +15592,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -199,6 +112,8 @@
+@@ -198,7 +111,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -210,6 +125,7 @@
+@@ -210,6 +126,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -15079,7 +15611,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -218,19 +134,15 @@
+@@ -218,19 +135,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -15103,7 +15635,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -242,6 +154,7 @@
+@@ -242,6 +155,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -15111,7 +15643,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -269,12 +182,15 @@
+@@ -269,12 +183,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -15127,7 +15659,40 @@
  noinst_LTLIBRARIES = libcompat.la
  EXTRA_libcompat_la_SOURCES = hsearch_r.c
  @ALSA_HSEARCH_R_FALSE@libcompat_la_SOURCES = empty.c
-@@ -322,7 +238,7 @@
+@@ -283,7 +200,7 @@
+ 
+ .SUFFIXES:
+ .SUFFIXES: .c .lo .o .obj
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -292,9 +209,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/compat/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/compat/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  src/compat/Makefile
++	  $(AUTOMAKE) --gnu  src/compat/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -308,9 +225,9 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+ clean-noinstLTLIBRARIES:
+@@ -322,7 +239,7 @@
  	  rm -f "$${dir}/so_locations"; \
  	done
  libcompat.la: $(libcompat_la_OBJECTS) $(libcompat_la_DEPENDENCIES) 
@@ -15136,7 +15701,7 @@
  
  mostlyclean-compile:
  	-rm -f *.$(OBJEXT)
-@@ -334,22 +250,22 @@
+@@ -334,22 +251,22 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hsearch_r.Plo@am__quote@
  
  .c.o:
@@ -15165,7 +15730,7 @@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
-@@ -360,17 +276,13 @@
+@@ -360,17 +277,13 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -15185,7 +15750,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -382,8 +294,8 @@
+@@ -382,8 +295,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -15196,7 +15761,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -393,13 +305,12 @@
+@@ -393,13 +306,12 @@
  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -15212,7 +15777,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -413,22 +324,21 @@
+@@ -413,22 +325,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -15248,7 +15813,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -476,7 +386,7 @@
+@@ -476,7 +387,7 @@
  	-rm -rf ./$(DEPDIR)
  	-rm -f Makefile
  distclean-am: clean-am distclean-compile distclean-generic \
@@ -15257,7 +15822,7 @@
  
  dvi: dvi-am
  
-@@ -490,12 +400,20 @@
+@@ -490,12 +401,20 @@
  
  install-data-am:
  
@@ -15278,7 +15843,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -516,19 +434,22 @@
+@@ -516,19 +435,22 @@
  
  ps-am:
  
@@ -15308,8 +15873,8 @@
  # Otherwise a system limit (for SysV at least) may be exceeded.
 Index: alsa-lib-1.0.18/src/conf/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/src/conf/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/src/conf/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/src/conf/Makefile.in	2008-10-29 13:46:33.000000000 +0100
++++ alsa-lib-1.0.18/src/conf/Makefile.in	2008-11-19 00:14:51.408778238 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -15482,16 +16047,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -199,6 +114,8 @@
+@@ -198,7 +113,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -210,6 +127,7 @@
+@@ -210,6 +128,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -15499,7 +16066,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -218,19 +136,15 @@
+@@ -218,19 +137,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -15523,7 +16090,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -242,6 +156,7 @@
+@@ -242,6 +157,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -15531,7 +16098,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -269,12 +184,15 @@
+@@ -269,12 +185,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -15547,7 +16114,40 @@
  SUBDIRS = cards pcm
  cfg_files = alsa.conf $(am__append_1) $(am__append_2)
  EXTRA_DIST = $(cfg_files)
-@@ -319,13 +237,9 @@
+@@ -284,7 +203,7 @@
+ all: all-recursive
+ 
+ .SUFFIXES:
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -293,9 +212,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/conf/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/conf/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  src/conf/Makefile
++	  $(AUTOMAKE) --gnu  src/conf/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -309,9 +228,9 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+ mostlyclean-libtool:
+@@ -319,13 +238,9 @@
  
  clean-libtool:
  	-rm -rf .libs _libs
@@ -15562,7 +16162,7 @@
  	@list='$(alsa_DATA)'; for p in $$list; do \
  	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  	  f=$(am__strip_dir) \
-@@ -372,8 +286,7 @@
+@@ -372,8 +287,7 @@
  	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  	fi; test -z "$$fail"
  
@@ -15572,7 +16172,7 @@
  	@failcom='exit 1'; \
  	for f in x $$MAKEFLAGS; do \
  	  case $$f in \
-@@ -417,8 +330,8 @@
+@@ -417,8 +331,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -15583,7 +16183,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -443,8 +356,8 @@
+@@ -443,8 +357,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -15594,7 +16194,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -454,13 +367,12 @@
+@@ -454,13 +368,12 @@
  CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -15610,7 +16210,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -474,22 +386,21 @@
+@@ -474,22 +387,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -15646,7 +16246,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -503,7 +414,7 @@
+@@ -503,7 +415,7 @@
  	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  	  if test "$$subdir" = .; then :; else \
  	    test -d "$(distdir)/$$subdir" \
@@ -15655,7 +16255,7 @@
  	    || exit 1; \
  	    distdir=`$(am__cd) $(distdir) && pwd`; \
  	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
-@@ -511,6 +422,8 @@
+@@ -511,6 +423,8 @@
  	      $(MAKE) $(AM_MAKEFLAGS) \
  	        top_distdir="$$top_distdir" \
  	        distdir="$$distdir/$$subdir" \
@@ -15664,7 +16264,7 @@
  	        distdir) \
  	      || exit 1; \
  	  fi; \
-@@ -521,7 +434,7 @@
+@@ -521,7 +435,7 @@
  installdirs: installdirs-recursive
  installdirs-am:
  	for dir in "$(DESTDIR)$(alsadir)"; do \
@@ -15673,7 +16273,7 @@
  	done
  install: install-recursive
  install-exec: install-exec-recursive
-@@ -553,8 +466,7 @@
+@@ -553,8 +467,7 @@
  
  distclean: distclean-recursive
  	-rm -f Makefile
@@ -15683,7 +16283,7 @@
  
  dvi: dvi-recursive
  
-@@ -568,12 +480,20 @@
+@@ -568,12 +481,20 @@
  
  install-data-am: install-alsaDATA
  
@@ -15704,7 +16304,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-recursive
-@@ -592,23 +512,24 @@
+@@ -592,23 +513,24 @@
  
  ps-am:
  
@@ -15744,8 +16344,8 @@
  # Otherwise a system limit (for SysV at least) may be exceeded.
 Index: alsa-lib-1.0.18/src/conf/cards/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/src/conf/cards/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/src/conf/cards/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/src/conf/cards/Makefile.in	2008-10-29 13:46:33.000000000 +0100
++++ alsa-lib-1.0.18/src/conf/cards/Makefile.in	2008-11-19 00:14:51.500778279 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -15893,16 +16493,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -190,6 +102,8 @@
+@@ -189,7 +101,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -201,6 +115,7 @@
+@@ -201,6 +116,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -15910,7 +16512,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -209,19 +124,15 @@
+@@ -209,19 +125,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -15934,7 +16536,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -233,6 +144,7 @@
+@@ -233,6 +145,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -15942,7 +16544,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -260,12 +172,15 @@
+@@ -260,12 +173,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -15958,7 +16560,40 @@
  alsaconfigdir = @ALSA_CONFIG_DIR@
  alsadir = $(alsaconfigdir)/cards
  cfg_files = aliases.conf AACI.conf ATIIXP.conf ATIIXP-SPDMA.conf \
-@@ -331,13 +246,9 @@
+@@ -296,7 +212,7 @@
+ all: all-am
+ 
+ .SUFFIXES:
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -305,9 +221,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/conf/cards/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/conf/cards/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  src/conf/cards/Makefile
++	  $(AUTOMAKE) --gnu  src/conf/cards/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -321,9 +237,9 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+ mostlyclean-libtool:
+@@ -331,13 +247,9 @@
  
  clean-libtool:
  	-rm -rf .libs _libs
@@ -15973,7 +16608,7 @@
  	@list='$(SI7018_DATA)'; for p in $$list; do \
  	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  	  f=$(am__strip_dir) \
-@@ -354,7 +265,7 @@
+@@ -354,7 +266,7 @@
  	done
  install-alsaDATA: $(alsa_DATA)
  	@$(NORMAL_INSTALL)
@@ -15982,7 +16617,7 @@
  	@list='$(alsa_DATA)'; for p in $$list; do \
  	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  	  f=$(am__strip_dir) \
-@@ -377,23 +288,21 @@
+@@ -377,23 +289,21 @@
  
  
  distdir: $(DISTFILES)
@@ -16019,7 +16654,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -409,7 +318,7 @@
+@@ -409,7 +319,7 @@
  all-am: Makefile $(DATA)
  installdirs:
  	for dir in "$(DESTDIR)$(SI7018dir)" "$(DESTDIR)$(alsadir)"; do \
@@ -16028,7 +16663,7 @@
  	done
  install: install-am
  install-exec: install-exec-am
-@@ -441,7 +350,7 @@
+@@ -441,7 +351,7 @@
  
  distclean: distclean-am
  	-rm -f Makefile
@@ -16037,7 +16672,7 @@
  
  dvi: dvi-am
  
-@@ -455,12 +364,20 @@
+@@ -455,12 +365,20 @@
  
  install-data-am: install-SI7018DATA install-alsaDATA
  
@@ -16058,7 +16693,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -479,19 +396,22 @@
+@@ -479,19 +397,22 @@
  
  ps-am:
  
@@ -16088,8 +16723,8 @@
  # Otherwise a system limit (for SysV at least) may be exceeded.
 Index: alsa-lib-1.0.18/src/conf/pcm/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/src/conf/pcm/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/src/conf/pcm/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/src/conf/pcm/Makefile.in	2008-10-29 13:46:33.000000000 +0100
++++ alsa-lib-1.0.18/src/conf/pcm/Makefile.in	2008-11-19 00:14:51.580778315 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -16237,16 +16872,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -188,6 +100,8 @@
+@@ -187,7 +99,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -199,6 +113,7 @@
+@@ -199,6 +114,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -16254,7 +16891,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -207,19 +122,15 @@
+@@ -207,19 +123,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -16278,7 +16915,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -231,6 +142,7 @@
+@@ -231,6 +143,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -16286,7 +16923,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -258,12 +170,15 @@
+@@ -258,12 +171,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -16302,7 +16939,40 @@
  cfg_files = default.conf front.conf rear.conf center_lfe.conf side.conf\
  	    surround40.conf surround41.conf \
  	    surround50.conf surround51.conf \
-@@ -313,13 +228,9 @@
+@@ -278,7 +194,7 @@
+ all: all-am
+ 
+ .SUFFIXES:
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -287,9 +203,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/conf/pcm/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/conf/pcm/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  src/conf/pcm/Makefile
++	  $(AUTOMAKE) --gnu  src/conf/pcm/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -303,9 +219,9 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+ mostlyclean-libtool:
+@@ -313,13 +229,9 @@
  
  clean-libtool:
  	-rm -rf .libs _libs
@@ -16317,7 +16987,7 @@
  	@list='$(alsa_DATA)'; for p in $$list; do \
  	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  	  f=$(am__strip_dir) \
-@@ -342,22 +253,21 @@
+@@ -342,22 +254,21 @@
  
  
  distdir: $(DISTFILES)
@@ -16353,7 +17023,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -373,7 +283,7 @@
+@@ -373,7 +284,7 @@
  all-am: Makefile $(DATA)
  installdirs:
  	for dir in "$(DESTDIR)$(alsadir)"; do \
@@ -16362,7 +17032,7 @@
  	done
  install: install-am
  install-exec: install-exec-am
-@@ -405,7 +315,7 @@
+@@ -405,7 +316,7 @@
  
  distclean: distclean-am
  	-rm -f Makefile
@@ -16371,7 +17041,7 @@
  
  dvi: dvi-am
  
-@@ -419,12 +329,20 @@
+@@ -419,12 +330,20 @@
  
  install-data-am: install-alsaDATA
  
@@ -16392,7 +17062,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -443,17 +361,21 @@
+@@ -443,17 +362,21 @@
  
  ps-am:
  
@@ -16420,8 +17090,8 @@
  # Otherwise a system limit (for SysV at least) may be exceeded.
 Index: alsa-lib-1.0.18/src/control/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/src/control/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/src/control/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/src/control/Makefile.in	2008-10-29 13:46:33.000000000 +0100
++++ alsa-lib-1.0.18/src/control/Makefile.in	2008-11-19 00:14:51.688778363 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -16594,16 +17264,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -206,6 +119,8 @@
+@@ -205,7 +118,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -217,6 +132,7 @@
+@@ -217,6 +133,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -16611,7 +17283,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -225,19 +141,15 @@
+@@ -225,19 +142,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -16635,7 +17307,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -249,6 +161,7 @@
+@@ -249,6 +162,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -16643,7 +17315,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -276,12 +189,15 @@
+@@ -276,12 +190,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -16659,8 +17331,36 @@
  EXTRA_LTLIBRARIES = libcontrol.la
  libcontrol_la_SOURCES = cards.c tlv.c namehint.c hcontrol.c control.c \
  	control_hw.c setup.c control_symbols.c $(am__append_1) \
-@@ -322,7 +238,7 @@
- $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+@@ -292,7 +209,7 @@
+ 
+ .SUFFIXES:
+ .SUFFIXES: .c .lo .o .obj
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -301,9 +218,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/control/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/control/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  src/control/Makefile
++	  $(AUTOMAKE) --gnu  src/control/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -317,12 +234,12 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  libcontrol.la: $(libcontrol_la_OBJECTS) $(libcontrol_la_DEPENDENCIES) 
 -	$(LINK)  $(libcontrol_la_LDFLAGS) $(libcontrol_la_OBJECTS) $(libcontrol_la_LIBADD) $(LIBS)
@@ -16668,7 +17368,7 @@
  
  mostlyclean-compile:
  	-rm -f *.$(OBJEXT)
-@@ -342,22 +258,22 @@
+@@ -342,22 +259,22 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tlv.Plo@am__quote@
  
  .c.o:
@@ -16697,7 +17397,7 @@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
-@@ -368,17 +284,13 @@
+@@ -368,17 +285,13 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -16717,7 +17417,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -390,8 +302,8 @@
+@@ -390,8 +303,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -16728,7 +17428,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -401,13 +313,12 @@
+@@ -401,13 +314,12 @@
  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -16744,7 +17444,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -421,22 +332,21 @@
+@@ -421,22 +333,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -16780,7 +17480,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -483,7 +393,7 @@
+@@ -483,7 +394,7 @@
  	-rm -rf ./$(DEPDIR)
  	-rm -f Makefile
  distclean-am: clean-am distclean-compile distclean-generic \
@@ -16789,7 +17489,7 @@
  
  dvi: dvi-am
  
-@@ -497,12 +407,20 @@
+@@ -497,12 +408,20 @@
  
  install-data-am:
  
@@ -16810,7 +17510,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -523,18 +441,22 @@
+@@ -523,18 +442,22 @@
  
  ps-am:
  
@@ -16839,8 +17539,8 @@
  all: libcontrol.la
 Index: alsa-lib-1.0.18/src/hwdep/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/src/hwdep/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/src/hwdep/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/src/hwdep/Makefile.in	2008-10-29 13:46:34.000000000 +0100
++++ alsa-lib-1.0.18/src/hwdep/Makefile.in	2008-11-19 00:14:51.784778127 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -17013,16 +17713,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -197,6 +110,8 @@
+@@ -196,7 +109,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -208,6 +123,7 @@
+@@ -208,6 +124,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -17030,7 +17732,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -216,19 +132,15 @@
+@@ -216,19 +133,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -17054,7 +17756,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -240,6 +152,7 @@
+@@ -240,6 +153,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -17062,7 +17764,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -267,12 +180,15 @@
+@@ -267,12 +181,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -17078,8 +17780,36 @@
  EXTRA_LTLIBRARIES = libhwdep.la
  libhwdep_la_SOURCES = hwdep.c hwdep_hw.c hwdep_symbols.c
  noinst_HEADERS = hwdep_local.h
-@@ -311,7 +227,7 @@
- $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+@@ -281,7 +198,7 @@
+ 
+ .SUFFIXES:
+ .SUFFIXES: .c .lo .o .obj
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -290,9 +207,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/hwdep/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/hwdep/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  src/hwdep/Makefile
++	  $(AUTOMAKE) --gnu  src/hwdep/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -306,12 +223,12 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  libhwdep.la: $(libhwdep_la_OBJECTS) $(libhwdep_la_DEPENDENCIES) 
 -	$(LINK)  $(libhwdep_la_LDFLAGS) $(libhwdep_la_OBJECTS) $(libhwdep_la_LIBADD) $(LIBS)
@@ -17087,7 +17817,7 @@
  
  mostlyclean-compile:
  	-rm -f *.$(OBJEXT)
-@@ -324,22 +240,22 @@
+@@ -324,22 +241,22 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hwdep_symbols.Plo@am__quote@
  
  .c.o:
@@ -17116,7 +17846,7 @@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
-@@ -350,17 +266,13 @@
+@@ -350,17 +267,13 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -17136,7 +17866,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -372,8 +284,8 @@
+@@ -372,8 +285,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -17147,7 +17877,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -383,13 +295,12 @@
+@@ -383,13 +296,12 @@
  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -17163,7 +17893,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -403,22 +314,21 @@
+@@ -403,22 +315,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -17199,7 +17929,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -465,7 +375,7 @@
+@@ -465,7 +376,7 @@
  	-rm -rf ./$(DEPDIR)
  	-rm -f Makefile
  distclean-am: clean-am distclean-compile distclean-generic \
@@ -17208,7 +17938,7 @@
  
  dvi: dvi-am
  
-@@ -479,12 +389,20 @@
+@@ -479,12 +390,20 @@
  
  install-data-am:
  
@@ -17229,7 +17959,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -505,18 +423,22 @@
+@@ -505,18 +424,22 @@
  
  ps-am:
  
@@ -17258,8 +17988,8 @@
  # Tell versions [3.59,3.63) of GNU make to not export all variables.
 Index: alsa-lib-1.0.18/src/mixer/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/src/mixer/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/src/mixer/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/src/mixer/Makefile.in	2008-10-29 13:46:34.000000000 +0100
++++ alsa-lib-1.0.18/src/mixer/Makefile.in	2008-11-19 00:14:51.884777892 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -17432,16 +18162,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -198,6 +111,8 @@
+@@ -197,7 +110,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -209,6 +124,7 @@
+@@ -209,6 +125,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -17449,7 +18181,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -217,19 +133,15 @@
+@@ -217,19 +134,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -17473,7 +18205,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -241,6 +153,7 @@
+@@ -241,6 +154,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -17481,7 +18213,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -268,12 +181,15 @@
+@@ -268,12 +182,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -17497,8 +18229,36 @@
  EXTRA_LTLIBRARIES = libmixer.la
  libmixer_la_SOURCES = bag.c mixer.c simple.c simple_none.c simple_abst.c
  noinst_HEADERS = mixer_local.h mixer_simple.h
-@@ -312,7 +228,7 @@
- $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+@@ -282,7 +199,7 @@
+ 
+ .SUFFIXES:
+ .SUFFIXES: .c .lo .o .obj
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -291,9 +208,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/mixer/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/mixer/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  src/mixer/Makefile
++	  $(AUTOMAKE) --gnu  src/mixer/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -307,12 +224,12 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  libmixer.la: $(libmixer_la_OBJECTS) $(libmixer_la_DEPENDENCIES) 
 -	$(LINK)  $(libmixer_la_LDFLAGS) $(libmixer_la_OBJECTS) $(libmixer_la_LIBADD) $(LIBS)
@@ -17506,7 +18266,7 @@
  
  mostlyclean-compile:
  	-rm -f *.$(OBJEXT)
-@@ -327,22 +243,22 @@
+@@ -327,22 +244,22 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/simple_none.Plo@am__quote@
  
  .c.o:
@@ -17535,7 +18295,7 @@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
-@@ -353,17 +269,13 @@
+@@ -353,17 +270,13 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -17555,7 +18315,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -375,8 +287,8 @@
+@@ -375,8 +288,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -17566,7 +18326,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -386,13 +298,12 @@
+@@ -386,13 +299,12 @@
  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -17582,7 +18342,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -406,22 +317,21 @@
+@@ -406,22 +318,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -17618,7 +18378,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -468,7 +378,7 @@
+@@ -468,7 +379,7 @@
  	-rm -rf ./$(DEPDIR)
  	-rm -f Makefile
  distclean-am: clean-am distclean-compile distclean-generic \
@@ -17627,7 +18387,7 @@
  
  dvi: dvi-am
  
-@@ -482,12 +392,20 @@
+@@ -482,12 +393,20 @@
  
  install-data-am:
  
@@ -17648,7 +18408,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -508,18 +426,22 @@
+@@ -508,18 +427,22 @@
  
  ps-am:
  
@@ -17677,8 +18437,8 @@
  all: libmixer.la
 Index: alsa-lib-1.0.18/src/pcm/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/src/pcm/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/src/pcm/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/src/pcm/Makefile.in	2008-10-29 13:46:34.000000000 +0100
++++ alsa-lib-1.0.18/src/pcm/Makefile.in	2008-11-19 00:14:52.036778239 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -17866,16 +18626,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -287,6 +203,8 @@
+@@ -286,7 +202,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -298,6 +216,7 @@
+@@ -298,6 +217,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -17883,7 +18645,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -306,19 +225,15 @@
+@@ -306,19 +226,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -17907,7 +18669,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -330,6 +245,7 @@
+@@ -330,6 +246,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -17915,7 +18677,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -357,12 +273,15 @@
+@@ -357,12 +274,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -17931,8 +18693,36 @@
  SUBDIRS = 
  DIST_SUBDIRS = scopes
  EXTRA_LTLIBRARIES = libpcm.la
-@@ -421,7 +340,7 @@
- $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+@@ -391,7 +311,7 @@
+ 
+ .SUFFIXES:
+ .SUFFIXES: .c .lo .o .obj
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -400,9 +320,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/pcm/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/pcm/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  src/pcm/Makefile
++	  $(AUTOMAKE) --gnu  src/pcm/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -416,12 +336,12 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  libpcm.la: $(libpcm_la_OBJECTS) $(libpcm_la_DEPENDENCIES) 
 -	$(LINK)  $(libpcm_la_LDFLAGS) $(libpcm_la_OBJECTS) $(libpcm_la_LIBADD) $(LIBS)
@@ -17940,7 +18730,7 @@
  
  mostlyclean-compile:
  	-rm -f *.$(OBJEXT)
-@@ -472,22 +391,22 @@
+@@ -472,22 +392,22 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pcm_symbols.Plo@am__quote@
  
  .c.o:
@@ -17969,7 +18759,7 @@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
-@@ -498,10 +417,6 @@
+@@ -498,10 +418,6 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -17980,7 +18770,7 @@
  # This directory's subdirectories are mostly independent; you can cd
  # into them and run `make' without going through this Makefile.
  # To change the values of `make' variables: instead of editing Makefiles,
-@@ -533,8 +448,7 @@
+@@ -533,8 +449,7 @@
  	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  	fi; test -z "$$fail"
  
@@ -17990,7 +18780,7 @@
  	@failcom='exit 1'; \
  	for f in x $$MAKEFLAGS; do \
  	  case $$f in \
-@@ -578,8 +492,8 @@
+@@ -578,8 +493,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -18001,7 +18791,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -604,8 +518,8 @@
+@@ -604,8 +519,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -18012,7 +18802,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -615,13 +529,12 @@
+@@ -615,13 +530,12 @@
  CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -18028,7 +18818,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -635,22 +548,21 @@
+@@ -635,22 +549,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -18064,7 +18854,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -664,7 +576,7 @@
+@@ -664,7 +577,7 @@
  	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  	  if test "$$subdir" = .; then :; else \
  	    test -d "$(distdir)/$$subdir" \
@@ -18073,7 +18863,7 @@
  	    || exit 1; \
  	    distdir=`$(am__cd) $(distdir) && pwd`; \
  	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
-@@ -672,6 +584,8 @@
+@@ -672,6 +585,8 @@
  	      $(MAKE) $(AM_MAKEFLAGS) \
  	        top_distdir="$$top_distdir" \
  	        distdir="$$distdir/$$subdir" \
@@ -18082,7 +18872,7 @@
  	        distdir) \
  	      || exit 1; \
  	  fi; \
-@@ -713,7 +627,7 @@
+@@ -713,7 +628,7 @@
  	-rm -rf ./$(DEPDIR)
  	-rm -f Makefile
  distclean-am: clean-am distclean-compile distclean-generic \
@@ -18091,7 +18881,7 @@
  
  dvi: dvi-recursive
  
-@@ -727,12 +641,20 @@
+@@ -727,12 +642,20 @@
  
  install-data-am:
  
@@ -18112,7 +18902,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-recursive
-@@ -753,23 +675,24 @@
+@@ -753,23 +676,24 @@
  
  ps-am:
  
@@ -18153,8 +18943,8 @@
  all: libpcm.la
 Index: alsa-lib-1.0.18/src/pcm/scopes/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/src/pcm/scopes/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/src/pcm/scopes/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/src/pcm/scopes/Makefile.in	2008-10-29 13:46:34.000000000 +0100
++++ alsa-lib-1.0.18/src/pcm/scopes/Makefile.in	2008-11-19 00:14:52.132778002 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -18329,16 +19119,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -204,6 +120,8 @@
+@@ -203,7 +119,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -215,6 +133,7 @@
+@@ -215,6 +134,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -18346,7 +19138,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -223,19 +142,15 @@
+@@ -223,19 +143,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -18370,7 +19162,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -247,6 +162,7 @@
+@@ -247,6 +163,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -18378,7 +19170,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -274,12 +190,15 @@
+@@ -274,12 +191,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -18394,7 +19186,36 @@
  AM_CFLAGS = -g -O2 -W -Wall
  pkglib_LTLIBRARIES = scope-level.la
  scope_level_la_SOURCES = level.c
-@@ -320,21 +239,21 @@
+@@ -289,7 +209,7 @@
+ 
+ .SUFFIXES:
+ .SUFFIXES: .c .lo .o .obj
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -298,9 +218,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/pcm/scopes/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/pcm/scopes/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  src/pcm/scopes/Makefile
++	  $(AUTOMAKE) --gnu  src/pcm/scopes/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -314,27 +234,27 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
  	@$(NORMAL_INSTALL)
@@ -18422,7 +19243,7 @@
  	done
  
  clean-pkglibLTLIBRARIES:
-@@ -346,7 +265,7 @@
+@@ -346,7 +266,7 @@
  	  rm -f "$${dir}/so_locations"; \
  	done
  scope-level.la: $(scope_level_la_OBJECTS) $(scope_level_la_DEPENDENCIES) 
@@ -18431,7 +19252,7 @@
  
  mostlyclean-compile:
  	-rm -f *.$(OBJEXT)
-@@ -357,22 +276,22 @@
+@@ -357,22 +277,22 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/level.Plo@am__quote@
  
  .c.o:
@@ -18460,7 +19281,7 @@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
-@@ -383,17 +302,13 @@
+@@ -383,17 +303,13 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -18480,7 +19301,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -405,8 +320,8 @@
+@@ -405,8 +321,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -18491,7 +19312,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -416,13 +331,12 @@
+@@ -416,13 +332,12 @@
  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -18507,7 +19328,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -436,22 +350,21 @@
+@@ -436,22 +351,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -18543,7 +19364,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -467,7 +380,7 @@
+@@ -467,7 +381,7 @@
  all-am: Makefile $(LTLIBRARIES)
  installdirs:
  	for dir in "$(DESTDIR)$(pkglibdir)"; do \
@@ -18552,7 +19373,7 @@
  	done
  install: install-am
  install-exec: install-exec-am
-@@ -502,7 +415,7 @@
+@@ -502,7 +416,7 @@
  	-rm -rf ./$(DEPDIR)
  	-rm -f Makefile
  distclean-am: clean-am distclean-compile distclean-generic \
@@ -18561,7 +19382,7 @@
  
  dvi: dvi-am
  
-@@ -516,12 +429,20 @@
+@@ -516,12 +430,20 @@
  
  install-data-am:
  
@@ -18582,7 +19403,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -542,20 +463,23 @@
+@@ -542,20 +464,23 @@
  
  ps-am:
  
@@ -18614,8 +19435,8 @@
  # Otherwise a system limit (for SysV at least) may be exceeded.
 Index: alsa-lib-1.0.18/src/rawmidi/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/src/rawmidi/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/src/rawmidi/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/src/rawmidi/Makefile.in	2008-10-29 13:46:34.000000000 +0100
++++ alsa-lib-1.0.18/src/rawmidi/Makefile.in	2008-11-19 00:14:52.260778618 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -18788,16 +19609,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -202,6 +115,8 @@
+@@ -201,7 +114,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -213,6 +128,7 @@
+@@ -213,6 +129,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -18805,7 +19628,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -221,19 +137,15 @@
+@@ -221,19 +138,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -18829,7 +19652,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -245,6 +157,7 @@
+@@ -245,6 +158,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -18837,7 +19660,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -272,12 +185,15 @@
+@@ -272,12 +186,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -18853,8 +19676,36 @@
  EXTRA_LTLIBRARIES = librawmidi.la
  librawmidi_la_SOURCES = rawmidi.c rawmidi_hw.c rawmidi_symbols.c \
  	$(am__append_1)
-@@ -317,7 +233,7 @@
- $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+@@ -287,7 +204,7 @@
+ 
+ .SUFFIXES:
+ .SUFFIXES: .c .lo .o .obj
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -296,9 +213,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/rawmidi/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/rawmidi/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  src/rawmidi/Makefile
++	  $(AUTOMAKE) --gnu  src/rawmidi/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -312,12 +229,12 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  librawmidi.la: $(librawmidi_la_OBJECTS) $(librawmidi_la_DEPENDENCIES) 
 -	$(LINK)  $(librawmidi_la_LDFLAGS) $(librawmidi_la_OBJECTS) $(librawmidi_la_LIBADD) $(LIBS)
@@ -18862,7 +19713,7 @@
  
  mostlyclean-compile:
  	-rm -f *.$(OBJEXT)
-@@ -331,22 +247,22 @@
+@@ -331,22 +248,22 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rawmidi_virt.Plo@am__quote@
  
  .c.o:
@@ -18891,7 +19742,7 @@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
-@@ -357,17 +273,13 @@
+@@ -357,17 +274,13 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -18911,7 +19762,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -379,8 +291,8 @@
+@@ -379,8 +292,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -18922,7 +19773,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -390,13 +302,12 @@
+@@ -390,13 +303,12 @@
  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -18938,7 +19789,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -410,22 +321,21 @@
+@@ -410,22 +322,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -18974,7 +19825,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -472,7 +382,7 @@
+@@ -472,7 +383,7 @@
  	-rm -rf ./$(DEPDIR)
  	-rm -f Makefile
  distclean-am: clean-am distclean-compile distclean-generic \
@@ -18983,7 +19834,7 @@
  
  dvi: dvi-am
  
-@@ -486,12 +396,20 @@
+@@ -486,12 +397,20 @@
  
  install-data-am:
  
@@ -19004,7 +19855,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -512,18 +430,22 @@
+@@ -512,18 +431,22 @@
  
  ps-am:
  
@@ -19033,8 +19884,8 @@
  all: librawmidi.la
 Index: alsa-lib-1.0.18/src/seq/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/src/seq/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/src/seq/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/src/seq/Makefile.in	2008-10-29 13:46:34.000000000 +0100
++++ alsa-lib-1.0.18/src/seq/Makefile.in	2008-11-19 00:14:52.360778104 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -19207,16 +20058,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -202,6 +115,8 @@
+@@ -201,7 +114,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -213,6 +128,7 @@
+@@ -213,6 +129,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -19224,7 +20077,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -221,19 +137,15 @@
+@@ -221,19 +138,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -19248,7 +20101,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -245,6 +157,7 @@
+@@ -245,6 +158,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -19256,7 +20109,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -272,12 +185,15 @@
+@@ -272,12 +186,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -19272,8 +20125,36 @@
  EXTRA_LTLIBRARIES = libseq.la
  libseq_la_SOURCES = seq_hw.c seq.c seq_event.c seqmid.c \
  	seq_midi_event.c seq_symbols.c $(am__append_1)
-@@ -317,7 +233,7 @@
- $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+@@ -287,7 +204,7 @@
+ 
+ .SUFFIXES:
+ .SUFFIXES: .c .lo .o .obj
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -296,9 +213,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/seq/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/seq/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  src/seq/Makefile
++	  $(AUTOMAKE) --gnu  src/seq/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -312,12 +229,12 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  libseq.la: $(libseq_la_OBJECTS) $(libseq_la_DEPENDENCIES) 
 -	$(LINK)  $(libseq_la_LDFLAGS) $(libseq_la_OBJECTS) $(libseq_la_LIBADD) $(LIBS)
@@ -19281,7 +20162,7 @@
  
  mostlyclean-compile:
  	-rm -f *.$(OBJEXT)
-@@ -334,22 +250,22 @@
+@@ -334,22 +251,22 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/seqmid.Plo@am__quote@
  
  .c.o:
@@ -19310,7 +20191,7 @@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
-@@ -360,17 +276,13 @@
+@@ -360,17 +277,13 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -19330,7 +20211,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -382,8 +294,8 @@
+@@ -382,8 +295,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -19341,7 +20222,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -393,13 +305,12 @@
+@@ -393,13 +306,12 @@
  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -19357,7 +20238,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -413,22 +324,21 @@
+@@ -413,22 +325,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -19393,7 +20274,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -475,7 +385,7 @@
+@@ -475,7 +386,7 @@
  	-rm -rf ./$(DEPDIR)
  	-rm -f Makefile
  distclean-am: clean-am distclean-compile distclean-generic \
@@ -19402,7 +20283,7 @@
  
  dvi: dvi-am
  
-@@ -489,12 +399,20 @@
+@@ -489,12 +400,20 @@
  
  install-data-am:
  
@@ -19423,7 +20304,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -515,18 +433,22 @@
+@@ -515,18 +434,22 @@
  
  ps-am:
  
@@ -19452,8 +20333,8 @@
  all: libseq.la
 Index: alsa-lib-1.0.18/src/timer/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/src/timer/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/src/timer/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/src/timer/Makefile.in	2008-10-29 13:46:34.000000000 +0100
++++ alsa-lib-1.0.18/src/timer/Makefile.in	2008-11-19 00:14:52.476778156 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -19626,16 +20507,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -198,6 +111,8 @@
+@@ -197,7 +110,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -209,6 +124,7 @@
+@@ -209,6 +125,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -19643,7 +20526,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -217,19 +133,15 @@
+@@ -217,19 +134,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -19667,7 +20550,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -241,6 +153,7 @@
+@@ -241,6 +154,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -19675,7 +20558,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -268,12 +181,15 @@
+@@ -268,12 +182,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -19691,8 +20574,36 @@
  EXTRA_LTLIBRARIES = libtimer.la
  libtimer_la_SOURCES = timer.c timer_hw.c timer_query.c timer_query_hw.c \
  	              timer_symbols.c
-@@ -314,7 +230,7 @@
- $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+@@ -284,7 +201,7 @@
+ 
+ .SUFFIXES:
+ .SUFFIXES: .c .lo .o .obj
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -293,9 +210,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/timer/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/timer/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  src/timer/Makefile
++	  $(AUTOMAKE) --gnu  src/timer/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -309,12 +226,12 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  libtimer.la: $(libtimer_la_OBJECTS) $(libtimer_la_DEPENDENCIES) 
 -	$(LINK)  $(libtimer_la_LDFLAGS) $(libtimer_la_OBJECTS) $(libtimer_la_LIBADD) $(LIBS)
@@ -19700,7 +20611,7 @@
  
  mostlyclean-compile:
  	-rm -f *.$(OBJEXT)
-@@ -329,22 +245,22 @@
+@@ -329,22 +246,22 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/timer_symbols.Plo@am__quote@
  
  .c.o:
@@ -19729,7 +20640,7 @@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
-@@ -355,17 +271,13 @@
+@@ -355,17 +272,13 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -19749,7 +20660,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -377,8 +289,8 @@
+@@ -377,8 +290,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -19760,7 +20671,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -388,13 +300,12 @@
+@@ -388,13 +301,12 @@
  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -19776,7 +20687,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -408,22 +319,21 @@
+@@ -408,22 +320,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -19812,7 +20723,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -470,7 +380,7 @@
+@@ -470,7 +381,7 @@
  	-rm -rf ./$(DEPDIR)
  	-rm -f Makefile
  distclean-am: clean-am distclean-compile distclean-generic \
@@ -19821,7 +20732,7 @@
  
  dvi: dvi-am
  
-@@ -484,12 +394,20 @@
+@@ -484,12 +395,20 @@
  
  install-data-am:
  
@@ -19842,7 +20753,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -510,18 +428,22 @@
+@@ -510,18 +429,22 @@
  
  ps-am:
  
@@ -19871,8 +20782,8 @@
  # Tell versions [3.59,3.63) of GNU make to not export all variables.
 Index: alsa-lib-1.0.18/test/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/test/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/test/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/test/Makefile.in	2008-10-29 13:46:34.000000000 +0100
++++ alsa-lib-1.0.18/test/Makefile.in	2008-11-19 00:14:52.599776953 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -20045,16 +20956,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -239,6 +152,8 @@
+@@ -238,7 +151,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -250,6 +165,7 @@
+@@ -250,6 +166,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -20062,7 +20975,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -258,19 +174,15 @@
+@@ -258,19 +175,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -20086,7 +20999,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -282,6 +194,7 @@
+@@ -282,6 +195,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -20094,7 +21007,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -309,12 +222,15 @@
+@@ -309,12 +223,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -20110,7 +21023,40 @@
  control_LDADD = ../src/libasound.la
  pcm_LDADD = ../src/libasound.la
  pcm_min_LDADD = ../src/libasound.la
-@@ -374,43 +290,43 @@
+@@ -336,7 +253,7 @@
+ 
+ .SUFFIXES:
+ .SUFFIXES: .c .lo .o .obj
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -345,9 +262,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  test/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  test/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  test/Makefile
++	  $(AUTOMAKE) --gnu  test/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -361,9 +278,9 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+ clean-checkPROGRAMS:
+@@ -374,43 +291,43 @@
  	done
  client_event_filter$(EXEEXT): $(client_event_filter_OBJECTS) $(client_event_filter_DEPENDENCIES) 
  	@rm -f client_event_filter$(EXEEXT)
@@ -20167,7 +21113,7 @@
  
  mostlyclean-compile:
  	-rm -f *.$(OBJEXT)
-@@ -433,22 +349,22 @@
+@@ -433,22 +350,22 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/timer.Po@am__quote@
  
  .c.o:
@@ -20196,7 +21142,7 @@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
-@@ -459,17 +375,13 @@
+@@ -459,17 +376,13 @@
  clean-libtool:
  	-rm -rf .libs _libs
  
@@ -20216,7 +21162,7 @@
  	mkid -fID $$unique
  tags: TAGS
  
-@@ -481,8 +393,8 @@
+@@ -481,8 +394,8 @@
  	unique=`for i in $$list; do \
  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  	  done | \
@@ -20227,7 +21173,7 @@
  	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  	  test -n "$$unique" || unique=$$empty_fix; \
  	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-@@ -492,13 +404,12 @@
+@@ -492,13 +405,12 @@
  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  		$(TAGS_FILES) $(LISP)
  	tags=; \
@@ -20243,7 +21189,7 @@
  	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  	     $$tags $$unique
-@@ -512,22 +423,21 @@
+@@ -512,22 +424,21 @@
  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  
  distdir: $(DISTFILES)
@@ -20279,7 +21225,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -576,7 +486,7 @@
+@@ -576,7 +487,7 @@
  	-rm -rf ./$(DEPDIR)
  	-rm -f Makefile
  distclean-am: clean-am distclean-compile distclean-generic \
@@ -20288,7 +21234,7 @@
  
  dvi: dvi-am
  
-@@ -590,12 +500,20 @@
+@@ -590,12 +501,20 @@
  
  install-data-am:
  
@@ -20309,7 +21255,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -616,19 +534,23 @@
+@@ -616,19 +535,23 @@
  
  ps-am:
  
@@ -20339,8 +21285,8 @@
  # Otherwise a system limit (for SysV at least) may be exceeded.
 Index: alsa-lib-1.0.18/utils/Makefile.in
 ===================================================================
---- alsa-lib-1.0.18.orig/utils/Makefile.in	2008-11-02 14:58:32.000000000 +0100
-+++ alsa-lib-1.0.18/utils/Makefile.in	2008-11-02 14:58:42.000000000 +0100
+--- alsa-lib-1.0.18.orig/utils/Makefile.in	2008-10-29 13:46:34.000000000 +0100
++++ alsa-lib-1.0.18/utils/Makefile.in	2008-11-19 00:14:52.683776712 +0100
 @@ -1,8 +1,8 @@
 -# Makefile.in generated by automake 1.9.6 from Makefile.am.
 +# Makefile.in generated by automake 1.10.1 from Makefile.am.
@@ -20488,16 +21434,18 @@
  LDFLAGS = @LDFLAGS@
  LIBOBJS = @LIBOBJS@
  LIBS = @LIBS@
-@@ -191,6 +103,8 @@
+@@ -190,7 +102,10 @@
+ LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  LN_S = @LN_S@
  LTLIBOBJS = @LTLIBOBJS@
++MAINT = @MAINT@
  MAKEINFO = @MAKEINFO@
 +MKDIR_P = @MKDIR_P@
 +NMEDIT = @NMEDIT@
  OBJEXT = @OBJEXT@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -202,6 +116,7 @@
+@@ -202,6 +117,7 @@
  PYTHON_INCLUDES = @PYTHON_INCLUDES@
  PYTHON_LIBS = @PYTHON_LIBS@
  RANLIB = @RANLIB@
@@ -20505,7 +21453,7 @@
  SET_MAKE = @SET_MAKE@
  SHELL = @SHELL@
  SND_LIB_EXTRAVER = @SND_LIB_EXTRAVER@
-@@ -210,19 +125,15 @@
+@@ -210,19 +126,15 @@
  SND_LIB_SUBMINOR = @SND_LIB_SUBMINOR@
  SND_LIB_VERSION = @SND_LIB_VERSION@
  STRIP = @STRIP@
@@ -20529,7 +21477,7 @@
  am__include = @am__include@
  am__leading_dot = @am__leading_dot@
  am__quote = @am__quote@
-@@ -234,6 +145,7 @@
+@@ -234,6 +146,7 @@
  build_cpu = @build_cpu@
  build_os = @build_os@
  build_vendor = @build_vendor@
@@ -20537,7 +21485,7 @@
  datadir = @datadir@
  datarootdir = @datarootdir@
  docdir = @docdir@
-@@ -261,12 +173,15 @@
+@@ -261,12 +174,15 @@
  psdir = @psdir@
  sbindir = @sbindir@
  sharedstatedir = @sharedstatedir@
@@ -20553,7 +21501,40 @@
  @INSTALL_M4_TRUE@aclocaldir = $(datadir)/aclocal
  @INSTALL_M4_TRUE@aclocal_DATA = alsa.m4
  EXTRA_DIST = alsa.m4 buildrpm alsa.pc.in
-@@ -315,13 +230,9 @@
+@@ -276,7 +192,7 @@
+ all: all-am
+ 
+ .SUFFIXES:
+-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
++$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+ 	  case '$(am__configure_deps)' in \
+ 	    *$$dep*) \
+@@ -285,9 +201,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  utils/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  utils/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  utils/Makefile
++	  $(AUTOMAKE) --gnu  utils/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+@@ -301,9 +217,9 @@
+ $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ 
+-$(top_srcdir)/configure:  $(am__configure_deps)
++$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
++$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+ alsa-lib.spec: $(top_builddir)/config.status $(srcdir)/alsa-lib.spec.in
+ 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
+@@ -315,13 +231,9 @@
  
  clean-libtool:
  	-rm -rf .libs _libs
@@ -20568,7 +21549,7 @@
  	@list='$(aclocal_DATA)'; for p in $$list; do \
  	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  	  f=$(am__strip_dir) \
-@@ -338,7 +249,7 @@
+@@ -338,7 +250,7 @@
  	done
  install-pkgconfigDATA: $(pkgconfig_DATA)
  	@$(NORMAL_INSTALL)
@@ -20577,7 +21558,7 @@
  	@list='$(pkgconfig_DATA)'; for p in $$list; do \
  	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  	  f=$(am__strip_dir) \
-@@ -361,22 +272,21 @@
+@@ -361,22 +273,21 @@
  
  
  distdir: $(DISTFILES)
@@ -20613,7 +21594,7 @@
  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  	    fi; \
-@@ -392,7 +302,7 @@
+@@ -392,7 +303,7 @@
  all-am: Makefile $(DATA)
  installdirs:
  	for dir in "$(DESTDIR)$(aclocaldir)" "$(DESTDIR)$(pkgconfigdir)"; do \
@@ -20622,7 +21603,7 @@
  	done
  install: install-am
  install-exec: install-exec-am
-@@ -424,7 +334,7 @@
+@@ -424,7 +335,7 @@
  
  distclean: distclean-am
  	-rm -f Makefile
@@ -20631,7 +21612,7 @@
  
  dvi: dvi-am
  
-@@ -438,12 +348,20 @@
+@@ -438,12 +349,20 @@
  
  install-data-am: install-aclocalDATA install-pkgconfigDATA
  
@@ -20652,7 +21633,7 @@
  installcheck-am:
  
  maintainer-clean: maintainer-clean-am
-@@ -462,19 +380,21 @@
+@@ -462,19 +381,21 @@
  
  ps-am:
  
